2009-12-31 23:15  mta

	* [r18542] src/report/utility-reports/hello-world.scm: Load
	  gnc-build-url from the correct file so the accounts list option
	  works again.

2009-12-31 14:41  gjanssens

	* [r18541] src/app-utils/app-utils.i, src/app-utils/file-utils.c,
	  src/app-utils/gfec.c, src/app-utils/gnc-exp-parser.c,
	  src/app-utils/gnc-helpers.c, src/app-utils/gnc-ui-util.c,
	  src/app-utils/guile-util.c, src/app-utils/option-util.c,
	  src/app-utils/test/test-print-queries.c,
	  src/app-utils/test/test-scm-query-string.c, src/base-typemaps.i,
	  src/bin/gnucash-bin.c,
	  src/business/business-core/business-core.i,
	  src/business/business-core/gncBusGuile.c,
	  src/business/business-gnome/dialog-invoice.c,
	  src/engine/engine-helpers.c, src/engine/engine.i,
	  src/engine/glib-helpers.c, src/engine/gnc-hooks.c,
	  src/engine/kvp-scm.c, src/gnome-utils/dialog-options.c,
	  src/gnome-utils/dialog-transfer.c,
	  src/gnome-utils/gnc-main-window.c,
	  src/gnome-utils/gnc-menu-extensions.c,
	  src/gnome/dialog-price-edit-db.c, src/gnome/dialog-progress.c,
	  src/gnome/dialog-tax-info.c,
	  src/gnome/gnc-plugin-page-register.c, src/guile-mappings.h,
	  src/import-export/qif-import/dialog-account-picker.c,
	  src/import-export/qif-import/druid-qif-import.c,
	  src/report/report-gnome/dialog-column-view.c,
	  src/report/report-gnome/dialog-custom-report.c,
	  src/report/report-gnome/dialog-style-sheet.c,
	  src/report/report-gnome/gnc-plugin-page-report.c,
	  src/report/report-gnome/window-report.c,
	  src/report/report-system/gnc-report.c: Fix bug #582325 by
	  refactoring some deprecated guile functions: SCM_BOOLP ->
	  scm_is_bool SCM_NULLP -> scm_is_null SCM_FALSEP -> scm_is_false
	  SCM_NFALSEP -> scm_is_true SCM_VECTORP -> scm_is_vector
	  SCM_NUMBERP -> scm_is_number SCM_CONSP -> scm_is_pair
	  SCM_STRING_CHARS -> scm_to_locale_string Specifically the
	  replacement of SCM_STRING_CHARS with scm_to_locale_string fixes
	  Bug #582325 Additionally, I have renamed these internal
	  functions for global consistency: SCM_PROCEDUREP ->
	  scm_is_procedure SCM_LISTP -> scm_is_list SCM_EXACTP ->
	  scm_is_exact SCM_EQUALP -> scm_is_equal

2009-12-30 16:49  plongstaff

	* [r18540] src/gnome-utils/dialog-transfer.c: Don't show hidden
	  accounts in the transfer dialog. This should be connected to the
	  UI, but my ubuntu has glade 3 which mucks up the .glade files.

2009-12-29 21:18  cstim

	* [r18539] po/POTFILES.in, po/de.po: Updated German translation

2009-12-29 20:20  cstim

	* [r18538] doc/tip_of_the_day.list.in: Bug #605414: Clarify
	  Quick-fill tip of the day Patch by James Raehl: Patch adds Tab
	  key step to the Quick Fill tip. New users do not know about this
	  step.
	* [r18537] src/gnome/glade/sched-xact.glade: Bug #605415: Relax
	  limit on scheduled days in the future Patch by James Raehl:
	  Expand scheduled transaction date limit by 366 days Usually,
	  scheduled transactions are limited to 365 days in the future.
	  This patch doubles that limit plus adds a day for leap years.
	  The patch supports a method for separating transactions that are
	  not yet posted at the bank, by assigning an initial date one
	  year in the future. Under this method, scheduled transactions
	  and their reminders are one year in the future, since they have
	  not happened yet.

2009-12-29 20:13  cstim

	* [r18536] configure.in: Remove unneeded information lines about
	  "qof" - we're using our internal code always anyway.

2009-12-29 20:12  cstim

	* [r18535] src/app-utils/file-utils.c, src/app-utils/file-utils.h,
	  src/app-utils/gfec.c, src/app-utils/gnc-account-merge.c,
	  src/app-utils/gnc-account-merge.h,
	  src/app-utils/gnc-accounting-period.c,
	  src/app-utils/gnc-accounting-period.h,
	  src/app-utils/gnc-component-manager.c,
	  src/app-utils/gnc-component-manager.h,
	  src/app-utils/gnc-druid-cb.c, src/app-utils/gnc-druid-cb.h,
	  src/app-utils/gnc-druid-provider-desc-edge.c,
	  src/app-utils/gnc-druid-provider-desc-edge.h,
	  src/app-utils/gnc-druid-provider-desc-file.c,
	  src/app-utils/gnc-druid-provider-desc-file.h,
	  src/app-utils/gnc-druid-provider-desc-multifile.c,
	  src/app-utils/gnc-druid-provider-desc-multifile.h,
	  src/app-utils/gnc-druid-provider-desc.c,
	  src/app-utils/gnc-druid-provider-desc.h,
	  src/app-utils/gnc-druid-provider-file-cb.c,
	  src/app-utils/gnc-druid-provider-file-cb.h,
	  src/app-utils/gnc-druid-provider.c,
	  src/app-utils/gnc-druid-provider.h, src/app-utils/gnc-druid.c,
	  src/app-utils/gnc-druid.h, src/app-utils/gnc-euro.c,
	  src/app-utils/gnc-exp-parser.c, src/app-utils/gnc-exp-parser.h,
	  src/app-utils/gnc-gettext-util.c,
	  src/app-utils/gnc-gettext-util.h,
	  src/app-utils/gnc-help-utils.c, src/app-utils/gnc-help-utils.h,
	  src/app-utils/gnc-helpers.c,
	  src/app-utils/gnc-sx-instance-model.c,
	  src/app-utils/gnc-sx-instance-model.h,
	  src/app-utils/gnc-ui-common.h, src/app-utils/gnc-ui-util.c,
	  src/app-utils/gnc-ui-util.h, src/app-utils/gncmod-app-utils.c,
	  src/app-utils/guile-util.c, src/app-utils/guile-util.h,
	  src/app-utils/option-util.c, src/app-utils/option-util.h,
	  src/app-utils/test/test-exp-parser.c,
	  src/app-utils/test/test-link-module.c,
	  src/app-utils/test/test-print-parse-amount.c,
	  src/app-utils/test/test-print-queries.c,
	  src/app-utils/test/test-scm-query-string.c,
	  src/app-utils/test/test-sx.c,
	  src/backend/postgres/PostgresBackend.c,
	  src/backend/postgres/PostgresBackend.h,
	  src/backend/postgres/account.c, src/backend/postgres/account.h,
	  src/backend/postgres/book.c, src/backend/postgres/builder.c,
	  src/backend/postgres/builder.h,
	  src/backend/postgres/checkpoint.c,
	  src/backend/postgres/checkpoint.h, src/backend/postgres/demo.c,
	  src/backend/postgres/escape.c, src/backend/postgres/events.c,
	  src/backend/postgres/events.h, src/backend/postgres/gncquery.c,
	  src/backend/postgres/gncquery.h, src/backend/postgres/kvp-sql.c,
	  src/backend/postgres/kvp-sql.h,
	  src/backend/postgres/newtables.h, src/backend/postgres/price.c,
	  src/backend/postgres/putil.c, src/backend/postgres/putil.h,
	  src/backend/postgres/test/test-db.c,
	  src/backend/postgres/test/test-escape.c,
	  src/backend/postgres/test/test-load-backend.c,
	  src/backend/postgres/test/test-period.c,
	  src/backend/postgres/txn.c, src/backend/postgres/txn.h,
	  src/backend/postgres/txnmass.c, src/backend/postgres/upgrade.c,
	  src/backend/postgres/upgrade.h,
	  src/backend/xml/gnc-account-xml-v2.c,
	  src/backend/xml/gnc-backend-xml.c,
	  src/backend/xml/gnc-backend-xml.h,
	  src/backend/xml/gnc-book-xml-v2.c,
	  src/backend/xml/gnc-budget-xml-v2.c,
	  src/backend/xml/gnc-commodity-xml-v2.c,
	  src/backend/xml/gnc-freqspec-xml-v2.c,
	  src/backend/xml/gnc-lot-xml-v2.c,
	  src/backend/xml/gnc-pricedb-xml-v2.c,
	  src/backend/xml/gnc-recurrence-xml-v2.c,
	  src/backend/xml/gnc-schedxaction-xml-v2.c,
	  src/backend/xml/gnc-transaction-xml-v2.c,
	  src/backend/xml/gnc-xml.h, src/backend/xml/gncmod-backend-xml.c,
	  src/backend/xml/io-example-account.c,
	  src/backend/xml/io-gncxml-gen.c, src/backend/xml/io-gncxml-v1.c,
	  src/backend/xml/io-gncxml-v2.c, src/backend/xml/io-gncxml-v2.h,
	  src/backend/xml/io-gncxml.h, src/backend/xml/io-utils.c,
	  src/backend/xml/io-utils.h,
	  src/backend/xml/sixtp-dom-generators.c,
	  src/backend/xml/sixtp-dom-parsers.c,
	  src/backend/xml/sixtp-parsers.h, src/backend/xml/sixtp-stack.c,
	  src/backend/xml/sixtp-stack.h,
	  src/backend/xml/sixtp-to-dom-parser.c,
	  src/backend/xml/sixtp-utils.c, src/backend/xml/sixtp-utils.h,
	  src/backend/xml/sixtp.c, src/backend/xml/sixtp.h,
	  src/backend/xml/test/test-date-converting.c,
	  src/backend/xml/test/test-dom-converters1.c,
	  src/backend/xml/test/test-dom-parser1.c,
	  src/backend/xml/test/test-file-stuff.c,
	  src/backend/xml/test/test-kvp-frames.c,
	  src/backend/xml/test/test-load-backend.c,
	  src/backend/xml/test/test-load-example-account.c,
	  src/backend/xml/test/test-load-xml2.c,
	  src/backend/xml/test/test-save-in-lang.c,
	  src/backend/xml/test/test-string-converters.c,
	  src/backend/xml/test/test-xml-account.c,
	  src/backend/xml/test/test-xml-commodity.c,
	  src/backend/xml/test/test-xml-pricedb.c,
	  src/backend/xml/test/test-xml-transaction.c,
	  src/calculation/amort_opt.c, src/calculation/amort_prt.c,
	  src/calculation/expression_parser.c,
	  src/calculation/fin-interactive.c, src/calculation/fin-main.c,
	  src/calculation/fin.c, src/calculation/fin_spl_protos.h,
	  src/calculation/fin_static_proto.h, src/calculation/finproto.h,
	  src/calculation/finvar.h, src/calculation/gncmod-calculation.c,
	  src/calculation/numeric_ops.c, src/calculation/test/test-link.c,
	  src/core-utils/gnc-gconf-utils.c,
	  src/core-utils/gnc-gconf-utils.h,
	  src/core-utils/gnc-gdate-utils.c,
	  src/core-utils/gnc-gkeyfile-utils.c,
	  src/core-utils/gnc-gkeyfile-utils.h,
	  src/core-utils/gnc-glib-utils.c,
	  src/core-utils/gnc-glib-utils.h,
	  src/core-utils/gnc-gobject-utils.c,
	  src/core-utils/gnc-gobject-utils.h,
	  src/core-utils/gnc-gtk-utils.c, src/core-utils/gnc-gtk-utils.h,
	  src/core-utils/gnc-main.c, src/doc/doxygen_main_page.c,
	  src/gnc-module/gnc-module.c, src/gnc-module/gnc-module.h,
	  src/gnc-module/test/misc-mods/agedver.c,
	  src/gnc-module/test/misc-mods/futuremodsys.c,
	  src/gnc-module/test/misc-mods/incompatdep.c,
	  src/gnc-module/test/mod-bar/bar.c,
	  src/gnc-module/test/mod-bar/gnc-mod-bar.c,
	  src/gnc-module/test/mod-baz/baz.c,
	  src/gnc-module/test/mod-baz/gnc-mod-baz.c,
	  src/gnc-module/test/mod-foo/foo.c,
	  src/gnc-module/test/mod-foo/gnc-mod-foo.c,
	  src/gnc-module/test/test-agedver.c,
	  src/gnc-module/test/test-dynload.c,
	  src/gnc-module/test/test-incompatdep.c,
	  src/gnc-module/test/test-load-c.c,
	  src/gnc-module/test/test-modsysver.c,
	  src/libqof/backend/file/qof-backend-qsf.h,
	  src/libqof/backend/file/qsf-backend.c,
	  src/libqof/backend/file/qsf-xml-map.c,
	  src/libqof/backend/file/qsf-xml.c,
	  src/libqof/backend/file/qsf-xml.h, src/libqof/qof/gnc-date.c,
	  src/libqof/qof/qofbackend.c, src/libqof/qof/qofbook.c,
	  src/libqof/qof/qofbookslots.h, src/libqof/qof/qofutil.c,
	  src/tax/us/gncmod-tax-us.c, src/tax/us/test/test-link-module.c,
	  src/test-core/gncmod-test.c, src/test-core/test-stuff.c,
	  src/test-core/test-stuff.h: Re-indentation of source code, next
	  batch. This also strips trailing whitespaces from lines where
	  they existed. This re-indentation was done using astyle-1.23
	  using the following options: astyle --indent=spaces=4
	  --brackets=break --pad-oper Discussed at
	  http://lists.gnucash.org/pipermail/gnucash-devel/2009-August/026121.html

2009-12-29 06:13  mta

	* [r18534] src/gnome-utils/gnc-menu-extensions.c: Allow digits in
	  Gtk action names created in gnc_create_extension_info. This
	  should fix bug 447339 as long as all report names are unique
	  considering only alphanumeric characters.

2009-12-28 19:50  cstim

	* [r18533] po/nl.po: Updated Dutch translation, by Mark Haanen and
	  Jos, copied from the Translation Project.

2009-12-27 20:51  cstim

	* [r18532] packaging/win32/defaults.sh: Updated aqbanking version
	  numbers for win32 build

2009-12-27 20:46  cstim

	* [r18531] po/ja.po: Updated Japanese translation, by Yasuaki
	  Taniguchi, copied from the Translation Project.

2009-12-23 21:04  cstim

	* [r18530] src/gnome/druid-loan.c: I18n fix of concatenated
	  expression. We must not concatenate a word expression from
	  different strings. Instead, we must translate each expression
	  separately. Pointed out by Mark Haanen.

2009-12-23 20:54  cstim

	* [r18529] po/nl.po: Updated Dutch translation, by Mark Haanen,
	  copied from the Translation Project.

2009-12-20 00:25  plongstaff

	* [r18528] src/app-utils/options.scm: Fix bug #603215 - Custom
	  report from Budget Report does not save selected Budget Problem
	  was how budget option tried to create the lambda function to
	  restore the value.

2009-12-18 19:45  plongstaff

	* [r18527] src/engine/Account.c, src/engine/Split.c,
	  src/engine/Transaction.c, src/engine/gnc-lot.c: Free
	  accounts/lots/splits/transactions when closing a book

2009-12-18 12:39  gjanssens

	* [r18526] src/gnome-utils/gnc-main-window.c: Bug #479581 gnucash
	  --nofile hasn't application name in window title When no file is
	  selected, the title now becomes "Unsaved Book - GnuCash". The
	  first part is following Gnome HIG guidelines, the latter part is
	  a preference of several GnuCash developers. Furthermore, the "-
	  GnuCash" suffix will always be appended, not only when no file
	  is open.

2009-12-17 08:04  mta

	* [r18524] src/report/standard-reports/advanced-portfolio.scm:
	  Watch out for a missing pricing transaction when looking for
	  price data.

2009-12-17 08:03  mta

	* [r18523] src/engine/gnc-commodity.c: Add a comment about
	  GNC_COMMODITY_NS_ISO and GNC_COMMODITY_NS_CURRENCY.

2009-12-17 07:56  mta

	* [r18522] src/report/standard-reports/register.scm: Add new
	  columns for the name of the lot each split is part of and for
	  the value of the split. Both are optional and default to off.

2009-12-17 07:41  mta

	* [r18521] src/engine/gnc-commodity.c,
	  src/register/register-core/table-allgui.c: Fix some incorrect
	  ENTER() and LEAVE() calls.

2009-12-17 07:40  mta

	* [r18520] src/backend/dbi/gnc-backend-dbi.c,
	  src/gnome-utils/dialog-file-access.c: Fix a couple of
	  initialized variable warnings.

2009-12-17 07:39  mta

	* [r18519] src/gnome-utils/dialog-book-close.c,
	  src/gnome/lot-viewer.c: Call gnc_{suspend|resume}_gui_refresh
	  while closing accounts and scrubbing lots to make them go much
	  faster and avoid flicker.

2009-12-17 07:37  mta

	* [r18518] src/report/report-system/commodity-utilities.scm,
	  src/report/standard-reports/advanced-portfolio.scm,
	  src/scm/price-quotes.scm: Fix up some gnc:debug calls (and one
	  comment).

2009-12-17 07:35  mta

	* [r18517] src/report/standard-reports/transaction.scm: Watch out
	  for a null account in render-corresponding-account-subheading,
	  it happened to me once.

2009-12-17 07:34  mta

	* [r18516] src/report/standard-reports/income-statement.scm: Pass
	  the correct report name to income-statement-renderer-internal
	  when rendering a profit and loss report.

2009-12-17 07:33  mta

	* [r18515] src/report/report-system/report.scm: Don't leak a file
	  port when saving reports.

2009-12-17 07:28  mta

	* [r18514] src/register/ledger-core/split-register-util.c: Reset
	  found_trans_split when the transaction being considered in
	  gnc_split_register_find_split turns out to be the wrong one.

2009-12-17 07:26  mta

	* [r18513] src/register/ledger-core/split-register-model.c: Add
	  missing PORTFOLIO_LEDGER register type to switch statement in
	  gnc_split_register_get_debcred_entry.

2009-12-17 07:21  mta

	* [r18512] src/gnome/druid-loan.c: Fix an off by one error in
	  gnc_ui_sx_loan_druid_create.

2009-12-17 07:17  mta

	* [r18511] configure.in, src/bin/gnucash-bin.c: Increase the size
	  of the Guile stack to avoid stack overflow errors.

2009-12-17 07:15  mta

	* [r18510] autogen.sh: Fix a couple of echo commands and set
	  warnings=no-portability when running automake.

2009-12-17 07:10  mta

	* [r18509] src/engine/Split.c, src/engine/Split.h,
	  src/engine/Transaction.h: Make xaccSplitDump and xaccTransDump
	  work for debugging.

2009-12-17 06:30  mta

	* [r18508] src/engine/Split.c: Teach xaccSplitConvertAmount that
	  0*x = 0. Avoids looking up non-existant exchange rate.

2009-12-17 06:25  mta

	* [r18507] src/engine/Split.c: Add some missing Leave() calls.

2009-12-16 20:37  cstim

	* [r18506] po/nl.po: Updated Dutch translation, by Mark Haanen,
	  copied from the Translation Project.

2009-12-16 12:23  gjanssens

	* [r18505] packaging/win32/dist.sh: Fix gwenhywfar version lookup
	  by tightening the RE used

2009-12-16 00:17  plongstaff

	* [r18504] src/bin/gnucash-valgrind.in: Need to export the
	  variables for glib to see them

2009-12-15 21:27  cstim

	* [r18503] packaging/win32/dist.sh: temporarily disable the
	  gwenhywfar version lookup - there are multiple lines matching
	  GWENHYWFAR_SO_EFFECTIVE

2009-12-15 20:30  cstim

	* [r18502] packaging/win32/dist.sh: Really fix r18495 (#586122) to
	  look up the so-name of gwenhywfar correctly.

2009-12-14 22:25  gjanssens

	* [r18501] configure.in: Require gtk+ >= 2.8

2009-12-14 22:24  gjanssens

	* [r18500] src/gnome-utils/dialog-file-access.c: Some usability
	  improvements to the Save As.../Open dialog (part 2) Forgot to
	  add the changes in c code...

2009-12-14 21:35  gjanssens

	* [r18499] src/gnome-utils/glade/dialog-file-access.glade: Some
	  usability improvements to the Save As.../Open dialog * The
	  dialog gets a proper title * Only show the File frame or the
	  Database frame, as relevant to the chosen data format * Set a
	  minimum width. Without it the dialog comes up too narrow. * Some
	  minor layout changes (spacing, justification,...) to harmonize
	  with other GnuCash dialogs.

2009-12-14 05:52  mta

	* [r18498] src/report/standard-reports/Makefile.am: Symlink the
	  reports to the build directory to make it easier to use them
	  when running in place after a build without installing GnuCash.

2009-12-14 05:50  mta

	* [r18497] src/report/standard-reports/standard-reports.scm: Use
	  resolve-interface instead of resolve-module when loading reports
	  fo only the exported interface gets imported instead of
	  everything defined in the file.

2009-12-14 05:48  mta

	* [r18496] src/backend/dbi/test/Makefile.am: Make the dbi backend
	  tests work correctly if dbd is installed in a nonstandard
	  location. Supply a GNC_DBD_DIR environment variable to the tests
	  so it knows where to find the database modules. This is needed
	  if libdbi is installed via MacPorts on OS X.

2009-12-13 21:16  cstim

	* [r18495] packaging/win32/dist.sh,
	  packaging/win32/gnucash.iss.in: Fix #586122 (follow-up to
	  r18488) by using aqbanking/version.h from its installation path.
	  Also look up the gwenhywfar so-name accordingly.

2009-12-13 19:22  plongstaff

	* [r18494] src/backend/xml, src/backend/xml/gnc-backend-xml.c,
	  src/backend/xml/gnc-backend-xml.h,
	  src/business/business-core/xml, src/gnome-utils/Makefile.am,
	  src/gnome-utils/gnc-tree-model-account-drag.c,
	  src/gnome-utils/gnc-tree-model-account-drag.h,
	  src/gnome-utils/gnc-tree-view-account.c,
	  src/gnome/gnc-plugin-page-account-tree.c,
	  src/report/report-system/eguile-gnc.scm: Revert r18426 - "Bug
	  #121695: Support account reparenting through drag and drop"
	  Causing CRIT messages when you change accounts in a report
	  options dialog.

2009-12-13 19:19  plongstaff

	* [r18493] src/bin/gnucash-valgrind.in: Add flags to help with
	  valgrind on glib

2009-12-13 19:18  plongstaff

	* [r18492] src/backend/sql/gnc-price-sql.c: Free prices so that
	  they can be deleted when the book is closed

2009-12-13 00:42  plongstaff

	* [r18491] src/engine/gnc-budget.c: Free budgets when closing a
	  book

2009-12-12 20:05  plongstaff

	* [r18490] src/engine/gnc-lot.c: When closing the book, destroy
	  all lots (found by valgrind)

2009-12-12 00:15  plongstaff

	* [r18489] src/backend/dbi/gnc-backend-dbi.c,
	  src/backend/sql/gnc-backend-sql.c,
	  src/backend/sql/gnc-slots-sql.c, src/engine/SX-book.c,
	  src/libqof/backend/file/qsf-xml-map.c,
	  src/libqof/backend/file/qsf-xml.c, src/libqof/qof/qofbook.c:
	  Free memory leaks

2009-12-11 19:57  gjanssens

	* [r18488] packaging/win32/dist.sh,
	  packaging/win32/gnucash.iss.in: Bug 586122 - The AqBanking
	  Wizard can't be loaded: plugins\20 folder to be renamed into
	  plugins\16 The patch evaluates and configures the proper paths
	  at build time, retrieving the required info directly from the
	  aqbanking source

2009-12-11 19:41  cstim

	* [r18487] po/nl.po: Updated Dutch translation, by Mark Haanen and
	  Jos, copied from the Translation Project.

2009-12-11 17:32  plongstaff

	* [r18486] src/backend/dbi/gnc-backend-dbi.c,
	  src/backend/dbi/gnc-backend-dbi.h: Add
	  qof_backend_module_finalize() routine to call dbi_shutdown() to
	  free allocated resources.

2009-12-11 17:31  plongstaff

	* [r18485] src/libqof/qof/qofbackend.c,
	  src/libqof/qof/qofbackend.h, src/libqof/qof/qofutil.c: Add
	  qof_finalize_backend_libraries() which is called during
	  shutdown. This routine checks each backend library for an
	  exported qof_backend_module_finalize() routine, and if it
	  exists, calls it so that the backend can free any resources
	  which have been allocated.

2009-12-11 02:28  plongstaff

	* [r18483] src/backend/dbi/gnc-backend-dbi.c,
	  src/backend/dbi/test/test-dbi-stuff.c,
	  src/backend/dbi/test/test-dbi.c,
	  src/backend/sql/gnc-backend-sql.c,
	  src/backend/sql/gnc-backend-sql.h,
	  src/backend/sql/gnc-transaction-sql.c: Fix some memory leaks
	  found by valgrinding tests

2009-12-10 22:39  jralls

	* [r18482] configure.in, src/quotes/gnc-fq-check.in,
	  src/quotes/gnc-fq-helper.in, src/quotes/gnc-fq-update.in: Remove
	  erroneous use lib from gnc-fq-*, along with PERLINC setup in
	  configure.in

2009-12-09 21:30  cstim

	* [r18479] src/gnome/glade/account.glade: Small UI string
	  corrections related to the recent tax enhancements. Patch by J.
	  Alex Aycinena.

2009-12-09 20:56  cstim

	* [r18477] src/app-utils/gnc-ui-util.c: Small UI string
	  corrections related to the recent tax enhancements. Patch by J.
	  Alex Aycinena.

2009-12-09 15:14  gjanssens

	* [r18474] src/business/business-gnome/dialog-payment.c,
	  src/business/business-gnome/glade/payment.glade: Payment dialog
	  layout improvements - Rearrange the frames so that the Transfer
	  Account frame gets more space - Add tooltips to (owner),
	  (invoice) and amount related widgets. - Properly align the
	  invoice_label widget

2009-12-08 20:42  cstim

	* [r18473] packaging/win32/dist.sh, packaging/win32/install.sh:
	  Decrease verbosity during win32 packaging: Inno, gconftool-2,
	  htmlhelp compiler (hhc) with less output.

2009-12-06 18:58  plongstaff

	* [r18470] packaging/win32/install.sh: Disable it_IT help in the
	  win32 binary

2009-12-04 21:09  cstim

	* [r18465] src/app-utils/gnc-ui-util.c, src/tax/us/txf-de_DE.scm,
	  src/tax/us/txf.scm: Bug #603186: Fix crash with txf.scm on win32
	  Patch by J. Alex Aycinena: In further testing I discovered that
	  I omitted some codes in txf-de_DE.scm and txf.scm that need to
	  be there. Without them gnucash crashes under certain
	  circumstances.

2009-12-04 20:26  cstim

	* [r18464] src/app-utils/app-utils.scm,
	  src/business/business-utils/business-utils.scm,
	  src/engine/engine.i, src/libqof/qof/Makefile.am,
	  src/libqof/qof/qofbook.c, src/libqof/qof/qofbookslots.h: Bug
	  #537476: Fix currency trading account preference lookup Patch by
	  Mike Alexander: There are a few values related to the trading
	  accounts preference that are needed in both Scheme and C code.
	  Since one of them was already defined in Scheme before I
	  started, I defined all of them there and tried to import them to
	  C. This is obviously not a good idea, especially since the make
	  check tests don't even fire up Guile so Scheme code isn't
	  available. This patch changes things around to define the values
	  in C and import them to Scheme.

2009-12-03 21:12  cstim

	* [r18460] po/nl.po: Updated Durch translation by Mark Haanen,
	  copied from Translation Project.

2009-12-02 00:41  plongstaff

	* [r18456] configure.in: Update revision number to 2.3.8

2009-12-01 05:15  mta

	* [r18455] src/report/report-system/html-acct-table.scm,
	  src/report/standard-reports/balance-sheet.scm: Fix the bug
	  described in comment 19 of bug 537476, balance sheet wrong
	  without trading accounts. The problems is that
	  xaccQueryAddAccountMatch and xaccQueryAddAccountGUIDMatch match
	  all accounts rather than no accounts when given a null account
	  list. This means that gnc:accountlist-get-comm-balance-at-date
	  returns a balance for all accounts when given no accounts. This
	  caused the balance sheet report to fail if there were no trading
	  accounts. There is a similar problem with
	  gnc:account-get-trans-type-splits-interval in
	  gnc:html-acct-table-add-accounts! in html-acct-table.scm that is
	  also fixed.

2009-11-30 23:21  plongstaff

	* [r18454] src/backend/sql/gnc-slots-sql.c,
	  src/backend/sql/gnc-transaction-sql.c: Recreate index after
	  updating table

2009-11-29 20:22  cstim

	* [r18450] src/gnome/ui/gnc-plugin-page-register-ui.xml: Bug
	  #310567: Disable newly introduced "shift txn forward" feature
	  again because it is unfinished. The behaviour of the menu item
	  is not yet clear: After clicking on it, nothing changes in the
	  transaction, only after I additionally pressed "enter". After
	  this, the running balance currently isn't updated, which is
	  additionally confusing. These two points would need to be fixed
	  before we can recommend this feature for the next stable version
	  2.4.0. I disable it for now so that we can release something.

2009-11-29 19:48  plongstaff

	* [r18449] src/libqof/qof/qofbook.c: Temporarily disable currency
	  trading accounts so that 'make check' will pass so that 2.3.8
	  can be released.

2009-11-29 19:47  plongstaff

	* [r18448] src/engine/test/test-resolve-file-path.c: Fix
	  test-resolve-file-path - results have changed now that
	  resolve_file_path uses '_' instead of ',' for special characters.

2009-11-29 19:45  plongstaff

	* [r18447] src/backend/xml/test/test-dom-converters1.c: Fix
	  compilation problem in test - I'm not really sure why this is
	  now a problem. Perhaps libxml include files have changed between
	  ubuntu 9.04 and 9.10.

2009-11-29 19:43  plongstaff

	* [r18446] po/POTFILES.in: Add
	  src/gnome-utils/gnc-tree-model-account-drag.c to po/POTFILES.in

2009-11-28 15:51  plongstaff

	* [r18444] src/backend/sql/gnc-transaction-sql.c: Fix bug 600486 -
	  Unable to open sqllite file on Win7 64 bit Unposted invoice has
	  NULL tx guid, which wasn't being handled correctly. Doesn't
	  crash on linux but does on windows.

2009-11-27 03:13  plongstaff

	* [r18443] src/gnome-utils/dialog-file-access.c: Fix Bug 591573 -
	  "File|Save As" with xml option and no file name crashes With no
	  file name, entered, filename returned from file_chooser is NULL,
	  which led to the crash. If NULL is returned, just ignore the
	  button press. Proper UI would not allow Save As to be clicked
	  unless conditions were right, but I'm not sure how to make that
	  happen. There is a signal emitted when a file is selected, but
	  not when characters are typed into the name text field.

2009-11-24 00:09  plongstaff

	* [r18441] src/backend/dbi/gnc-backend-dbi.c: Set debug level for
	  gnc.backend.dbi automatically to DEBUG. This will ensure that
	  all SQL statements are logged into the gnucash.trace file. This
	  can provide vital information in case of problems.

2009-11-24 00:07  plongstaff

	* [r18440] src/engine/gnc-filepath-utils.c: Fix bug 602603 - State
	  file cannot be saved with MySQL because of colon in filename
	  When creating file names for the "books" or "data" directory
	  under ".gnucash", convert '/' and ':' to '_'. This may mean
	  state is lost for cases with a full url including type (since
	  the previous conversion was '/' to ','), but this will only
	  happen once.

2009-11-23 19:58  cstim

	* [r18439] src/report/report-system/html-utilities.scm,
	  src/report/report-system/report-system.scm,
	  src/report/standard-reports/budget-income-statement.scm: Bug
	  #570895: Allow reporting for single budget periods in budget
	  income statement Patch by Forest Bond: The budget income
	  statement would be more useful if it allowed reporting for
	  single budget periods, rather than always reporting for the
	  entire budget at once. This patch implements the requested
	  feature.

2009-11-23 19:46  cstim

	* [r18438] doc/Makefile.am: Bug #602744: Fix broken tip_of_the_day
	  list creation. Patch in r18417 from bug #602062 was buggy -
	  removing the "-x c" argument.

2009-11-22 20:39  cstim

	* [r18437] src/html/gnc-html-graph-gog.c: Fix memory leak: Let the
	  pixbuf renderer for goffice plots be unreferenced upon plot
	  destruction. Pointed out by Jean Bréfort.

2009-11-22 20:16  cstim

	* [r18435] configure.in, po/lv_LV.po: Add Latvian translation by
	  Valdis Vitolins <valdis.Vitolins@odo.lv>

2009-11-22 20:11  cstim

	* [r18434] src/libqof/qof/Makefile.am: Add libguile CFLAGS and
	  LIBADD because since r18429, qofbook.c wants to use libguile
	  functions.

2009-11-22 20:05  cstim

	* [r18433] src/gnome/dialog-tax-info.c: Fix too-new
	  gtk_dialog_get_content_area function of r18413: Patch by J. Alex
	  Aycinena: ‘gtk_dialog_get_content_area’ is from GTK version
	  2.14. The attached patch uses the prior
	  '(GTK_DIALOG(dialog)->vbox)' in place of
	  'gtk_dialog_get_content_area (GTK_DIALOG (dialog))' and compiled
	  successfully on my GTK version 2.16 and the application operated
	  properly.

2009-11-21 19:53  plongstaff

	* [r18432] src/backend/sql/gnc-transaction-sql.c: Transaction post
	  date also needs to allow NULL values.

2009-11-21 04:32  plongstaff

	* [r18431] src/backend/sql/gnc-transaction-sql.c: Fix bug 591098 -
	  when starting Gnucash, "Present" and all other collumns exept
	  TOTAL are zero until you open the account Fix bug 598618 - does
	  not calculate account balances correctly Both of these are
	  happening because not all transactions are being loaded at
	  startup. Bug 591098 happens because the account assumes it has
	  all splits loaded, and looks for the first one after the
	  requested date to get the present balance. The second happens
	  because then the splits associated with an invoice transaction
	  are being loaded, the balance cannot be updated properly. This
	  change reverts back to loading all transactions on startup. Once
	  gnucash is a proper database app, we can change back to loading
	  transactions only when needed.

2009-11-20 21:12  cstim

	* [r18430] src/libqof/qof/qofbook.c: Temporary workaround for
	  crash at startup after r18429. Before this change, gnucash
	  crashes on start-up with Backtrace: In unknown file: ?: 0*
	  gnc:*book-label* <unnamed port>: In expression gnc:*book-label*:
	  <unnamed port>: Unbound variable: gnc:*book-label*

2009-11-20 20:11  cstim

	* [r18429] src/app-utils/prefs.scm,
	  src/business/business-ledger/gncEntryLedgerLoad.c,
	  src/business/business-utils/business-prefs.scm,
	  src/business/business-utils/business-utils.scm,
	  src/engine/Account.c, src/engine/Account.h, src/engine/Period.c,
	  src/engine/Period.h, src/engine/Scrub.c, src/engine/ScrubP.h,
	  src/engine/Split.c, src/engine/Transaction.c,
	  src/engine/Transaction.h, src/engine/engine.i,
	  src/engine/gnc-commodity.c, src/engine/gnc-commodity.h,
	  src/gnome-utils/dialog-account.c,
	  src/gnome-utils/dialog-transfer.c,
	  src/gnome-utils/window-main-summarybar.c,
	  src/gnome/druid-hierarchy.c, src/import-export/import-backend.c,
	  src/import-export/import-main-matcher.c,
	  src/import-export/import-match-picker.c,
	  src/libqof/qof/qofbook.c, src/libqof/qof/qofbook.h,
	  src/register/ledger-core/gnc-ledger-display.c,
	  src/register/ledger-core/split-register-control.c,
	  src/register/ledger-core/split-register-layout.c,
	  src/register/ledger-core/split-register-model-save.c,
	  src/register/ledger-core/split-register-model.c,
	  src/register/ledger-core/split-register.c,
	  src/register/ledger-core/split-register.h,
	  src/report/report-system/report-utilities.scm,
	  src/report/standard-reports/advanced-portfolio.scm,
	  src/report/standard-reports/balance-sheet.scm,
	  src/report/standard-reports/equity-statement.scm,
	  src/report/standard-reports/transaction.scm,
	  src/report/standard-reports/trial-balance.scm: Bug #537476:
	  Implement currency trading accounts optionally, to be enabled
	  per-book. Patch by Mike Alexander: This patch implements trading
	  accounts somewhat as described in Peter Selinger's document at
	  <http://www.mathstat.dal.ca/~selinger/accounting/gnucash.html>.
	  Although he describes it as a multiple currency problem, it
	  really applies to any transactions involving multiple
	  commodities (for example buying or selling a stock) Hence I've
	  called the trading accounts "commodity exchange accounts" which
	  seems more descriptive. In summary these patches add an option
	  to use commodity exchange accounts and if it is on a transaction
	  must be balanced both in value (in the transaction currency) and
	  in each commodity or currency used in any split in the
	  transaction. If a transaction only contains splits in the
	  transaction currency then this is the same rule as Gnucash has
	  always enforced. In this patch, the option to use trading
	  accounts has been moved from Edit->Preferences to
	  File->Properties and is now associated with the active book
	  instead of being a global option. If you have set the global
	  value on in a previous version you will need to set it on again
	  in each file for which you want trading accounts, the previous
	  global setting will be ignored. A more detailed list of changes
	  follows: 1. Added a "Use commodity exchange accounts" per-book
	  option. 2. Added gnc_monetary and MonetaryList data types. 3.
	  Renamed xaccTransGetImbalance to xaccTransGetImbalanceValue and
	  added a new xaccTransGetImbalance that returns a MonetaryList.
	  Also added xaccTransIsBalanced to see if the transaction is
	  balanced without returning a GList that needs to be freed. It
	  calls both xaccTransGetImbalance and xaccTransGetImbalanceValue
	  since a transaction may be unbalanced with regard to either
	  without being unbalanced with regard to the other. 4. Changed
	  gnc_split_register_get_debcred_bg_color to use
	  xaccTransIsBalanced. 5. Changed gnc_split_register_balance_trans
	  to not offer to adjust an existing split if there imbalances in
	  multiple currencies. Because of bugs in the register code this
	  is rarely called. 6. Changed importers to use
	  xaccTransGetImbalanceValue to check for imbalance, assuming that
	  they won't create multiple currency trasactions. 7. Changed
	  xaccTransScrubImbalance to create a balancing split for each
	  imbalanced commodity in the transaction. Also balances the
	  transaction value. The commodity balancing splits go into
	  accounts in the hierarchy Trading:NAMESPACE:COMMODITY. The value
	  balancing splits go into Imbalance-CURRENCY as before. 8.
	  Changed xaccSplitConvertAmount to use xaccTransIsBalanced
	  instead of xaccTransGetImbalance. 9. Changed
	  gnc_split_register_get_debcred_entry to sometimes use the split
	  amount instead of value if using currency accounts. If the
	  register is a stock register (i.e., shows shares and prices), it
	  uses the value if the split is in the register commodity (i.e.
	  is for the stock) and the amount otherwise. It shows the
	  currency symbol unless the commodity is the default currency. If
	  the register is not a stock register it always uses the amount
	  and shows the currency symbol if the split is not in the
	  register commodity. Also changed it to not return a value for a
	  null split unless the transaction is unbalanced in exactly one
	  currency. This is what goes in a blank split as the proposed
	  value. 10. Changed refresh_model_row to use
	  xaccTransGetImbalanceValue to get the imbalance, assuming that
	  importers don't create transactions in multiple currencies. Also
	  same change in gnc_import_process_trans_item,
	  downloaded_transaction_append, and
	  gnc_import_TransInfo_is_balanced. 11. Changed the
	  TRANS_IMBALANCE accessor method in xaccTransRegister to use
	  xaccTransGetImbalanceValue. As far as I can tell this is only
	  used by the "pd-balance" query type in
	  gnc_scm2query_term_query_v1() defined in engine-helpers.c. This
	  query type only tests the result for zero/non-zero. 12. Changed
	  xaccTransGetAccountConvRate to accept any split into the correct
	  commodity instead of insisting on one into the provided account.
	  Then can use it in xaccTransScrubImbalance to set the value of
	  the imbalance split from its amount, however later changed
	  xaccTransScrubImbalance to not use it. Instead it sets the value
	  for the new split correctly to keep the value of the whole
	  transaction balanced. 13. Changed the balance sheet report to
	  include a new option to not compute unrealized gains and losses.
	  14. Related to 9 above, changed gnc_split_register_auto_calc to
	  not do anything if given a stock register where the value cell
	  doesn't contain the value. 15. Also related to 9, changed
	  gnc_split_register_save_amount_values to set the amount and
	  value fields in the split correctly when using trading accounts.
	  16. Changed the new account and edit account dialogs to allow
	  any commodity or currency for an income account if using trading
	  accounts. It would be better to add a new account type for
	  trading accounts, but that's a big deal and I'll leave that for
	  later after we see whether this set of changes is going to be
	  accepted or rejected. 17. Change
	  gnc_xfer_dialog_run_exchange_dialog to understand that the new
	  value is really the split's amount if using trading accounts.
	  18. Changed xaccSplitGetOtherSplit to ignore trading splits if
	  using commodity exchange accounts.

2009-11-20 19:57  cstim

	* [r18428] src/register/ledger-core/split-register-layout.c,
	  src/register/ledger-core/split-register-model-save.c,
	  src/register/ledger-core/split-register-model.c,
	  src/register/ledger-core/split-register.h: Bug #600374: Add
	  editable transaction field in the register for bank accounts
	  Patch by James Raehl: Currently, the only editable date in the
	  register is the bank posting date. This patch implements a
	  second editable date in the first field of the second line of a
	  double-line mode register. The entry date is borrowed in this
	  implementation. I understand the entry date is used for such as
	  stock transactions, but to me is mostly useless for those
	  keeping track of personal finances. This feature has been
	  requested on occasion, such as at
	  https://lists.gnucash.org/pipermail/gnucash-devel/2003-August/010279.html
	  and https://bugzilla.gnome.org/show_bug.cgi?id=92274 and
	  http://lists.gnucash.org/pipermail/gnucash-user/2009-October/031839.html
	  "Transaction date" refers to such as the date the purchase was
	  rung up in the store cash register, payment mailed or possibly
	  received by the recipient, payment received by you, date you
	  walked into the bank to make a deposit, or even the date the
	  expense was scheduled. Your intent to expend the money is
	  definitely determined. "Bank posting date" is when the bank has
	  finally debited or credited your account. "Date entered" in
	  Gnucash would be identical to "transaction date", if you always
	  without fail entered the transaction into Gnucash on the same
	  date as the purchase, bank deposit, etc. Bug #92274 describes it
	  better. That mentions 3 dates, date mailed, date gas company
	  posts the payment, and date the bank debits the payment. I track
	  even more dates on credit card transactions: statement date,
	  date bill received, payment mailing date, card payment received
	  (card transaction) date, card posting date, and bank posting
	  date. These are currently entered into my transaction Notes
	  field, which is one reason for my multi-line up/down Notes field
	  scroll patch, but Notes dates are not sortable. Obviously, the
	  use of sortable dates is flexible. I use one date as a budget
	  date (group budgeted expenses with paychecks), and the second as
	  bank posting date. I could obviously use a third date, the
	  "transaction date", but haven't implemented that yet (much more
	  work).
	* [r18427] src/gnome/gnc-plugin-page-register.c,
	  src/gnome/ui/gnc-plugin-page-register-ui.xml: Bug #310567: Add
	  menu item to shift transaction forward in sorting order Patch by
	  Steven N. Severinghaus: For me, it would be sufficient to have
	  keyboard shortcuts to increment and decrement the entry time of
	  the transaction by one second. This is essentially what I have
	  to do when I edit the XAC file manually. If hidden functionality
	  isn't acceptable, we could add "Shift forward" and "Shift
	  backward" items under the "Transaction" menu.
	* [r18426] src/gnome-utils/Makefile.am,
	  src/gnome-utils/gnc-tree-model-account-drag.c,
	  src/gnome-utils/gnc-tree-model-account-drag.h,
	  src/gnome-utils/gnc-tree-view-account.c,
	  src/gnome/gnc-plugin-page-account-tree.c: Bug #121695: Support
	  account reparenting through drag and drop in the account tree
	  view Patch by Matt Lavin: Here is a patch that implements drag
	  and drop reparenting in the accounts page. The function works
	  for me, and I can't think of anything more that needs to be
	  done, but I'm new to the Gnucash codebase so a thorough review
	  would be great.

2009-11-20 02:10  plongstaff

	* [r18425] src/gnome-utils/gnc-tree-model-account.c,
	  src/gnome-utils/gnc-tree-model-account.h,
	  src/gnome-utils/gnc-tree-view-account.c: Fix bug 492865 - Add
	  Last Reconcile Date as an Option in the Chart of Accounts Patch
	  by David Hampton

2009-11-20 01:20  plongstaff

	* [r18424] src/backend/sql/gnc-backend-sql.c,
	  src/backend/sql/gnc-transaction-sql.c,
	  src/business/business-core/sql/gnc-entry-sql.c,
	  src/business/business-core/sql/gnc-invoice-sql.c: Fix bug 593581
	  - 2.3.5: Save to MySQL still fails with date error After the
	  change storing date-time values as a TIMESTAMP, a Timespec value
	  of 0 could be stored in mysql (I'm in EST timezone) because it
	  converted to "19700101000000" which is "19700101050000" UTC
	  which is in the valid TIMESTAMP range of >= "19700101000001".
	  However, someone in UTC couldn't store that value because it is
	  treated as in the local timezone, and for someone in UK, it is
	  out of range. This change changes 0 Timespec values to NULL db
	  values. Slots already allow NULL TIMESPEC values. There are a
	  few places where the db schema needs to be changed to allow NULL
	  values.

2009-11-17 21:15  cstim

	* [r18420] src/import-export/aqbanking/gnc-ab-utils.c,
	  src/import-export/aqbanking/gnc-ab-utils.h: Decrease verbosity
	  of aqbanking plugin: Debug output only if preference was
	  selected.

2009-11-16 21:48  cstim

	* [r18419] src/gnome-utils/dialog-utils.c: Bug #601861: Fix
	  mis-captioning in button labels The keyboard shortcut hints in
	  some dialogs are miscaptioned. This means that in a save request
	  dialog, for example, the button caption "Save Transaction"
	  spuriously reads "_Save Transaction" instead of "Save
	  Transaction" with the "S" of "Save" being underlined to mark the
	  proper key on the keyboard to press in order to invoke saving of
	  the transaction. Seems like new gtk-version is stricter and adds
	  mnemonics only if told so.

2009-11-16 21:43  cstim

	* [r18418] src/backend/sql/gnc-budget-sql.c: Bug #602070: Fix
	  return value in void function Patch by Halton Huo.

2009-11-16 21:42  cstim

	* [r18417] doc/Makefile.am: Bug #602062: Fix hard-coded gcc
	  program name Patch by Halton Huo.
	* [r18416] src/libqof/qof/qofmath128.c,
	  src/libqof/qof/qofmath128.h: Bug #540452: Remove inline from
	  function declaration/definition because it contradicts the C99
	  standard. Patch by Halton Huo: Remove inline from qofmath128.c
	  and qofmath128.h. Cstim notes: The way the code is written
	  (.h/.c) we should not have any "inline" there. If the functions
	  are intended to be used inline only (and they are, in
	  gnc-numeric.c), the definitions should be moved into
	  gnc-numeric.c anyway and the declarations removed.
	* [r18415] src/backend/sql/Makefile.am,
	  src/gnc-module/Makefile.am, src/html/Makefile.am: Bug #602069:
	  Fix build on Solaris for different gmp header locations Patch by
	  Halton Huo: Since solaris ship gmp header files under
	  /usr/include/gmp rather than /usr/include, so this bug only
	  happens on those systems which does not ship gmp headers into
	  /usr/include. Actually this is aware during configure time
	  through "guile-config compile". My GUILE_INCS is
	  -I/usr/include/gmp. So adding GUILE_INCS for AM_CPPFLAGS in
	  src/gnc-module/Makefile.am will fix this bug.

2009-11-16 01:05  plongstaff

	* [r18414] src/report/standard-reports/standard-reports.scm: Fix
	  bug 598213 - Selecting "Account Report" causes gnucash to crash
	  After resolving a report module, add it to the list of used
	  modules.

2009-11-15 20:35  cstim

	* [r18413] src/app-utils/app-utils.i, src/app-utils/gnc-ui-util.c,
	  src/app-utils/gnc-ui-util.h, src/engine/Account.c,
	  src/engine/Account.h, src/gnome/dialog-tax-info.c,
	  src/gnome/glade/tax.glade,
	  src/gnome/gnc-plugin-basic-commands.c,
	  src/report/locale-specific/us/taxtxf-de_DE.scm,
	  src/report/locale-specific/us/taxtxf.scm, src/tax/us/de_DE.scm,
	  src/tax/us/txf-de_DE.scm, src/tax/us/txf.scm, src/tax/us/us.scm:
	  Bug #554394: Income Tax Enhancements Patch by J. Alex Aycinena.
	  Patch does the following: - update the tax information in
	  'txf.scm', which is based on V037 of the TXF Spec, to V041, the
	  last version issued (bug #554394) - provide support for multiple
	  copies of certain tax Forms/Schedules (e.g., Schedule C(1),
	  Schedule C(2), etc.) - support multiple types of tax entities:
	  partnerships, corporations and S corporations, in addition to
	  individual tax payers - support balance sheet accounts, required
	  for these new tax entity types - add the term 'Income' in
	  several places to avoid confusion with sales or VAT style taxes
	  in the business features (e.g., change the menu from 'Tax
	  Options' to 'Income Tax Options') The following files were
	  changed, as follows, to implement these changes: 1.
	  src/engine/Account.c and 2. src/engine/Account.h: add copy
	  number capability (define 'xaccAccountGetTaxUSCopyNumber' and
	  'xaccAccountSetTaxUSCopyNumber'); modify
	  'xaccAccountSetTaxUSCode' to remove KVP when no tax-code
	  assigned, clean up tax-source descriptions 3.
	  src/gnome/gnc-plugin-basic-commands.c: change 'Tax Options' to
	  'Income Tax Options' 4. src/app-utils/gnc-ui-util.c and 5.
	  src/app-utils/gnc-ui-util.h: add setter and getter functions for
	  book tax name and book tax type which are stored in a book KVP,
	  show copy information in accounts page, tax column, show error
	  messages for various conditions 6. src/app-utils/app-utils.i:
	  add 'gnc_get_current_book_tax_name' and
	  'gnc_get_current_book_tax_type' functions 7.
	  src/gnome/dialog-tax-info.c: add copy number and tax entity name
	  and type, and balance sheet account handling capability 8.
	  src/gnome/glade/tax.glade: add tax entity name, tax entity type,
	  asset, liability/equity and copy number widgets 9.
	  src/tax/us/txf.scm: update to V041 for individuals, add V041
	  support for multiple additional tax entity types and balance
	  sheet accounts and related tax codes, add tax form line data 10.
	  src/tax/us/us.scm: export new functions defined in txf.scm 11.
	  src/report/locale-specific/us/taxtxf.scm: add support for
	  multiple copies of Forms/Schedules, add support for Format 6,
	  use Form/Schedule line #'s to sort report, update from "V037" to
	  "V041", add support for taxpayer types other than F1040, add
	  warning messages if there are some inconsistent codes assigned
	  and list 12. src/tax/us/txf-de_DE.scm: make functions called
	  from outside (e.g., from dialog-tax-info.c) have a consistent
	  signature with those same functions in txf.scm (define
	  tax-entity-type , define getters/setters, add tax-entity-type as
	  an argument to existing functions) 13. src/tax/us/de_DE.scm:
	  export new functions added to txf-de_DE.scm 14.
	  src/report/locale-specific/us/taxtxf-de_DE.scm: add "" as
	  tax-entity-type argument to functions called on txf-de_DE.scm
	  (which defaults to existing codes)

2009-11-11 21:17  cstim

	* [r18412] src/gnome-utils/dialog-file-access.c: In the "Save As"
	  dialog, set XML as default, not sqlite3.

2009-11-11 21:07  cstim

	* [r18411] src/import-export/csv/gnc-csv-model.c: Fix compile
	  error on current ubuntu by clashing symbol declarations in
	  goffice and regex.h

2009-11-11 20:55  cstim

	* [r18410] src/tax/us/txf-de_DE.scm: Revert r18409, "Bug
	  #554394:...". Needs to be applied after other patches are
	  applied as well.

2009-11-11 20:13  cstim

	* [r18409] src/tax/us/txf-de_DE.scm: Bug #554394: Fix (incomplete)
	  German tax report with latest txf.scm changes. Patch by J. Alex
	  Aycinena.

2009-11-09 23:35  plongstaff

	* [r18408] src/html/gnc-html-webkit.c: Bug 600947 - Gnucash-2.3.7
	  crashes when doing reports with webkit-1.1.15 Handle the
	  "navigation requested" callback correctly. It was being called
	  with the uri "base-uri" when a page was being loaded. This
	  needed to be accepted. Then, when clicking on an account name,
	  the correct register needs to be opened and the navigation
	  status needs to be IGNORE.

2009-11-08 18:59  plongstaff

	* [r18407] src/gnome-utils/gnc-account-sel.c: When creating an
	  account selector and a commodity list if provider, just
	  duplicate the list rather than making a copy of each commodity.
	  When a copy is made, this copy is stored in the db, but is never
	  deleted. This causes problems (loss of reference from account/tx
	  to commodity) when the file is reloaded.

2009-11-01 22:16  plongstaff

	* [r18406] src/business/business-gnome/dialog-payment.c: Bug
	  599324 - Patch: Add double click behaviour to account list in
	  payment dialog Patch by Geert Janssens

2009-11-01 21:49  plongstaff

	* [r18405] src/business/business-gnome/glade/invoice.glade: Bug
	  599322 - Patch: Minor gui tweak for invoice window Fix widget
	  spacing. Patch by Geert Janssens

2009-10-31 21:03  cstim

	* [r18404] src/app-utils/options.scm: Bug #599953: Let
	  gnc:make-[complex|simple]-boolean-option store its value as a
	  string Patch by Mike Alexander (plus documentation comment by
	  me): Neither gnc:make-complex-boolean-option nor
	  gnc:make-simple-boolean-option (which calls it) correctly stores
	  its result in the KVP that it is using. This is because it calls
	  kvp-frame-get-slot-path-gslist and
	  kvp-frame-set-slot-path-gslist to get and set the value. Both of
	  these are implemented in C and the code in kvp-scm.c can't
	  convert a Scheme boolean value to or from a KvpValue since there
	  is no boolean type in KvpValue. There are already a few places
	  that have comments suggesting that there should be a
	  KVP_TYPE_BOOLEAN type, but adding this would be non-trivial. For
	  now I'll supply a patch that will store the boolean value as a
	  string (which is what code in xaccAccountSetAutoInterestXfer in
	  Account.c does).
	* [r18403] src/import-export/aqbanking/gnc-ab-utils.c: Remove
	  forgotten printf in r18402 which shouldn't have been committed
	  to SVN.

2009-10-31 19:58  cstim

	* [r18402] src/import-export/aqbanking/gnc-ab-utils.c,
	  src/import-export/hbci/gnc-hbci-gettrans.c: Fix amount sign of
	  imported bank transfers (e.g. from DTAUS file). Usually an
	  imported DTAUS file describes debit notes, which means "our
	  account" is credited (and the other debited). But DTAUS can also
	  contain transfers, which means "our account" is debited. In the
	  DTAUS case, the value would still be positive, so we have to
	  query the transaction type for this case as well. This is now
	  fixed. (Needs aqbanking-4.1.10 though because the earlier
	  versions forgot to set the TypeTransfer.)

2009-10-30 20:07  cstim

	* [r18401] src/libqof/qof/guid.c, src/libqof/qof/qofid.c: Fix GCC
	  pointer strictness compiler errors/warnings and remove duplicate
	  code Patch by Matt Lavin <matt.lavin@gmail.com> (with const
	  added by myself).

2009-10-30 19:50  cstim

	* [r18400] src/report/standard-reports/standard-reports.scm:
	  Revert r18396, "Bug #593906: Fix crash at account report" This
	  change will crash the Windows version at startup, unfortunately
	  with unknown reason.

2009-10-28 17:21  cmarchi

	* [r18399] po/ja.po: Update of Japanese translation by KUSANO
	  Takayuki

2009-10-27 21:12  cstim

	* [r18398] accounts/Makefile.am, accounts/pl,
	  accounts/pl/Makefile.am,
	  accounts/pl/acctchrt_brokerage.gnucash-xea,
	  accounts/pl/acctchrt_business.gnucash-xea,
	  accounts/pl/acctchrt_carloan.gnucash-xea,
	  accounts/pl/acctchrt_cdmoneymkt.gnucash-xea,
	  accounts/pl/acctchrt_checkbook.gnucash-xea,
	  accounts/pl/acctchrt_childcare.gnucash-xea,
	  accounts/pl/acctchrt_common.gnucash-xea,
	  accounts/pl/acctchrt_eduloan.gnucash-xea,
	  accounts/pl/acctchrt_fixedassets.gnucash-xea,
	  accounts/pl/acctchrt_full.gnucash-xea,
	  accounts/pl/acctchrt_homeloan.gnucash-xea,
	  accounts/pl/acctchrt_homeown.gnucash-xea,
	  accounts/pl/acctchrt_otherloan.gnucash-xea,
	  accounts/pl/acctchrt_renter.gnucash-xea,
	  accounts/pl/acctchrt_retiremt.gnucash-xea,
	  accounts/pl/acctchrt_spouseinc.gnucash-xea,
	  accounts/pl/acctchrt_spouseretire.gnucash-xea, configure.in: Add
	  polish account templates, contributed by Jacek Baszkiewicz
	  <jbaszkiewicz@o2.pl>.

2009-10-26 20:36  cstim

	* [r18397] src/import-export/gnc-import-format-gnome.c: Fix
	  compile error related to uninitialized value. Patch by Matt
	  Lavin <matt.lavin@gmail.com>.

2009-10-26 20:15  cstim

	* [r18396] src/report/standard-reports/standard-reports.scm: Bug
	  #593906: Fix crash at account report Patch by Mike Alexander.
	  This is the fixed version of r18352 which was reverted in r18360.
	* [r18395] src/engine/iso-4217-currencies.scm: Bug #582985,
	  #585022: Add missing currencies Armenian Dram (AMD) and RSD.
	  Patch by Frank H. Ellenberger.
	* [r18394] src/engine/gnc-budget.c, src/engine/gnc-budget.h,
	  src/report/report-system/html-acct-table.scm,
	  src/report/report-system/report-system.scm,
	  src/report/report-system/report-utilities.scm,
	  src/report/standard-reports/budget.scm: Bug #593070: Budget
	  Report: Omit accounts with no budget and zero balance Patch
	  contributed by Luke Duncan: I would like to have an option for
	  the budget report that allows it to omit accounts that have zero
	  balance and no budget value specified over the entire budget
	  term. This avoids showing entire rows of blank cells without the
	  user having to manually select which accounts have a budget
	  value or balance for the term of the budget. The user can select
	  all expense and income accounts and it only shows the accounts
	  that have actual (nonzero) data to display.

2009-10-26 19:30  cstim

	* [r18393] src/import-export/hbci/hbci-interaction.c: Bug #567090:
	  Fix erroneous password length comparison.

2009-10-25 21:02  cstim

	* [r18392] po/de.po: Update German translation.

2009-10-25 20:34  cstim

	* [r18391] src/register/ledger-core/split-register.c: Introduce
	  disambiguation prefix for "Deposit" action to distinguish it
	  from the noun. The Dutch translator wrote: Would it be possible
	  to differentiate between the instance of the _verb_ "Deposit" in
	  src/register/ledger-core/split-register.c:2184 (the verb) and
	  the occurrances of the _noun_ "Deposit" in
	  src/app-utils/prefs.scm (via intl-scm/guile-strings.c:6732) and
	  src/import-export/csv/gnc-csv-model.c:37? This would help me
	  tremendously with my efforts.
	* [r18390] src/register/register-core/combocell.h,
	  src/register/register-gnome/combocell-gnome.c,
	  src/register/register-gnome/gnucash-item-list.c,
	  src/register/register-gnome/gnucash-item-list.h: Make one
	  register function more const correct to avoid compiler warnings
	  when passing const strings.

2009-10-25 20:06  cstim

	* [r18389] po/nl.po: Update Dutch translation by Mark Haanen,
	  copied from the Translation Project.

2009-10-18 23:48  plongstaff

	* [r18386] src/app-utils/gnc-exp-parser.c: Fix typo:
	  scm_catch_body_t -> scm_t_catch_body

2009-10-18 21:57  plongstaff

	* [r18385] packaging/win32/install.sh: Allow m4 1.4.11 and 1.4.13
	  as well as 1.4.7. Should really parse the version number to
	  ensure it is higher than some minimum value.

2009-10-17 17:47  plongstaff

	* [r18384] macros/gnome-guile-checks.m4,
	  src/app-utils/gnc-exp-parser.c,
	  src/optional/python-bindings/gnucash_core.i: Fix 598491: Remove
	  use of guile's deprecated GH interface

2009-10-16 20:15  cstim

	* [r18383] po/nl.po: Updated Dutch translation by Mark Haanen,
	  copied from the Translation Project.

2009-10-16 19:53  cstim

	* [r18381] packaging/win32/dist.sh: Win32: Assert there is only
	  one aqbanking plugin directory before accessing the
	  qt3-wizard.exe.

2009-10-16 19:06  cstim

	* [r18380] po/nl.po: Updated Dutch translation by Erwin Poeze,
	  copied from the Translation Project.

2009-10-15 23:21  plongstaff

	* [r18379] src/gnc-module/Makefile.am,
	  src/gnc-module/gnc-module.c: gnc-module doesn't need to
	  compile/link with guile

2009-10-13 19:37  cstim

	* [r18378] packaging/win32/defaults.sh: Win32: Minor version
	  update of aqbanking.

2009-10-08 21:04  cstim

	* [r18377] src/gnome-utils/glade/preferences.glade,
	  src/gnome/schemas/apps_gnucash_general.schemas.in,
	  src/register/ledger-core/split-register-control.c: Add new
	  option in register "Tab order includes Transfer field". Patch by
	  Colin Law: Patch that provides a new option in the Register
	  preferences to specify whether, when tab is hit after entering
	  the description for a memorised transaction in Basic Ledger
	  view, that the cursor skips to the value field (as at present)
	  or just tabs to the Transfer field. The option defaults to
	  include the Transfer field so gnucash operation is unaffected
	  unless user modifies the option. Signed-off-by: Christian
	  Stimming <stimming@tuhh.de>

2009-10-07 20:45  cstim

	* [r18376] src/backend/xml/gnc-recurrence-xml-v2.c: Partly fix
	  broken data file backward compatibility where SX recurrence
	  would disappear. In r17725 and r17751, I introduced the extra
	  XML child element <recurrence:weekend_adj>, but this means a
	  gnucash-2.2.x cannot read the SX recurrence of a >=2.3.x file
	  anymore, which is bad. In order to improve this broken backward
	  compatibility for at least the common case, we don't write out
	  this XML element as long as it is only "none".

2009-10-06 00:03  plongstaff

	* [r18371] configure.in: Change version number to 2.3.7

2009-10-04 23:31  plongstaff

	* [r18370] packaging/win32/defaults.sh: Retrieve new packaged
	  pgsql binary which has msvcr71.dll included. Also, win32
	  packaged webkit is retrieved from sourceforge.net, not
	  gnucash.org.

2009-10-04 20:25  cstim

	* [r18369] packaging/win32/dist.sh, packaging/win32/install.sh:
	  Revert r18366, "Bug #596248: Disable pgsql in libdbi build" The
	  current build doesn't even start. We revert this change so that
	  we go back to the previous behaviour where we at least started
	  the main window.
	* [r18368] packaging/win32/defaults.sh: Partly revert r18363,
	  "Minor windows version updates: Newer gmp, newer slib." The
	  newest build doesn't even start the gnucash main window (only
	  the splash screen). Hence, we revert the changed slib version
	  because this might affect that behaviour.

2009-10-03 20:11  cstim

	* [r18367] packaging/win32/install.sh: Win32: Build gwenhyfar
	  without openssl because it doesn't need it anyway.

2009-10-03 14:06  cstim

	* [r18366] packaging/win32/dist.sh, packaging/win32/install.sh:
	  Bug #596248: Disable pgsql in libdbi build because the available
	  pgsql binaries depend on Visual Studio C runtime. This can be
	  enabled again as soon as we pgsql binaries available which do
	  not depend on MSVCR71.DLL anymore.

2009-10-03 14:01  cstim

	* [r18365] src/register/ledger-core/split-register-layout.c:
	  Follow-up to r18354: Patch for balance column displayed in
	  template register Patch by Tim M: The attached patch is an
	  improvement to the original patch which supplies the correct
	  number of columns to gnucash for the general_ledger register
	  view if the register is a template. Signed-off-by: Christian
	  Stimming <stimming@tuhh.de>

2009-10-03 13:59  cstim

	* [r18364] src/gnome-utils/gnc-sx-list-tree-model-adapter.c: I18n:
	  Fix forgotten string markup for translation.

2009-10-03 11:48  cstim

	* [r18363] packaging/win32/defaults.sh: Minor windows version
	  updates: Newer gmp, newer slib. (Note: The newer slib version
	  doesn't yet fix the issue which caused r18360)

2009-10-03 11:43  cstim

	* [r18362] po/pl.po: Updated Polish translation by Jacek
	  Baszkiewicz.

2009-10-03 11:37  cstim

	* [r18361] src/register/ledger-core/split-register-model.c: Fix
	  compiler warnings. Patch by Colin Law: Attached is a patch to
	  fix compiler warnings in split-register-model.c. In fact for me
	  they prevent compilation, possibly because I have specified
	  --enable-compile-warnings. I have inspected the code and it
	  appears that the warnings are unfounded, the code appears to be
	  safe, though I can see why the warnings were generated.
	  Signed-off-by: Christian Stimming <stimming@tuhh.de>

2009-10-03 11:33  cstim

	* [r18360] src/report/standard-reports/standard-reports.scm:
	  Revert r18352, "Bug #593906: Fix crash at creating account
	  report" The bugfix was using the guile function "@" which
	  apparently isn't available on quite a number of platforms,
	  including the Windows guile-1.6.8 which we're shipping in our
	  windows binary. So we need to fix the original bug in a
	  different way without the "@" function.

2009-09-29 01:05  plongstaff

	* [r18356] configure.in: Update revision number to 2.3.6

2009-09-28 20:32  cstim

	* [r18355] src/register/ledger-core/split-register-model.c:
	  Improve original register running balance implementation. Patch
	  by Tim M: The attached patch is an enhancement to the original
	  reg_run_balance patch that was implemented. This patch has been
	  created off of a recent trunk (in the last week). It makes the
	  following changes: 1. Add a gboolean to the argument list of the
	  gnc_split_register_get_rbaln() function. If the new boolean
	  value is set to TRUE, then the function will return the running
	  balance for the parent account and all subaccounts. If set to
	  FALSE, the function will only return the running balance of the
	  parent account and will not include the subaccounts. The
	  function has been modified also to accomodate this change. 2.
	  Update existing calls to the function to add the boolean value.
	  This patch does not actually implement a runtime balance for
	  single account register view or normal balance column because of
	  potential issues that will need to be addressed, but it opens up
	  the possibility for easy implementation of such a change.
	  Signed-off-by: Christian Stimming <stimming@tuhh.de>

2009-09-28 20:31  cstim

	* [r18354] src/register/ledger-core/split-register-layout.c: Fix
	  bug when register running balance column appears in template
	  transaction. Patch by Tim M: I noticed yesterday a bug in the
	  reg run balance patch that was applied, there is now a "Balance"
	  column displayed in the template transaction register. If you
	  open the scheduled transaction editor, then open a scheduled
	  transaction and go to the "Template Transaction" tab, there is a
	  "Balance" column displayed on the far right side of the
	  register. The attached patch fixes this defect so that the RBALN
	  column is not displayed in template registers. Signed-off-by:
	  Christian Stimming <stimming@tuhh.de>

2009-09-28 17:32  cstim

	* [r18352] src/report/standard-reports/standard-reports.scm: Bug
	  #593906: Fix crash at creating account report Patch by Mike
	  Alexander: I tracked it down to the set of changes made in
	  r18253 to automatically load all the reports in the
	  standard-reports directory. This changed standard-reports.scm to
	  use resolve-module instead of use-modules to load reports. One
	  difference between these two is that resolve-module doesn't make
	  the interface for the loaded module available to the module
	  containing the call to resolve-module. This causes a crash when
	  gnc:register-report-create in standard-reports.scm tries to call
	  gnc:register-report-create-internal which is located in
	  register.scm (one of the modules loaded using resolve-module). I
	  fixed it by explicitly defining that interface using the "@"
	  guile function after the modules are loaded. You could also
	  probably just add back a call to use-module for that module, but
	  this seems to work and makes it explicit what interface is
	  needed. Signed-off-by: Christian Stimming <stimming@tuhh.de>

2009-09-28 17:28  cstim

	* [r18351] po/sk.po: Updated Slovak translation, copied from the
	  Translation Project.

2009-09-26 02:21  plongstaff

	* [r18350] configure.in, src/gnome-utils/print-session.c,
	  src/gnome-utils/print-session.h, src/html/gnc-html-graph-gog.c:
	  If webkit chosen as html engine, don't bother looking for
	  gtkhtml.

2009-09-26 00:07  plongstaff

	* [r18349] src/business/business-gnome/business-gnome-utils.c,
	  src/business/business-gnome/dialog-invoice.c,
	  src/gnome-search/gnc-general-search.c,
	  src/gnome-search/gnc-general-search.h: Fix enhancement bug
	  101456 - 'Find' dialog cumbersome for Business functions When
	  opening an invoice search dialog from a specific company, list
	  is populated by all invoices. Patch by Geert Janssens

2009-09-25 23:36  plongstaff

	* [r18348] src/register/register-gnome/gnucash-item-edit.c:
	  Enhancement bug 589787 - Multi-line up/down scroll for register
	  transaction Notes field text Patch by James Raehl

2009-09-25 19:43  cstim

	* [r18347] packaging/win32/dist.sh: Win32 build: Add forgotten
	  dist_ktoblzcheck step to dist creation.

2009-09-25 01:32  plongstaff

	* [r18346] src/gnome-utils/gnc-tree-view-account.c,
	  src/gnome-utils/gnc-tree-view-account.h: Use GtkFunction instead
	  of obsolete GtkDestroyNotify for argument type

2009-09-24 20:45  cstim

	* [r18345] packaging/win32/gwenhywfar-3.11.1-patch.diff: Win32
	  build: gwenhywfar needs another patch

2009-09-24 20:12  cstim

	* [r18344] packaging/win32/install.sh: Win32 build: Fix stupid
	  typo in aclocal call (also it is not needed ATM)

2009-09-24 20:06  cstim

	* [r18343] packaging/win32/defaults.sh,
	  packaging/win32/gwenhywfar-3.11.1-patch.diff: Gwenhywfar-3.11.1
	  also needs a patch to not crash at startup.

2009-09-24 18:49  cstim

	* [r18342] po/da.po: Updated Danish translation by Joe Hansen,
	  copied from the Translation Project.

2009-09-23 20:19  cstim

	* [r18341] po/de.po: Updated German translation, inspired by
	  Raffael Luthiger's contribution on 2008-12-31.

2009-09-23 10:32  cstim

	* [r18340] packaging/win32/install.sh: Win32 build: Update file
	  names with newer aqbanking version.

2009-09-23 09:37  cstim

	* [r18339] packaging/win32/defaults.sh,
	  packaging/win32/install.sh: Update gwenhywfar+aqbanking packages
	  - Martin has just released new versions including our patches.
	* [r18338] src/import-export/aqbanking/gncmod-aqbanking.c: Fix
	  another forgotten i18n include.

2009-09-23 09:26  cstim

	* [r18337] packaging/win32/install.sh: Win32 build: Remove
	  gwenhywfar configure option which has been removed before
	  gwenhywfar-3.8.2. Also, add aclocal call because the patch has
	  modified configure.ac.

2009-09-23 08:31  cstim

	* [r18336] packaging/win32/aqbanking-4.1.6-patch.diff,
	  packaging/win32/defaults.sh,
	  packaging/win32/gwenhywfar-3.11.0-patch.diff: Win32 build: Add
	  patch for gwenhywfar-3.11.0 so that this compiles correctly.

2009-09-23 08:27  cstim

	* [r18335] src/import-export/gncmod-generic-import.c,
	  src/import-export/hbci/gncmod-hbci.c: Fix forgotten i18n
	  includes.

2009-09-23 08:15  cstim

	* [r18334] src/gnome-utils/dialog-preferences.h: Clarify
	  documentation: Preference tab names must be translated
	  everywhere.

2009-09-23 08:14  cstim

	* [r18333] src/import-export/aqbanking/gncmod-aqbanking.c,
	  src/import-export/gncmod-generic-import.c,
	  src/import-export/hbci/gncmod-hbci.c,
	  src/import-export/qif-import/gnc-plugin-qif-import.c: I18n fix:
	  Markup preference tab name "Online Banking" for translation.

2009-09-22 21:38  cstim

	* [r18332] packaging/win32/dist.sh: Win32 installer: Really fix
	  path of qt3-wizard.exe.

2009-09-22 21:23  cstim

	* [r18331] packaging/win32/dist.sh: Bug #595920: Fix missing
	  ca-bundle.crt in windows installer. Also, fix the plugin number
	  path of qt3-wizard.exe.

2009-09-22 20:33  cstim

	* [r18330] packaging/win32/defaults.sh,
	  packaging/win32/libofx-0.9.2-patch.diff: Minor version update
	  for online banking packages. The libofx patch was originally
	  intended to be committed to the libofx CVS so that the code
	  would be included in a potential 0.9.2 release sometime in the
	  future, only until I discovered that I'm a developer there but
	  without CVS write access. Duh!

2009-09-22 17:12  cmarchi

	* [r18329] po/pl.po: Update of Polish translation by Jacek
	  Baszkiewicz

2009-09-21 00:51  plongstaff

	* [r18328] src/report/report-system/report-system.scm,
	  src/report/report-system/report-utilities.scm,
	  src/report/stylesheets/stylesheet-easy.scm,
	  src/report/stylesheets/stylesheet-fancy.scm: Add "file://" URL
	  type to images in invoices. On win32, this at least allows the
	  exported invoice html to load in firefox. It still doesn't fix
	  it in webkit, for some reason.

2009-09-20 20:24  cstim

	* [r18327] po/ca.po, po/cs.po, po/da.po, po/de_CH.po, po/el.po,
	  po/en_GB.po, po/es.po, po/es_NI.po, po/eu.po, po/fi.po,
	  po/fr.po, po/he.po, po/hu.po, po/it.po, po/ja.po, po/ko.po,
	  po/lt.po, po/nb.po, po/ne.po, po/nl.po, po/pl.po, po/pt.po,
	  po/pt_BR.po, po/ro.po, po/ru.po, po/rw.po, po/sk.po, po/sv.po,
	  po/ta.po, po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po,
	  po/zh_TW.po: Merge latest pot template into all .po translation
	  files.

2009-09-20 20:23  cstim

	* [r18326] po/de.po: Update German translation with latest string
	  changes: 10 new strings.

2009-09-20 20:03  cstim

	* [r18325] src/register/ledger-core/split-register-layout.c,
	  src/register/ledger-core/split-register-model.c,
	  src/register/ledger-core/split-register.h: Bug #107929: Register
	  window with running balance including all subaccounts Adds a
	  balance column to the "Open Subaccounts" register with the
	  running balance. This patch adds a Balance column (similar to
	  the single account register) which provides a total running
	  balance of the parent account and all subaccounts. Patch by Tim
	  M, modified by cstim to take r18320 / Bug#585784 into account:
	  We need to should use gnc_account_print_info() instead of the
	  removed gnc_split_register_print_info().

2009-09-19 08:10  cmarchi

	* [r18323] po/lt.po: Update of Lithuanian translation by Tadas
	  Masiulionis

2009-09-18 19:57  cstim

	* [r18322] src/register/ledger-core/split-register.c: Bug #589804:
	  Additions to register transactions Action pulldown list Register
	  transaction Action pulldown lists are currently oriented to
	  stock transactions. Expense Action options, for example, are Buy
	  and Sell. The enclosed patch adds a small number of items for
	  those using Gnucash for personal checking accounts. Also, ATM is
	  split into ATM Deposit and ATM Draw (withdrawal). This patch
	  adds actions to the register transaction Action pulldown lists
	  Patch by James Raehl.

2009-09-18 19:51  cstim

	* [r18321] src/import-export/ofx/gnc-ofx-import.c: Bug #572938:
	  Fix OFX Mutual fund buys that are imported as sells When I try
	  to import a downloaded OFX from Fidelity NetBenefits, my mutual
	  fund purchases become sales. I looked at the code and it seemed
	  like a pretty simple fix, it seems as if it was treading all
	  non-income investing transactions as sales. I wrote and tested
	  this patch to fix the problem. Patch by Matt Lavin, signed-off
	  by Benoit Grégoire.

2009-09-18 19:50  cstim

	* [r18320] src/register/ledger-core/split-register-model.c: Bug
	  #585784: Fix wrong fractional precision in stock/mutual fund
	  registers Bug 585784 - Wrong fractional precision displayed in
	  stock/mutual fund registers The original patch attempted to fix
	  bug #529494 by replacing the gnc_split_value_print_info function
	  with gnc_split_register_print_info, which instead of using the
	  print info of the transaction's commodity, used the print info
	  of the commodity of the register's account. However, this was
	  not the correct behavior in all cases either. This patch
	  eliminates the gnc_split_register_print_info and instead puts
	  the logic for selecting the appropriate print info into the
	  functions which previously called it. * In
	  gnc_split_register_get_balance_entry, the print info of the
	  account of the split is used (xaccSplitGetAccount); if the split
	  doesn't have an account, the print info of the register's
	  default account (gnc_split_register_get_default_account) is used
	  * In gnc_split_register_get_debcred_entry, if there is no split,
	  the account info of the register's default account
	  (gnc_split_register_get_default_account) is used. Otherwise, if
	  the register is a Stock/Mutual Fund register or an (obsolete)
	  Currency register, the print info of the transaction's currency
	  is used (xaccTransGetCurrency). Finally in all other cases, the
	  print info of the register's default account
	  (gnc_split_register_get_default_account) is used. * In
	  gnc_template_register_get_debcred_entry, there is no account to
	  reference, so the default print info (gnc_default_print_info) is
	  used. Patch by Daniel Harding.

2009-09-18 19:40  cstim

	* [r18319] src/libqof/qof/gnc-date-p.h, src/libqof/qof/gnc-date.c,
	  src/libqof/qof/gnc-date.h, src/libqof/qof/gnc-numeric.c,
	  src/libqof/qof/gnc-numeric.h, src/libqof/qof/guid.c,
	  src/libqof/qof/guid.h, src/libqof/qof/kvp-util-p.h,
	  src/libqof/qof/kvp-util.c, src/libqof/qof/kvp-util.h,
	  src/libqof/qof/kvp_frame.c, src/libqof/qof/kvp_frame.h,
	  src/libqof/qof/md5.c, src/libqof/qof/md5.h,
	  src/libqof/qof/qof-win32.c, src/libqof/qof/qof.h,
	  src/libqof/qof/qofbackend-p.h, src/libqof/qof/qofbackend.c,
	  src/libqof/qof/qofbackend.h, src/libqof/qof/qofbook.c,
	  src/libqof/qof/qofbook.h, src/libqof/qof/qofbookmerge.c,
	  src/libqof/qof/qofbookmerge.h, src/libqof/qof/qofchoice.c,
	  src/libqof/qof/qofchoice.h, src/libqof/qof/qofclass.c,
	  src/libqof/qof/qofclass.h, src/libqof/qof/qofevent-p.h,
	  src/libqof/qof/qofevent.c, src/libqof/qof/qofevent.h,
	  src/libqof/qof/qofgobj.c, src/libqof/qof/qofgobj.h,
	  src/libqof/qof/qofid-p.h, src/libqof/qof/qofid.c,
	  src/libqof/qof/qofid.h, src/libqof/qof/qofinstance-p.h,
	  src/libqof/qof/qofinstance.c, src/libqof/qof/qofinstance.h,
	  src/libqof/qof/qoflog.c, src/libqof/qof/qoflog.h,
	  src/libqof/qof/qofmath128.c, src/libqof/qof/qofmath128.h,
	  src/libqof/qof/qofobject-p.h, src/libqof/qof/qofobject.c,
	  src/libqof/qof/qofobject.h, src/libqof/qof/qofquery-deserial.c,
	  src/libqof/qof/qofquery-deserial.h, src/libqof/qof/qofquery-p.h,
	  src/libqof/qof/qofquery-serialize.c, src/libqof/qof/qofquery.c,
	  src/libqof/qof/qofquery.h, src/libqof/qof/qofquerycore-p.h,
	  src/libqof/qof/qofquerycore.c, src/libqof/qof/qofquerycore.h,
	  src/libqof/qof/qofreference.c, src/libqof/qof/qofreference.h,
	  src/libqof/qof/qofsession-p.h, src/libqof/qof/qofsession.c,
	  src/libqof/qof/qofsession.h, src/libqof/qof/qofsql.c,
	  src/libqof/qof/qofsql.h, src/libqof/qof/qofutil.c,
	  src/libqof/qof/qofutil.h: Re-indentation of source code, first
	  try, only in the libqof directory so far. This also strips
	  trailing whitespaces from lines where they existed. This
	  re-indentation was done using astyle-1.23 using the following
	  options: astyle --indent=spaces=4 --brackets=break --pad-oper

2009-09-16 00:24  plongstaff

	* [r18318] src/bin/gnucash-setup-env-osx.in: Add GNC_DBD_DIR
	  definition for libdbi on mac

2009-09-14 23:58  plongstaff

	* [r18317] src/gnome-utils/glade/preferences.glade,
	  src/gnome/schemas/apps_gnucash_dialog_reconcile.schemas.in,
	  src/gnome/window-reconcile.c: Fix bug 590386 - Always use today
	  for reconciliation statement date Patch by Simon Arlott

2009-09-14 23:52  plongstaff

	* [r18316] src/report/standard-reports/cash-flow.scm: Fix bug
	  591117 - Cash Flow Report's "Depth: All" Option is Broken Patch
	  by David Eisner

2009-09-14 23:44  plongstaff

	* [r18315] configure.in: Fix bug 595014 - MacOSX 10.6 (Snow
	  Leopard) fails configure.in check Patch by David Reiser

2009-09-14 23:38  plongstaff

	* [r18314] src/bin/gnucash-bin.c,
	  src/business/business-gnome/dialog-date-close.c,
	  src/business/business-gnome/dialog-invoice.c,
	  src/business/business-gnome/dialog-order.c,
	  src/business/business-gnome/search-owner.c,
	  src/business/dialog-tax-table/dialog-tax-table.c,
	  src/engine/Recurrence.c, src/gnome-search/search-account.c,
	  src/gnome-utils/dialog-commodity.c,
	  src/gnome/dialog-print-check.c, src/gnome/dialog-sx-editor.c,
	  src/gnome/dialog-sx-from-trans.c, src/gnome/druid-loan.c,
	  src/gnome/druid-stock-split.c,
	  src/gnome/gnc-plugin-page-budget.c,
	  src/gnome/gnc-plugin-page-register.c,
	  src/gnome/gnc-plugin-page-sx-list.c, src/gnome/gnc-split-reg.c,
	  src/html/gnc-html-gtkhtml.c, src/html/gnc-html-webkit.c,
	  src/import-export/aqbanking/dialog-ab-trans.c,
	  src/import-export/aqbanking/druid-ab-initial.c,
	  src/import-export/csv/gnc-csv-import.c,
	  src/import-export/csv/gnc-csv-model.c,
	  src/import-export/qif-import/druid-qif-import.c,
	  src/report/report-gnome/gnc-plugin-page-report.c: Fix bug 595015
	  - compiler warnings for missing printf format specs, gcc 4.2.1
	  Patch by David Reiser

2009-09-14 23:28  plongstaff

	* [r18313] src/import-export/aqbanking/gnc-gwen-gui.c: Fix bug
	  595017 - compiler complaints about incompatible pointer types in
	  gnc-gwen-gui.c Patch by David Reiser

2009-09-14 01:00  plongstaff

	* [r18312] packaging/win32/defaults.sh,
	  packaging/win32/install.sh,
	  packaging/win32/libdbi-dbd_helper.c.patch: Fix bug 589673 - need
	  to patch libdbi source for win32 problem. The patch exists in
	  libdbi source, but not in 0.8.3. The problem is that "errno" is
	  used as a routine parameter name. The parameters are accessed
	  incorrectly leading to a segmentation violation.

2009-09-11 23:18  plongstaff

	* [r18311] src/html/gnc-html-graph-gog.c: Fix bug 594048 - gnucash
	  will not compile with most recent goffice versions Patch by Jean
	  Brefort

2009-09-11 16:48  cstim

	* [r18310] src/business/business-gnome/business-gnome-utils.c,
	  src/business/business-gnome/dialog-invoice.c: Remove trailing
	  whitespace from lines. Patch by Geert Janssens.

2009-09-11 02:11  plongstaff

	* [r18309] src/app-utils/app-utils.i,
	  src/app-utils/gnc-account-merge.c, src/app-utils/gnc-ui-util.c,
	  src/app-utils/gnc-ui-util.h,
	  src/business/business-core/gncTaxTable.c,
	  src/business/business-gnome/business-gnome-utils.c,
	  src/business/business-gnome/dialog-invoice.c,
	  src/business/dialog-tax-table/dialog-tax-table.c,
	  src/engine/Account.c, src/engine/Account.h, src/engine/Split.c,
	  src/engine/engine.i, src/gnome-utils/dialog-account.c,
	  src/gnome-utils/dialog-transfer.c,
	  src/gnome-utils/gnc-account-sel.c,
	  src/gnome-utils/gnc-tree-view-account.c,
	  src/gnome/druid-hierarchy.c, src/gnome/druid-stock-split.c,
	  src/gnome/gnc-plugin-page-account-tree.c,
	  src/gnome/gnc-plugin-page-register.c,
	  src/gnome/window-reconcile.c,
	  src/import-export/aqbanking/druid-ab-initial.c,
	  src/import-export/hbci/druid-hbci-initial.c,
	  src/import-export/import-main-matcher.c,
	  src/import-export/import-match-map.c,
	  src/report/locale-specific/us/taxtxf.scm: Move
	  gnc_account_get_full_name() from app-utils to engine and remove
	  xaccAccountGetFullName in engine. The old routine in app-utils
	  just called the one in engine. There isn't even the excuse that
	  the one in app-utils was just there for SCM, because there were
	  SCM calls to xaccAccountGetFullName.

2009-09-11 02:09  plongstaff

	* [r18308] src/business/business-core/sql/gnc-bill-term-sql.c,
	  src/business/business-core/sql/gnc-invoice-sql.c,
	  src/business/business-core/sql/gnc-order-sql.c,
	  src/business/business-core/sql/gnc-tax-table-sql.c: If an object
	  is loaded with a reference to an invoice, order, tax table or
	  bill term which has not been loaded yet, print a warning message
	  into the trace file.

2009-09-11 02:08  plongstaff

	* [r18307] src/backend/sql/gnc-account-sql.c,
	  src/backend/sql/gnc-budget-sql.c,
	  src/backend/sql/gnc-commodity-sql.c,
	  src/backend/sql/gnc-lots-sql.c,
	  src/backend/sql/gnc-transaction-sql.c: If an object is being
	  loaded that has a reference to a transaction, and the
	  transaction hasn't been loaded yet, load it. If an object has a
	  reference to an account, commodity, budget or lot that hasn't
	  been loaded yet, print a warning message in the trace file. The
	  difference in handling is that these object types are always
	  loaded at init time, whereas transactions are not.

2009-09-10 01:52  plongstaff

	* [r18306] src/engine/Period.c, src/engine/Query.c,
	  src/engine/SX-book.c, src/engine/SchedXaction.c: Replace some
	  calls to (deprecated) xaccAccountGetGUID() with calls to
	  qof_entity_get_guid()

2009-09-10 00:27  plongstaff

	* [r18305] accounts/ko: Fix svn:ignore property to ignore
	  Makefile/Makefile.in

2009-09-09 18:33  cstim

	* [r18304] HACKING: Minor updates to HACKING, by Geert Janssens.

2009-09-08 23:48  plongstaff

	* [r18303] src/engine/Account.c, src/engine/Account.h,
	  src/engine/engine.i, src/html/gnc-html.c, src/html/gnc-html.h,
	  src/html/gnc-html.i,
	  src/report/report-gnome/gnc-plugin-page-report.c,
	  src/report/report-gnome/window-report.c: Use SWIG properly to
	  wrap functions to free strings which need to be freed by the
	  caller.

2009-09-07 20:16  plongstaff

	* [r18302] src/business/business-core/sql/gnc-entry-sql.c: Fix Bug
	  590458 - Invoices are incomplete or miss specifications Replace
	  call to gncEntrySetInvoice() with gncInvoiceAddEntry() which is
	  the real function.

2009-09-07 16:48  plongstaff

	* [r18301] src/business/business-core/sql/gnc-job-sql.c: Fix Bug
	  590900 - "Unable to save to DB" dialog from Business -> Customer
	  -> New Job Allow owner id to be NULL

2009-09-07 16:25  plongstaff

	* [r18300] src/backend/sql/gnc-schedxaction-sql.c: Fix bug 593865
	  - Unable to save to database error when scheduling transactions
	  Allow scheduled transaction to have NULL start date. Will
	  require db to be deleted and recreated.

2009-09-07 14:16  plongstaff

	* [r18299] src/app-utils/gnc-ui-util.c: Fix index-out-of-range
	  compilation error

2009-09-06 18:42  cstim

	* [r18298] po/glossary/da.po: Updated Danish glossary by Joe
	  Hansen.

2009-09-06 07:44  cstim

	* [r18297] po/da.po: Updated Danish translation by Joe Hansen,
	  copied from the TP.

2009-09-06 07:43  cstim

	* [r18296] src/gnome-utils/glade/commodity.glade: Fix typo in
	  message as pointed out by Joe Dalton.

2009-09-05 20:53  plongstaff

	* [r18295] src/app-utils/gnc-ui-util.c,
	  src/app-utils/gnc-ui-util.h,
	  src/report/report-gnome/gnc-plugin-page-report.c: Fix more
	  valgrind problems

2009-09-05 13:16  plongstaff

	* [r18294] src/html/gnc-html.c, src/html/gnc-html.h,
	  src/report/report-gnome/window-report.c: Fix bug 587891: Memory
	  leak - results of gnc-build-url

2009-09-05 00:35  plongstaff

	* [r18293] configure.in, src/backend/dbi/test,
	  src/backend/dbi/test/Makefile.am,
	  src/backend/dbi/test/test-dbi-basic.c,
	  src/backend/dbi/test/test-dbi-stuff.c,
	  src/backend/dbi/test/test-dbi-stuff.h,
	  src/backend/dbi/test/test-dbi.c,
	  src/backend/dbi/test/test-dbi.xml,
	  src/backend/sql/gnc-backend-sql.c: Add some dbi backend tests to
	  test db save/load. In order to test the mysql backend, the
	  --with-test-mysql-url=URL option must be supplied to configure
	  where URL is the full url (mysql://host[:port]:db:user:password)
	  to access a mysql db. The same is true for postgres, with the
	  --with-test-pgsql-url=URL option.

2009-09-05 00:33  plongstaff

	* [r18292]
	  src/optional/python-bindings/example_scripts/change_tax_code.py:
	  Forgot to add new file (python patches)

2009-09-05 00:11  plongstaff

	* [r18291] AUTHORS,
	  src/optional/python-bindings/example_scripts/simple_session.py,
	  src/optional/python-bindings/example_scripts/simple_test.py,
	  src/optional/python-bindings/gnucash_core.i,
	  src/optional/python-bindings/gnucash_core.py: Python bindings
	  patches by Mark Jenkins. python_GetNthChild_remove.patch remove
	  the redundant GetNthChild code, gnc_account_nth_child supported
	  python_more_GUID.patch Improve support for GUID
	  python_better_commodity.patch * Removed custom __init__ from
	  GncCommodity, not only is it wrong but the one from
	  GnuCashCoreClass is just fine. * Supported the get_table method
	  For Book * Removed support for direct instantiation of
	  GncCommodityTable. (via gnc_commodity_table_new() ). Only
	  methods and not the constructor function are added to the class
	  now. Python binding users can access a GncCommodityTable
	  instance via Book.get_table() and have no need to use
	  gnc_commodity_table_new(), which the apis advise is for internal
	  use only. python_GncLot.patch * included gnc-lot.h in
	  gnucash_core.i again * Made GncLot class use superclass
	  __init__, it doesn't need its own.
	  python_more_documentation.patch Documentation strings for many
	  classes, which can be viewed in source and with python's help()
	  mechanism. python_business_module_load.patch load the business
	  module, not the business module specific backend
	  python_example_scripts.py example scripts improved, new one
	  added. This new script originally came from this post:
	  http://lists.gnucash.org/pipermail/gnucash-devel/2008-July/023618.html
	  python_authors_update.patch added Legal Aid Manitoba to credit
	  line for Mark Jenkins

2009-09-04 01:34  plongstaff

	* [r18290] src/backend/dbi/gnc-backend-dbi.c: Use "float8" instead
	  of "real" for double field in slots table so that we get an 8
	  byte float rather than only 4 byte.

2009-09-02 01:47  plongstaff

	* [r18288] src/backend/dbi/gnc-backend-dbi.c: Doubles weren't
	  being loaded properly from sqlite3. Fix that problem by examine
	  more closely the type information returned by libdbi.

2009-09-01 19:19  cstim

	* [r18287] po/nl.po: Updated Dutch translation by Erwin Poeze,
	  copied from the Translation Project.

2009-08-29 08:04  cstim

	* [r18285] po/da.po: Updated Danish translation by Joe Hansen,
	  copied from the Translation Project.

2009-08-29 00:00  plongstaff

	* [r18283] src/backend/sql/gnc-backend-sql.c: Fix bug where NULL
	  dates on sqlite cause sigsegv

2009-08-28 01:50  plongstaff

	* [r18280] configure.in: Change release # to 2.3.5

2009-08-25 21:01  cedayiv

	* [r18279] src/import-export/qif-import/qif-objects.scm: Bug
	  575778: QIF Import: Fix crash when a security list omits the "T"
	  (type) line.

2009-08-24 02:00  plongstaff

	* [r18277] configure.in, lib/libc/Makefile.am,
	  lib/libc/gmtime_r.c, lib/libc/gmtime_r.h,
	  src/backend/dbi/gnc-backend-dbi.c: Add win32 version of gmtime_r.

2009-08-23 20:45  cstim

	* [r18276] po/ca.po, po/cs.po, po/da.po, po/de_CH.po, po/el.po,
	  po/en_GB.po, po/es.po, po/es_NI.po, po/eu.po, po/fi.po,
	  po/fr.po, po/he.po, po/hu.po, po/it.po, po/ja.po, po/ko.po,
	  po/lt.po, po/nb.po, po/ne.po, po/nl.po, po/pl.po, po/pt.po,
	  po/pt_BR.po, po/ro.po, po/ru.po, po/rw.po, po/sk.po, po/sv.po,
	  po/ta.po, po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po,
	  po/zh_TW.po: Merge latest pot template into all .po translation
	  files.

2009-08-23 20:39  cstim

	* [r18275] po/de.po: Updated German translation.

2009-08-23 20:36  cstim

	* [r18274] src/gnome/glade/price.glade,
	  src/report/report-system/eguile-gnc.scm: Fix minor i18n issues.
	  * Don't translate gtk stock button labels * Don't split
	  sentences when translating * Exclude formatting from
	  translatable messages when possible

2009-08-23 00:54  plongstaff

	* [r18273] src/backend/dbi/gnc-backend-dbi.c,
	  src/backend/sql/gnc-backend-sql.c: Fix bug 592719 - postgres
	  backend aborts with date problems on transactions Store invalid
	  dates as NULL in the database, and when loading a NULL, that
	  date doesn't need to be set.

2009-08-22 21:10  plongstaff

	* [r18272] src/report/standard-reports/budget.scm: Fix bug 592021:
	  Budget Report: Options to show actual, budgeted, and difference
	  columns doesn't work correctly. Patch by Luke Duncan

2009-08-22 20:17  plongstaff

	* [r18271] src/backend/dbi/gnc-backend-dbi.c,
	  src/gnome-utils/gnc-main-window.c,
	  src/gnome-utils/gnc-plugin-file-history.c: Fix bug 392357: Allow
	  port specification for a database connection. For both mysql and
	  pgsql, the port number can be specified after the host,
	  separated by a colon. The URI spec is:
	  mysql://hostname[:port]:dbname:username:password where [:port]
	  indicates that it is optional.

2009-08-22 19:09  plongstaff

	* [r18270] src/backend/sql/gnc-budget-sql.c: Fix compilation
	  problem - add GPOINTER_TO_UINT() cast

2009-08-22 18:56  plongstaff

	* [r18269] src/backend/sql/gnc-commodity-sql.c: Avoid CRIT message
	  when loading root account which has NULL commodity.

2009-08-21 20:39  cstim

	* [r18268] src/backend/xml/gnc-account-xml-v2.c: Partly reverting
	  r18246: Disable writing of "hidden" and "placeholder" flags as
	  XML tags. Don't write new XML tags in version 2.3.x and 2.4.x
	  because it would mean 2.2.x cannot read those files again. But
	  we can enable writing these tags in 2.5.x or late in 2.4.x.

2009-08-18 17:50  cmarchi

	* [r18264] po/ja.po: Updated Japanese translation by KUSANO
	  Takayuki

2009-08-18 16:49  plongstaff

	* [r18263] packaging/win32/gnucash.iss.in,
	  packaging/win32/install.sh, src/bin/gnucash-setup-env-osx.in,
	  src/bin/gnucash-setup-env.in: Fix win32 report directory startup
	  problem on win32. In order to help keep the various places
	  run-time environment is created in sync, add a comment to each
	  place suggesting that environment changes should be reflected in
	  all 4 places.

2009-08-18 00:11  plongstaff

	* [r18260] packaging/win32/install.sh: Fix win32 gnucash.cmd
	  creation to handle ability for reports to be dropped into the
	  installed report\standard-reports folder.

2009-08-16 22:56  plongstaff

	* [r18258] configure.in: Update release number to 2.3.4

2009-08-16 22:17  plongstaff

	* [r18257] src/backend/xml/test/test-file-stuff.c,
	  src/backend/xml/test/test-file-stuff.h,
	  src/backend/xml/test/test-xml-account.c: Fix tests so that 'make
	  check' will pass

2009-08-16 19:43  plongstaff

	* [r18256] src/backend/xml/gnc-backend-xml.c: Rename functions
	  from "file" to "xml" (e.g. xml_begin_session()) since this is
	  the xml backend.

2009-08-16 19:10  cstim

	* [r18255] po/nl.po: Updated Dutch translation by Erwin Poeze,
	  copied from the Translation Project.

2009-08-16 17:09  plongstaff

	* [r18254] src/backend/sql/gnc-budget-sql.c: Fix CRIT messages
	  when loading budgets

2009-08-16 00:50  plongstaff

	* [r18253] src/bin/Makefile.am, src/bin/gnucash-setup-env-osx.in,
	  src/bin/gnucash-setup-env.in,
	  src/report/standard-reports/Makefile.am,
	  src/report/standard-reports/account-piecharts.scm,
	  src/report/standard-reports/account-summary.scm,
	  src/report/standard-reports/advanced-portfolio.scm,
	  src/report/standard-reports/average-balance.scm,
	  src/report/standard-reports/balance-sheet.scm,
	  src/report/standard-reports/budget-balance-sheet.scm,
	  src/report/standard-reports/budget-barchart.scm,
	  src/report/standard-reports/budget-flow.scm,
	  src/report/standard-reports/budget-income-statement.scm,
	  src/report/standard-reports/budget.scm,
	  src/report/standard-reports/cash-flow.scm,
	  src/report/standard-reports/category-barchart.scm,
	  src/report/standard-reports/daily-reports.scm,
	  src/report/standard-reports/equity-statement.scm,
	  src/report/standard-reports/general-journal.scm,
	  src/report/standard-reports/general-ledger.scm,
	  src/report/standard-reports/income-statement.scm,
	  src/report/standard-reports/net-barchart.scm,
	  src/report/standard-reports/portfolio.scm,
	  src/report/standard-reports/price-scatter.scm,
	  src/report/standard-reports/register.scm,
	  src/report/standard-reports/standard-reports.scm,
	  src/report/standard-reports/transaction.scm,
	  src/report/standard-reports/trial-balance.scm: Reports are now
	  automatically picked up at startup time. Each file in the
	  directory
	  share/gnucash/guile-modules/gnucash/report/standard-reports is
	  assumed to be an SCM file which defines a module which generates
	  a report. The business reports have not yet been converted. A
	  new element 'standard-reports' needs to be added to the module
	  definition. I assume the business-reports.scm file sets up some
	  resources that the business reports use (e.g. the Business
	  submenu under Reports).

2009-08-15 21:09  plongstaff

	* [r18252] src/backend/sql/gnc-schedxaction-sql.c: Fix bug 591614:
	  Saving to postgresql causes zombie scheduled transactions. SX
	  end date was not being stored. It is now stored. NOTE: This is a
	  change in the db table schema. You need to save your data to
	  XML, then resave to the database.

2009-08-15 21:08  plongstaff

	* [r18251] src/backend/sql/gnc-backend-sql.c: Ensure template root
	  account is stored even if no scheduled transactions. Otherwise,
	  when it comes time to store the template account before the
	  root, the account has a dangling parent guid.

2009-08-15 19:02  plongstaff

	* [r18250] src/backend/sql/gnc-backend-sql.h,
	  src/backend/sql/gnc-budget-sql.c: Add budget amounts table. This
	  table contains 1 record per budget per account per period which
	  has an amount set.

2009-08-15 08:56  cstim

	* [r18249] po/da.po: Updated Danish translation, by Joe Hansen,
	  copied from the Translation Project.

2009-08-14 01:58  plongstaff

	* [r18248] src/backend/dbi/gnc-backend-dbi.c,
	  src/backend/sql/gnc-backend-sql.c,
	  src/backend/sql/gnc-backend-sql.h,
	  src/backend/sql/gnc-transaction-sql.c,
	  src/business/business-core/sql/gnc-address-sql.c,
	  src/business/business-core/sql/gnc-owner-sql.c: Save timespec
	  values into 'timestamp' in mysql and pgsql. NOTE: with this
	  change, the format of the tables has changed.

2009-08-14 00:29  plongstaff

	* [r18247] src/backend/dbi/gnc-backend-dbi.c,
	  src/backend/sql/gnc-account-sql.c,
	  src/backend/sql/gnc-backend-sql.c: 1) Use 'date' type on
	  pgsql/mysql to save date values. 2) When loading from db, don't
	  make template root account child of main root account NOTE: This
	  change will invalidate any db files stored in
	  sqlite3/mysql/pgsql. Save your file to XML, rebuild, load from
	  XML and save in new format.

2009-08-13 00:05  plongstaff

	* [r18246] src/backend/sql/gnc-account-sql.c,
	  src/backend/xml/gnc-account-xml-v2.c,
	  src/backend/xml/sixtp-dom-generators.c,
	  src/backend/xml/sixtp-dom-generators.h,
	  src/backend/xml/sixtp-dom-parsers.c,
	  src/backend/xml/sixtp-dom-parsers.h: Store account "hidden" and
	  "placeholder" flags as booleans in the account record and with
	  new <hidden> and <placeholder> tags in the XML file. The values
	  are still stored in the slots as well for backward compatibility.

2009-08-12 00:06  plongstaff

	* [r18245] src/engine/Account.c: Placeholder was defined as a
	  property but not properly registered with glib. Add it.

2009-08-11 23:51  plongstaff

	* [r18244] src/backend/sql/gnc-backend-sql.c,
	  src/backend/sql/gnc-recurrence-sql.c,
	  src/backend/sql/gnc-slots-sql.c,
	  src/business/business-core/sql/gnc-tax-table-sql.c: Add
	  autoincrementing int primary column 'id' to recurrences, slots
	  and taxtable_entries tables. THIS REQUIRES THAT YOUR DATABASE BE
	  DELETED AND RECREATED - You can back it up to an XML file.

2009-08-09 22:28  plongstaff

	* [r18243] src/backend/sql/gnc-backend-sql.c: For versions table,
	  use table name as primary key, and disallow NULL values for both
	  fields

2009-08-09 22:26  plongstaff

	* [r18242] src/backend/sql/gnc-account-sql.c: Store account in db
	  even if commodity=NULL

2009-08-09 22:25  plongstaff

	* [r18241] src/backend/dbi/gnc-backend-dbi.c,
	  src/backend/sql/gnc-backend-sql.h: Handle creation of autoinc
	  columns correctly

2009-08-09 17:26  plongstaff

	* [r18240] src/backend/sql/gnc-account-sql.c,
	  src/backend/sql/gnc-backend-sql.c: Save and restore root account
	  to SQL dbs

2009-08-08 16:19  plongstaff

	* [r18239] src/backend/sql/gnc-commodity-sql.c: Fix bug 589418:
	  commodities were not being stored properly. The old code used an
	  INSERT if a completely new db was being saved or if the object
	  was a new object. This didn't handle the case where a currency
	  (all of which are created at startup time) is used for the first
	  time in an existing file. In this case, the commodity would
	  *not* be stored. This was an attempt to avoid testing each time
	  to see whether the commodity needed to be stored or not. For
	  now, the test every time is re-instated.

2009-08-05 20:52  cedayiv

	* [r18238] src/gnome-utils/gnc-date-edit.c: GNCDateEdit: Fix
	  r18237 by including localtime_r.h if necessary.

2009-08-03 22:21  cedayiv

	* [r18237] src/gnome-utils/gnc-date-edit.c: Use localtime_r()
	  instead of localtime() in GNCDateEdit. From audit of r17459.

2009-08-03 15:52  plongstaff

	* [r18236] src/report/standard-reports/budget.scm: Add some
	  machinery to the budget report to allow columns to be
	  accumulated. This allows, for example, all months after the
	  current one to be combined into a single one to save space. At
	  this point, this ability is not visible to the user. I first
	  need to figure out how to find the current period in a budget.

2009-08-02 20:18  cstim

	* [r18235] po/nl.po: Updated Dutch translation by Erwin Poeze.
	  Submitted through the Translation Project (indeed this update
	  came just shortly after the previous commit)

2009-08-02 19:39  cstim

	* [r18234] po/nl.po: Updated Dutch translation by Erwin Poeze.
	  Copied from the Translation Project.

2009-08-02 18:50  plongstaff

	* [r18233] src/report/standard-reports/budget.scm: For income
	  accounts, reverse sign of "difference" column so that positive
	  values are good (more than budget).

2009-08-02 16:51  plongstaff

	* [r18232] src/report/report-system/html-acct-table.scm,
	  src/report/standard-reports/budget.scm,
	  src/report/stylesheets/stylesheet-css.scm,
	  src/report/stylesheets/stylesheet-easy.scm,
	  src/report/stylesheets/stylesheet-fancy.scm,
	  src/report/stylesheets/stylesheet-plain.scm: Fix wrapping
	  problems in budget cells (account labels and negative values)

2009-08-02 13:36  plongstaff

	* [r18231] src/report/standard-reports/budget.scm,
	  src/report/stylesheets/stylesheet-css.scm,
	  src/report/stylesheets/stylesheet-easy.scm,
	  src/report/stylesheets/stylesheet-fancy.scm,
	  src/report/stylesheets/stylesheet-plain.scm: Add support to
	  display negative values in red. Modify the budget report
	  appropriately.

2009-08-02 03:00  plongstaff

	* [r18230] configure.in, packaging/win32/install.sh: Change
	  --enable-webkit configure option to --with-html-engine=XXX where
	  XXX is "gtkhtml" (default) or "webkit".

2009-08-02 02:42  plongstaff

	* [r18229] src/report/standard-reports/budget.scm: Center budget
	  report period dates properly over the columns for that period

2009-08-02 01:08  plongstaff

	* [r18228] src/report/standard-reports/budget.scm: Add an option
	  to the budget report. If enabled, and an account does not have a
	  budget value for the period, the budget values for all child
	  accounts are added. If the chart of accounts is set up so that
	  only leaf accounts have transactions, this allows budget values
	  to be assigned either to all children and not the parent (they
	  will be summed) or the parent.

2009-07-26 20:34  cstim

	* [r18227] po/ca.po, po/cs.po, po/da.po, po/de.po, po/de_CH.po,
	  po/el.po, po/en_GB.po, po/es.po, po/es_NI.po, po/eu.po,
	  po/fi.po, po/fr.po, po/he.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/nb.po, po/ne.po, po/nl.po, po/pl.po,
	  po/pt.po, po/pt_BR.po, po/ro.po, po/ru.po, po/rw.po, po/sk.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po,
	  po/zh_TW.po: Merge latest pot template into all .po translation
	  files.

2009-07-24 20:07  cstim

	* [r18226] src/backend/xml/gnc-budget-xml-v2.c,
	  src/backend/xml/gnc-recurrence-xml-v2.c,
	  src/backend/xml/gnc-schedxaction-xml-v2.c,
	  src/html/gnc-html-graph-gog-webkit.c,
	  src/libqof/backend/file/qsf-xml-map.c,
	  src/register/register-gnome/gnucash-item-edit.c: Fix more signed
	  vs. unsigned char pointer type conflicts. This patch contains
	  those cases where a cast was unavoidable. Patch by J. Alex
	  Aycinena. Detailed explanation follows: 1 -
	  src/register/register-gnome/gnucash-item-edit.c The variable
	  'sel' is set with 'gtk_selection_data_get_text' which returns a
	  'guchar *'; 'sel' is then used by functions
	  'gtk_editable_insert_text' and 'strlen' which require 'gchar *',
	  so there is no alternative but to cast. 2 -
	  src/backend/xml/gnc-budget-xml-v2.c The functions
	  'xmlNewNode'and 'xmlSetProp' require arguments that are of type
	  'const xmlChar *' but the arguments are string literals (char
	  *). Can string literals be set up as type 'const xmlChar *'? The
	  patchfile has them being cast. BAD_CAST is defined for this
	  purpose. 3 - src/backend/xml/gnc-schedxaction-xml-v2.c Like
	  above, the function 'xmlNewNode' requires arguments that are of
	  type 'const xmlChar *' but the arguments are string literals
	  (char *). In the three other changes the type 'const xmlChar *'
	  needs to be changed to 'char *' to be used by 'strcmp'. 4 -
	  src/backend/xml/gnc-recurrence-xml-v2.c Like above for the
	  functions 'xmlNewNode'and 'xmlSetProp'. 5 -
	  src/html/gnc-html-graph-gog-webkit.c The function
	  'g_base64_encode' requires type 'guchar *' for the argument and
	  changing the variable to this caused other problems so used
	  casting instead. 6 - src/libqof/backend/file/qsf-xml-map.c (6
	  occurances) The first occurance was solved by changing the type
	  declaration, but the other 5 required casting.
	* [r18225] src/backend/xml/io-example-account.c,
	  src/backend/xml/sixtp-dom-parsers.c,
	  src/backend/xml/sixtp-dom-parsers.h,
	  src/backend/xml/sixtp-utils.c, src/backend/xml/sixtp.c,
	  src/calculation/expression_parser.c,
	  src/gnome-utils/gnc-date-edit.c,
	  src/gnome-utils/gnc-dense-cal.h,
	  src/gnome-utils/gnc-menu-extensions.c,
	  src/libqof/backend/file/qsf-xml-map.c,
	  src/libqof/qof/gnc-date.c, src/libqof/qof/guid.c,
	  src/libqof/qof/qofutil.c, src/libqof/qof/qofutil.h: Fix some
	  signed vs. unsigned char pointer type conflicts. This patch
	  chooses the correct char type to resolve the type conflict.
	  Patch by J. Alex Aycinena.

2009-07-20 23:17  plongstaff

	* [r18222] configure.in: Update version number to 2.3.3

2009-07-19 20:23  cstim

	* [r18219] accounts/Makefile.am, accounts/ko,
	  accounts/ko/Makefile.am,
	  accounts/ko/acctchrt_brokerage.gnucash-xea,
	  accounts/ko/acctchrt_business.gnucash-xea,
	  accounts/ko/acctchrt_carloan.gnucash-xea,
	  accounts/ko/acctchrt_cdmoneymkt.gnucash-xea,
	  accounts/ko/acctchrt_checkbook.gnucash-xea,
	  accounts/ko/acctchrt_childcare.gnucash-xea,
	  accounts/ko/acctchrt_common.gnucash-xea,
	  accounts/ko/acctchrt_eduloan.gnucash-xea,
	  accounts/ko/acctchrt_fixedassets.gnucash-xea,
	  accounts/ko/acctchrt_homeloan.gnucash-xea,
	  accounts/ko/acctchrt_homeown.gnucash-xea,
	  accounts/ko/acctchrt_otherloan.gnucash-xea,
	  accounts/ko/acctchrt_renter.gnucash-xea,
	  accounts/ko/acctchrt_retiremt.gnucash-xea,
	  accounts/ko/acctchrt_spouseinc.gnucash-xea,
	  accounts/ko/acctchrt_spouseretire.gnucash-xea, configure.in: Add
	  Korean translation of account charts by Jin-Hwan Jeong.

2009-07-19 20:16  plongstaff

	* [r18218] src/gnome-utils/dialog-file-access.c: Fix bug 585899 -
	  environment variable GNC_DEFAULT_DATABASE can be used to set the
	  default database name for the Save As dialog.

2009-07-18 18:40  plongstaff

	* [r18217] src/report/standard-reports/advanced-portfolio.scm,
	  src/report/standard-reports/cash-flow.scm,
	  src/report/standard-reports/portfolio.scm,
	  src/report/standard-reports/register.scm,
	  src/report/standard-reports/transaction.scm,
	  src/report/stylesheets/stylesheet-css.scm: Fix up some more
	  reports to use cell tags which allow CSS style manipulation

2009-07-18 16:12  plongstaff

	* [r18216] src/gnome-utils/dialog-options.c,
	  src/gnome-utils/gnc-tree-view-account.c,
	  src/gnome-utils/gnc-tree-view-account.h: Fix bug 363339 –
	  Exclude hidden accounts from reports New check box added below
	  account list to toggle excluding hidden accounts from the
	  report. Default is to exclude.

2009-07-18 01:54  plongstaff

	* [r18215] src/report/standard-reports/account-summary.scm,
	  src/report/standard-reports/budget.scm: Change some more cells
	  to tagged cells for css

2009-07-18 01:53  plongstaff

	* [r18214] src/report/stylesheets/stylesheet-css.scm: Fix some
	  bugs converting from font name to css font style info

2009-07-17 22:36  plongstaff

	* [r18213] src/report/report-system/html-table.scm,
	  src/report/report-system/report-system.scm,
	  src/report/standard-reports/budget.scm: Fix budget report so
	  that it uses stylesheet tags so that fonts can be controlled

2009-07-17 18:11  cstim

	* [r18212] po/ko.po: Updated Korean translation by yongdoria

2009-07-16 22:18  plongstaff

	* [r18211] src/backend/sql/gnc-book-sql.c: Replace GNCBook by
	  QofBook

2009-07-14 22:26  plongstaff

	* [r18210]
	  src/import-export/schemas/apps_gnucash_import_generic_matcher.schemas.in:
	  Fix bug 587436 – Make Bayesian Matching ON by default

2009-07-14 21:33  plongstaff

	* [r18209] src/backend/dbi/gnc-backend-dbi.c: Fix bug 588212 –
	  PgSql: Pop-up dialog for overwriting db contents even with blank
	  database When you ask for the tables in a postgres db, postgres
	  returns 7 tables which are in the information schema. These
	  tables need to be filtered out when gnucash checks whether the
	  db is empty or not.

2009-07-13 20:40  cedayiv

	* [r18208] src/gnome-utils/Makefile.am,
	  src/gnome-utils/gnc-main-window.c: Patch by John Ralls.
	  Integrates the gnucash menus into the MacOSX menubar.

2009-07-13 20:39  cedayiv

	* [r18207] src/engine/Makefile.am, src/engine/binreloc.c,
	  src/engine/binreloc.h: Patch by John Ralls. Permits binreloc to
	  work from inside a MacOSX application bundle.

2009-07-13 20:38  cedayiv

	* [r18206] src/bin/Makefile.am, src/bin/gnucash-setup-env-osx.in:
	  Patch by John Ralls. Provides (and installs when appropriate) a
	  special gnucash-setup-env for OSX.

2009-07-13 20:34  cedayiv

	* [r18205] configure.in: Patch by John Ralls. Adjust configure.in
	  for Mac compilation with Quartz.

2009-07-13 16:44  plongstaff

	* [r18204] src/register/ledger-core/gnc-ledger-display.c: Replace
	  GNCBook by QofBook

2009-07-13 16:43  plongstaff

	* [r18203] src/import-export/csv/gnc-csv-model.c,
	  src/import-export/import-match-map.c,
	  src/import-export/import-match-map.h,
	  src/import-export/log-replay/gnc-log-replay.c,
	  src/import-export/ofx/gnc-ofx-import.c: Replace GNCBook with
	  QofBook
	* [r18202] src/gnome-utils/dialog-transfer.c: Replace GNCBook with
	  QofBook

2009-07-13 16:42  plongstaff

	* [r18201] src/gnome/dialog-sx-editor.c,
	  src/gnome/druid-stock-split.c,
	  src/gnome/gnc-plugin-page-sx-list.c: Replace GNCBook with QofBook

2009-07-13 16:41  plongstaff

	* [r18200] src/business/business-gnome/business-gnome-utils.c,
	  src/business/business-gnome/business-gnome-utils.h,
	  src/business/business-gnome/dialog-billterms.c,
	  src/business/business-gnome/dialog-billterms.h,
	  src/business/business-gnome/dialog-customer.c,
	  src/business/business-gnome/dialog-date-close.c,
	  src/business/business-gnome/dialog-date-close.h,
	  src/business/business-gnome/dialog-employee.c,
	  src/business/business-gnome/dialog-invoice.c,
	  src/business/business-gnome/dialog-job.c,
	  src/business/business-gnome/dialog-order.c,
	  src/business/business-gnome/dialog-order.h,
	  src/business/business-gnome/dialog-payment.c,
	  src/business/business-gnome/dialog-payment.h,
	  src/business/business-gnome/dialog-vendor.c,
	  src/business/business-ledger/gncEntryLedger.c,
	  src/business/business-ledger/gncEntryLedger.h,
	  src/business/business-ledger/gncEntryLedgerP.h,
	  src/business/dialog-tax-table/dialog-tax-table.c,
	  src/business/dialog-tax-table/dialog-tax-table.h,
	  src/business/dialog-tax-table/dialog-tax-table.i: Replace
	  GNCBook by QofBook. Currently, GNCBook is #define'd to be
	  QofBook. An upcoming change will create GncBook as a subclass of
	  QofBook, so this needs to be cleaned up.

2009-07-11 19:46  plongstaff

	* [r18199] src/engine/gnc-filepath-utils.c: Patch by Jim Raehl Fix
	  bug 587853/585939. When parsing file: or xml: uri, handle file:
	  and file://, xml: and xml://

2009-07-11 19:09  plongstaff

	* [r18198] src/report/stylesheets/stylesheet-css.scm: Update CSS
	  style sheet to use font buttons rather than strings. The font
	  weight and style can be set, but colour and background colour
	  cannot yet be set. Also, alignment is fixed by the stylesheet.

2009-07-11 03:43  plongstaff

	* [r18197] src/report/stylesheets/Makefile.am,
	  src/report/stylesheets/stylesheet-css.scm,
	  src/report/stylesheets/stylesheets.scm: Add new stylesheet to
	  provide css information. Allows users to specify font/style info
	  for various parts of the report.

2009-07-11 01:21  plongstaff

	* [r18196] src/report/report-system/html-document.scm,
	  src/report/report-system/report-system.scm: If a report defines
	  style-text, that text will be added to the report header as css
	  style info.

2009-07-10 19:58  cstim

	* [r18195] po/ko.po: Updated Korean translation by yongdoria.

2009-07-09 23:00  plongstaff

	* [r18194] src/gnome-utils/dialog-file-access.c: Fix crash for
	  "save as" if sqlite3 backend not available.

2009-07-07 22:07  plongstaff

	* [r18190] configure.in: Update release number

2009-07-07 21:15  cedayiv

	* [r18188] src/register/ledger-core/split-register.c: Bug #587913:
	  Register: Don't mark the account cell as changed if the name
	  hasn't changed.

2009-07-07 20:09  cedayiv

	* [r18187] src/register/ledger-core/split-register-control.c:
	  Register: Clarify a debugging message.

2009-07-07 02:45  warlord

	* [r18185] packaging/win32/build_package.sh: Let the trap happen.

2009-07-07 02:39  plongstaff

	* [r18184] DBI_STATUS: Remove unneeded status file

2009-07-07 02:38  plongstaff

	* [r18183] src/bin/Makefile.am: Add gnucash-setup-env to list of
	  files to be cleaned

2009-07-07 02:37  plongstaff

	* [r18182] po/POTFILES.in: Add new file to POTFILES.in

2009-07-07 00:14  plongstaff

	* [r18181] src/backend/sql/gnc-transaction-sql.c: Make split
	  queries stupid - depend only on account. This makes them *much*
	  faster on sqlite3. Once they can be sped up, the stupidity can
	  be removed.

2009-07-06 23:11  plongstaff

	* [r18180] src/backend/sql/gnc-schedxaction-sql.c,
	  src/backend/xml/gnc-schedxaction-xml-v2.c,
	  src/engine/SchedXaction.c, src/engine/SchedXaction.h,
	  src/gnome/dialog-sx-editor.c, src/gnome/dialog-sx-from-trans.c,
	  src/gnome/gnc-plugin-page-sx-list.c: 1) When deleting a sched
	  transaction, delete the recurrence properly (SQL backend) 2) Fix
	  bug 586558 – When a scheduled transaction is deleted, the
	  objects aren't cleaned up properly The problem is that the
	  xaccSchedXactionFree() function didn't properly call qof to
	  commit the delete operation.

2009-07-06 18:58  cstim

	* [r18179] po/ko.po: Updated Korean translation by yongdoria

2009-07-06 02:13  plongstaff

	* [r18178] src/gnome-utils/dialog-file-access.c: When opening a
	  file, "sqlite3" and "xml" dropdown list items are replaced by
	  "file", since the user shouldn't care what type of file it is.
	  Gnucash will figure it out.

2009-07-05 22:16  cedayiv

	* [r18177] src/register/ledger-core/split-register-control.c,
	  src/register/register-core/cellblock.c,
	  src/register/register-core/cellblock.h: Bug #567709: Register:
	  Don't assume that cells outside the cursor are valid.

2009-07-04 22:57  cedayiv

	* [r18176] src/gnome/glade/chart-export.glade: Bug 563598: QSF XML
	  Export: Remove the tooltip from the GtkCalendar. It was causing
	  a crash, probably due to bug 586896.

2009-07-04 19:12  plongstaff

	* [r18175] packaging/win32/dist.sh: pgsql-win32.tar.gz which
	  provides client access to a postgresql library has been updated
	  to add some needed DLLs. Unfortunately, unlike mysql, postgresql
	  does not provide a pre-built win32 package containing the client
	  side include files and libraries. pgsql-win32.tar.gz is a set of
	  files taken from a full windows installation. With the new
	  pgsql-win32.tar.gz, to compile on win32, you will need to delete
	  your pgsql directory and downloads/pgsql-win32.tar.gz file i.e.:
	  cd /c/soft rm downloads/pgsql-win32.tar.gz rm -rf pgsql

2009-07-04 16:45  plongstaff

	* [r18174] src/gnome/dialog-price-editor.c: Fix bug 586901: Price
	  editor creates price before all information available When
	  creating a new price, don't create the price when the dialog is
	  opened. Instead, create it in the gui_to_price() routine if no
	  price has been created yet.

2009-07-04 04:14  plongstaff

	* [r18173] packaging/win32/dist.sh: Fix pgsql files copied -
	  remove pgsql/bin which doesn't exist

2009-07-03 17:49  plongstaff

	* [r18172] src/backend/sql/gnc-transaction-sql.c: Handle
	  SPLIT_VALUE terms in split query. I'm not sure credit vs debit
	  is handled correctly, but given the weird way queries work, it
	  doesn't really matter. By this, I mean that all the backend is
	  supposed to do with a query is ensure that the correct set of
	  splits is loaded. Since an account can only be reconciled once
	  it is opened in a register, and opening a register loads all
	  splits in the account, and reconciling queries for a subset of
	  splits (those that haven't been reconciled), the reconcile query
	  could do nothing and it would all still work. This will need to
	  be revisted once the register and queries need to be smarter.

2009-07-03 16:16  plongstaff

	* [r18171] packaging/win32/install.sh: Fix (I hope) installation
	  of libpq

2009-07-03 12:57  warlord

	* [r18170] packaging/win32/build_package.sh: Make sure we copy the
	  logfile even on error

2009-07-02 08:18  cstim

	* [r18169] configure.in, po/ko.po: Add Korean translation by
	  Jin-Hwan Jeong.

2009-07-02 08:17  cstim

	* [r18168] src/import-export/aqbanking/gnc-ab-utils.c: Decrease
	  verbosity of libgwenhywfar debugging output.

2009-07-02 08:04  cstim

	* [r18167] src/import-export/aqbanking/gnc-ab-transfer.c: Bug
	  #582048: Fix missing GUI callbacks for online transfer.

2009-07-01 23:05  cedayiv

	* [r18166] src/register/ledger-core/split-register-control.c,
	  src/register/ledger-core/split-register-p.h: Bug #580968:
	  Register: Keep track of the account when an exchange rate is
	  set, and don't reset the rate unless the commodity changes.
	  Previously the rate would be reset whenever focus left the
	  account cell, even if the commodity hadn't changed.

2009-07-01 12:33  plongstaff

	* [r18165] packaging/win32/defaults.sh: Fix URL for pgsql library
	  stuff

2009-06-29 21:10  plongstaff

	* [r18164] packaging/win32/defaults.sh, packaging/win32/dist.sh,
	  packaging/win32/install.sh,
	  packaging/win32/libdbi-drivers-dbd_pgsql.c.patch: Build pgsql
	  libdbi driver

2009-06-28 22:54  plongstaff

	* [r18163] src/engine/Transaction.c: Mark transaction dirty when
	  setting enter-date

2009-06-28 22:53  plongstaff

	* [r18162] src/backend/sql/gnc-transaction-sql.c: Add some doxygen
	  routine headers

2009-06-28 22:52  plongstaff

	* [r18161] src/backend/sql/test/Makefile.am: Fix 'make check'

2009-06-25 22:16  plongstaff

	* [r18160] packaging/win32/install.sh: Build mysql client library
	  and libdbi driver properly

2009-06-25 03:58  plongstaff

	* [r18159] packaging/win32/libmysql.def: Add .def file to allow
	  libmysql.dll to be built.

2009-06-25 03:52  plongstaff

	* [r18158] packaging/win32/install.sh: Install aqbanking patch
	  even if AQBANKING_WITH_QT is no. This allows RC to be defined
	  properly.

2009-06-25 01:54  plongstaff

	* [r18157] src/libqof/qof/qofinstance.c: Remove call to backend
	  from qof_commit_edit() and leave it to qof_commit_edit_part2().
	  Fixes bug 586686: column 'enter_date' is set to 19700101000000
	  (postgres) when entering transactions

2009-06-25 00:27  plongstaff

	* [r18156] src/backend/sql/gnc-transaction-sql.c: Fix bug 586768 –
	  Opening transaction list takes a very long time with MySQL
	  backend Redo transaction queries as joins based on suggestion by
	  Mauro Leibelt to improve query performance on mysql.

2009-06-22 21:32  plongstaff

	* [r18154] src/report/report-system/Makefile.am: Patch by Daniel
	  Harding After renaming eguile-gnc.snc, I forgot to update
	  Makefile.am

2009-06-22 21:29  plongstaff

	* [r18153] packaging/win32/install.sh: Patch by Daniel Harding -
	  update install.sh to handle new gnucash-setup-env script

2009-06-22 11:51  plongstaff

	* [r18152] src/report/report-system/eguile-gnc.scm,
	  src/report/report-system/eguile.scm: Rename eguile.scm to
	  eguile-gnc.scm

2009-06-22 00:40  plongstaff

	* [r18151] src/backend/xml/gnc-backend-xml.c: If session_begin
	  contains initial 'xml://' or 'file://', remove it. Fixes bug
	  585789 and 586121

2009-06-21 22:22  plongstaff

	* [r18150] src/report/report-system/Makefile.am,
	  src/report/report-system/eguile.scm: Add eguile.scm written by
	  Chris Dennis

2009-06-21 17:41  plongstaff

	* [r18149] src/bin, src/bin/Makefile.am, src/bin/gnucash-gdb.in,
	  src/bin/gnucash-setup-env.in, src/bin/gnucash-valgrind.in,
	  src/bin/gnucash.in: Separate environment variable setup into
	  common file

2009-06-21 17:32  plongstaff

	* [r18148] src/backend/sql/gnc-transaction-sql.c: Fix more memory
	  leaks

2009-06-21 16:14  plongstaff

	* [r18147] src/backend/sql/gnc-backend-sql.c: Fix memory leaks

2009-06-21 16:11  plongstaff

	* [r18146] src/business/business-core/sql/gnc-tax-table-sql.c: Fix
	  memory leak - string not freed when creating SELECT statement

2009-06-21 14:38  plongstaff

	* [r18145] src/backend/dbi/gnc-backend-dbi.c: Move debug lines
	  printing SQL statements being executed before the actual
	  execution so that if there are problems, the SQL statement will
	  be logged.

2009-06-21 13:29  plongstaff

	* [r18144] src/bin/Makefile.am: r18143 needs Makefile.am changes

2009-06-21 13:02  plongstaff

	* [r18143] packaging/win32/install.sh, src/bin/gnucash-gdb.in,
	  src/bin/gnucash-valgrind.in: Fix bug 586296 – Generated
	  gnucash-dbg and gnucash-valgrind scripts are inconsistent with
	  the gnucash script - patch by Daniel Harding.

2009-06-21 00:12  plongstaff

	* [r18142] packaging/win32/install.sh: Fix bug 586419 – Install
	  aborts unpacking SVN .exe package wget_unpacked doesn't handle
	  .exe files. Patch by Gary Bartlett

2009-06-20 23:44  plongstaff

	* [r18141] packaging/win32/install.sh: Fix bug 585785 – setlocal
	  command is not included in gnucash.bat generated by Windows
	  build Patch by Daniel Harding

2009-06-20 23:39  plongstaff

	* [r18140] packaging/win32/install.sh: When installing msys dtk,
	  when moving files out of the way, check that the source file
	  exists first.

2009-06-20 03:44  plongstaff

	* [r18139] src/business/business-gnome/glade/billterms.glade: Fix
	  bug 339726 – Cannot set fractional discount rates in Billing
	  Terms Modify "adjustment" values to allow fractional values

2009-06-20 00:52  plongstaff

	* [r18138] packaging/win32/defaults.sh: 1) Fix bug 586425 - Patch
	  by Gary Bartlett - update version of gnutls for windows - old
	  version (2.7.3) is no longer available - replace by 2.8.1 -
	  probably matches gnome odd=unstable even=stable version
	  numbering 2) Add some symbols used to build mysql/pgsql dbd
	  files for win32 build

2009-06-20 00:05  plongstaff

	* [r18137] src/engine/binreloc.c: Fix bug #586295 - Patch supplied
	  by Daniel Harding. Use the executable module to determine the
	  installation directory rather than the registry contents. Allows
	  a locally built gnucash to use its own libraries, not the
	  libraries in any installed version.

2009-06-19 16:50  plongstaff

	* [r18136] src/backend/sql/gnc-transaction-sql.c: Remove debugging
	  line which used only single account.guid value - using 1 value
	  made SQL statement much shorter and easier to examine.

2009-06-19 16:48  plongstaff

	* [r18135] src/backend/sql/Makefile.am, src/backend/sql/escape.c,
	  src/backend/sql/escape.h, src/backend/sql/gnc-backend-sql.c,
	  src/backend/sql/gnc-backend-sql.h,
	  src/backend/sql/gnc-transaction-sql.c: Implement QofQuery for
	  splits. At this point, the queries used by current reports work,
	  but more split fields could be implemented. Implemented are:
	  account.guid, reconcile-flag, trans.desc and trans.date-posted.
	  Fixes Bug #585167

2009-06-15 22:19  plongstaff

	* [r18134] src/backend/sql/gnc-account-sql.c,
	  src/backend/sql/gnc-commodity-sql.c,
	  src/backend/sql/gnc-lots-sql.c, src/backend/sql/gnc-price-sql.c,
	  src/backend/sql/gnc-slots-sql.c,
	  src/backend/sql/gnc-slots-sql.h: Simplify SQL when loading slots
	  for all objects of a given type.

2009-06-14 23:08  warlord

	* [r18133] packaging/win32/daily_build.bat: Add the batch file for
	  the win32 daily build.

2009-06-14 22:58  warlord

	* [r18132] packaging/win32/install.sh: Add start/stop build times.
	  (Useful for build logs)

2009-06-14 03:36  plongstaff

	* [r18131] src/backend/sql/gnc-transaction-sql.c: Speed up account
	  loading on mysql (especially) by creating an index on the
	  tx_guid field of the splits table. Without this, mysql can take
	  a *really* long time to get the transactions for an account.

2009-06-13 23:35  plongstaff

	* [r18130] src/business/business-core/gncAddress.c,
	  src/business/business-core/gncCustomer.c,
	  src/business/business-core/gncEmployee.c,
	  src/business/business-core/gncVendor.c: Fix bug #415127 -
	  gncCustomer, gncEmployee and gncVendor now listen for
	  modification events from their addresses, and mark themselves as
	  dirty and emit their own modification events.

2009-06-13 21:50  warlord

	* [r18129] packaging/win32/install.sh: Properly reconfigure
	  AqBanking 3.8.3 with the updated configure.ac

2009-06-13 21:25  warlord

	* [r18128] packaging/win32/aqbanking-3.8.3-.patch.diff,
	  packaging/win32/aqbanking-3.8.3-patch.diff: Fix the patch name.
	  Oops.

2009-06-13 19:49  warlord

	* [r18127] packaging/win32/aqbanking-3.8.3-.patch.diff,
	  packaging/win32/defaults.sh: Add AqB 3.8.3 patch for Win32

2009-06-13 19:42  warlord

	* [r18126] packaging/win32/build_tags.sh,
	  packaging/win32/defaults.sh, packaging/win32/install.sh: More
	  updates the build-tags scripts: * fix the GLOBAL_DIR definition
	  * Point to the 'global' HH_DIR so we don't reinstall it * Use
	  the build_package script from trunk * Don't save the environment
	  to /etc/profile.d on the build server * re-add the ability to
	  have an aqbanking patch (3.8.3 doesn't build) * add the
	  NO_SAVE_PROFILE flag

2009-06-13 13:42  warlord

	* [r18125] packaging/win32/build_package.sh,
	  packaging/win32/build_tags.sh: Handle BUILD_FROM_TARBALL special
	  for tag builds. (Don't put the svn # in there)

2009-06-13 04:43  warlord

	* [r18124] packaging/win32/build_tags.sh: it's "tagfile"

2009-06-13 04:37  warlord

	* [r18123] packaging/win32/build_tags.sh: Use pwd instead of
	  assuming $0 is a full path. Set URL in a variable

2009-06-13 04:31  warlord

	* [r18122] packaging/win32/build_package.sh,
	  packaging/win32/build_tags.sh, packaging/win32/daily_build.sh:
	  Refactor daily_build.sh into build_package.sh Create a
	  build_tags.sh that will check for new tags in the tag directory
	  and rebuild them when they appear.

2009-06-10 12:20  plongstaff

	* [r18121] packaging/win32/libdbi-drivers-dbd_mysql.c.patch: Patch
	  for mysql driver to fix win32 compilation issue

2009-06-09 23:41  plongstaff

	* [r18120] packaging/win32/defaults.sh, packaging/win32/dist.sh,
	  packaging/win32/install.sh: Build mysql libdbi driver and
	  include it in the win32 build

2009-06-09 23:02  plongstaff

	* [r18119] src/report/report-gnome/gnc-plugin-page-report.c: Clean
	  up a few small memory leaks

2009-06-08 19:37  cedayiv

	* [r18115] src/import-export/qif-import/file-format.txt: QIF
	  Import: Documentation .txt file patch by Daniel Convissor. I've
	  added some unrelated whitespace fixes.

2009-06-07 20:23  plongstaff

	* [r18112] configure.in: Update revision to 2.3.1

2009-06-07 19:55  plongstaff

	* [r18111] src/business/business-gnome/gnc-plugin-business.c: Fix
	  all business exports to force file type QSF

2009-06-07 19:51  plongstaff

	* [r18110] src/business/business-gnome/gnc-plugin-business.c: When
	  exporting, force file type to be QSF

2009-06-06 23:31  plongstaff

	* [r18109] src/backend/sql/gnc-transaction-sql.c: Fix SQL
	  statement which calculates account balances by adding ORDER BY
	  clause. SQLite3 returned the values sorted even without it, but
	  postgresql and mysql need the ORDER BY clause to work correctly.

2009-06-06 17:08  plongstaff

	* [r18108] src/backend/dbi/gnc-backend-dbi.c: Fix port number,
	  especially for postgresql

2009-06-06 16:48  plongstaff

	* [r18107] src/html/gnc-html-graph-gog-gtkhtml.c,
	  src/html/gnc-html-graph-gog-webkit.c: Clean up include files and
	  code related to goffice. Includes patch by Johannes Engel.

2009-06-05 23:58  plongstaff

	* [r18106] src/business/business-utils/business-utils.scm,
	  src/report/standard-reports/balance-sheet.scm,
	  src/report/standard-reports/budget-balance-sheet.scm,
	  src/report/standard-reports/budget-income-statement.scm,
	  src/report/standard-reports/equity-statement.scm,
	  src/report/standard-reports/income-statement.scm,
	  src/report/standard-reports/trial-balance.scm: Undo r18103
	  change - standard reports shouldn't refer to business
	  code/objects

2009-06-05 23:55  plongstaff

	* [r18105] src/libqof, src/libqof/backend/file/qsf-backend.c: Add
	  qsf:// as a valid URI type

2009-06-05 23:53  plongstaff

	* [r18104] src/html/gnc-html-graph-gog-gtkhtml.c,
	  src/html/gnc-html-graph-gog-gtkhtml.h,
	  src/html/gnc-html-history.c, src/html/gnc-html-history.h,
	  src/html/gnc-html-webkit.c, src/html/gnc-html.c,
	  src/html/gnc-html.h: Fix handling of GObjects when deleting a
	  report

2009-06-04 21:16  plongstaff

	* [r18103] src/business/business-utils/business-utils.scm,
	  src/report/standard-reports/balance-sheet.scm,
	  src/report/standard-reports/budget-balance-sheet.scm,
	  src/report/standard-reports/budget-income-statement.scm,
	  src/report/standard-reports/equity-statement.scm,
	  src/report/standard-reports/income-statement.scm,
	  src/report/standard-reports/trial-balance.scm: Fix bug #584819:
	  Company name is not shown by default on some reports. Patch by
	  Chris Dennis.

2009-06-02 22:28  plongstaff

	* [r18102] src/report/report-system/report.scm: Bug #584564: Patch
	  by Chris Dennis to allow a report to be either a string or an
	  html-doc

2009-06-02 08:04  cstim

	* [r18101] packaging/win32/aqbanking-3.8.1-patch.diff,
	  packaging/win32/defaults.sh, packaging/win32/install.sh: Update
	  aqbanking version to 3.8.3, which means one patch isn't needed
	  anymore.

2009-06-02 02:01  plongstaff

	* [r18100] packaging/win32/dist.sh: Fix WEBKIT path so that
	  correct DLLs will be copied to output directory

2009-06-02 00:50  cedayiv

	* [r18099] src/register/ledger-core/split-register-p.h: Register:
	  Add some header comments for a confusing function.

2009-06-01 04:29  warlord

	* [r18098] packaging/win32/daily_build.sh: Upload the daily builds

2009-05-31 15:56  plongstaff

	* [r18097] src/backend/dbi/gnc-backend-dbi.c: 1) If postgres
	  database does not exist, create it. 2) Factor out some common
	  code for setting connection attributes to simplify things 3)
	  When creating pgsql or mysql db, use utf8 as default encoding.

2009-05-30 18:42  plongstaff

	* [r18096] src/backend/dbi/gnc-backend-dbi.c: Use default
	  postgresql port number for connections.

2009-05-29 22:59  plongstaff

	* [r18095] src/business/business-reports/business-reports.scm: Bug
	  #583883 – Customer report produces error Make sure
	  business-reports.scm pulls in gnc-html module for gnc-build-url.

2009-05-28 09:32  cstim

	* [r18094] packaging/win32/daily_build.sh: Really final changes
	  for daily build script.

2009-05-28 09:31  cstim

	* [r18093] packaging/win32/daily_build.sh: Really final changes
	  for daily build script.

2009-05-28 09:30  cstim

	* [r18092] packaging/win32/daily_build.sh: Final changes for daily
	  build script.

2009-05-27 14:09  cstim

	* [r18091] packaging/win32/daily_build.sh: Win32: Add shell script
	  for the automated nightly build.

2009-05-27 13:49  cstim

	* [r18090] packaging/win32/aqbanking-3.8.1-patch.diff,
	  packaging/win32/defaults.sh, packaging/win32/install.sh: Win32:
	  Add aqbanking-3.8.1 patch to fix a compiler error.

2009-05-24 20:36  cstim

	* [r18089] po/de.po: Update German translation.

2009-05-24 20:28  cstim

	* [r18088] src/business/business-reports/aging.scm,
	  src/business/business-reports/fancy-invoice.scm,
	  src/business/business-reports/invoice.scm,
	  src/report/standard-reports/budget-income-statement.scm: Minor
	  i18n string improvements

2009-05-23 19:03  plongstaff

	* [r18087] src/gnome-utils/dialog-file-access.c,
	  src/gnome-utils/glade/dialog-database-connection.glade: 1)
	  Remove obsolete glade file. 2) Modify packing on URI type combo
	  box so that it doesn't fill the whole space.

2009-05-23 17:24  plongstaff

	* [r18086] src/backend/dbi/gnc-backend-dbi.c: Bug #583535 - better
	  fix for mysql databases

2009-05-23 01:02  plongstaff

	* [r18085] src/backend/dbi/gnc-backend-dbi.c: Bug #583535: When
	  selecting a db using dbi_conn_select_db(), change the "dbname"
	  option which is used in other places to identify the current
	  database name.

2009-05-21 01:52  plongstaff

	* [r18084] src/backend/sql/gnc-price-sql.c: Apply patch by Mike
	  Alexander to speed up price db loading in sql backend.

2009-05-20 01:26  plongstaff

	* [r18083] packaging/win32/defaults.sh: Fix bug #582976 –
	  install.sh - webkit-1.1.5-win32.zip is not available for
	  download Fix path to URL.

2009-05-18 19:06  cstim

	* [r18081] configure.in, po/lt.po: Add Lithuanian translation by
	  Tadas Masiulionis

2009-05-16 07:13  cmarchi

	* [r18079] po/it.po: Update of Italian translation by Cristian
	  Marchi

2009-05-14 01:30  plongstaff

	* [r18077] packaging/win32/Makefile.am: Fix distcheck problem

2009-05-14 00:33  plongstaff

	* [r18073] NEWS, accounts/cs,
	  packaging/win32/libgda-3.1.2-patch.diff,
	  packaging/win32/libgda-3.1.2-patch2.diff, src/bin/gnucash-bin.c:
	  1) Update svn:ignore for accounts/cs to ignore Makefile and
	  Makefile.in 2) Remove obsolete patches (libgda) 3) Merge NEWS
	  from 2.2.X and add 2.3.0 NEWS 4) Update stable version number

2009-05-13 00:59  plongstaff

	* [r18071] configure.in: Update revision to 2.3.0

2009-05-13 00:58  plongstaff

	* [r18070] packaging/win32/defaults.sh, packaging/win32/dist.sh,
	  packaging/win32/install.sh: 1) Add commands to build win32
	  version of gnucash using webkit. 2) Correct URLs for aqbanking

2009-05-10 20:45  cstim

	* [r18069] po/de.po: Updated German translation (still 130 to go,
	  sigh.)

2009-05-09 22:06  plongstaff

	* [r18068] src/html/gnc-html-webkit.c: Remove unneeded include
	  file dlfcn.h which causes problems on win32.

2009-05-06 20:34  cedayiv

	* [r18067] src/import-export/qif-import/qif-to-gnc.scm: QIF
	  Import: Create transactions in the user-specified currency
	  rather than the default currency. For example, if the default
	  currency is pesos and the user has specified that the QIF
	  transactions are all USD, the transaction currency should be USD
	  too.

2009-05-01 23:38  plongstaff

	* [r18066] src/html/gnc-html-graph-gog-gtkhtml.c,
	  src/html/gnc-html-graph-gog.c: Fix bug 578212 – gnucash needs to
	  be patch to build against goffice >= 0.7.5 applied patch by Jean
	  Brefort

2009-05-01 23:04  cedayiv

	* [r18065] src/gnome-utils/dialog-transfer.c: Bug #478106: Add
	  sanity check to currency exchange dialog.

2009-05-01 22:54  plongstaff

	* [r18064] src/gnome-utils/dialog-options.c: Fix bug #475806.
	  Mismatch between return value (SCM_BOOL_F) and test (SCM_NULLP)
	  to determine if budget is valid or not. Changed test to "!=
	  SCM_BOOL_F" to match the way the value is handled for accounts.

2009-04-29 00:53  plongstaff

	* [r18063] src/gnome-utils/gnc-main-window.c: Commit patch for Bug
	  577221 – optimization update title only when changed Patch by
	  David Fries.

2009-04-29 00:25  plongstaff

	* [r18062] src/gnome/dialog-price-editor.c,
	  src/gnome/glade/price.glade: Apply patch by Herbert Thoma: Bug
	  580281 – Entering multiple prices with price editor is tedious
	  Expands the price editor dialog to allow a series of prices to
	  be edited more easily.

2009-04-29 00:05  plongstaff

	* [r18061] src/engine/gnc-engine.c: Remove commented-out obsolete
	  backend module name

2009-04-29 00:00  plongstaff

	* [r18060] src/backend/sql/gnc-slots-sql.c: Fix memory leak

2009-04-27 10:40  cmarchi

	* [r18059] po/ru.po: Update of Russian translation by Sergey
	  Belyashov

2009-04-26 19:29  cstim

	* [r18058] accounts/Makefile.am, accounts/cs,
	  accounts/cs/Makefile.am,
	  accounts/cs/acctchrt_brokerage.gnucash-xea,
	  accounts/cs/acctchrt_carloan.gnucash-xea,
	  accounts/cs/acctchrt_cdmoneymkt.gnucash-xea,
	  accounts/cs/acctchrt_childcare.gnucash-xea,
	  accounts/cs/acctchrt_common.gnucash-xea,
	  accounts/cs/acctchrt_currency.gnucash-xea,
	  accounts/cs/acctchrt_eduloan.gnucash-xea,
	  accounts/cs/acctchrt_fixedassets.gnucash-xea,
	  accounts/cs/acctchrt_homeloan.gnucash-xea,
	  accounts/cs/acctchrt_homeown.gnucash-xea,
	  accounts/cs/acctchrt_otherloan.gnucash-xea,
	  accounts/cs/acctchrt_renter.gnucash-xea,
	  accounts/cs/acctchrt_retiremt.gnucash-xea,
	  accounts/cs/acctchrt_spouseinc.gnucash-xea,
	  accounts/cs/acctchrt_spouseretire.gnucash-xea, configure.in: Add
	  Czech account templates by Michael Mráka.

2009-04-26 01:08  plongstaff

	* [r18057] src/backend/dbi/gnc-backend-dbi.c,
	  src/backend/sql/gnc-backend-sql.c,
	  src/backend/sql/gnc-slots-sql.c: Create an index for the slots
	  table indexed on the obj guid. This is the last piece of
	  functionality from the old libgda backend.

2009-04-24 00:49  plongstaff

	* [r18056] src/business/business-core/business-core.i,
	  src/business/business-core/gncTaxTable.c,
	  src/business/business-core/gncTaxTable.h: Fix bug 573645: SWIG
	  binding for GncTaxTableGetEntries is wrong. Patch by Chris Dennis

2009-04-23 21:51  cedayiv

	* [r18055] src/import-export/qif-import/file-format.txt,
	  src/import-export/qif-import/qif-file.scm,
	  src/import-export/qif-import/qif-parse.scm: QIF Import: Add
	  support for German "Oth S" accounts.

2009-04-21 19:39  cstim

	* [r18054] po/he.po: Update Hebrew translation: Copied from 2.2
	  branch, merged with latest trunk template.

2009-04-17 23:42  plongstaff

	* [r18052] src/report/standard-reports/budget.scm: Modifications
	  to the budget report: 1) Currently, the leaf behavior is forced
	  to "flatten", meaning that the depth is the depth that accounts
	  will be forced to if they are deeper than the requested depth.
	  Now, "flatten" vs "summarize" is an option. Note that the report
	  doesn't summarize budget values (yet), only actual values. 2)
	  Add an option to add a set of columns on the far right which
	  contain row totals.

2009-04-16 22:01  plongstaff

	* [r18051] src/report/utility-reports/view-column.scm: Fix
	  "unbound variable" problem due to split of gnome-utils directory.

2009-04-14 09:04  cstim

	* [r18050] po/ca.po, po/cs.po, po/da.po, po/de.po, po/de_CH.po,
	  po/el.po, po/en_GB.po, po/es.po, po/es_NI.po, po/eu.po,
	  po/fi.po, po/fr.po, po/he.po, po/hu.po, po/it.po, po/ja.po,
	  po/nb.po, po/ne.po, po/nl.po, po/pl.po, po/pt.po, po/pt_BR.po,
	  po/ro.po, po/ru.po, po/rw.po, po/sk.po, po/sv.po, po/ta.po,
	  po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po: Merge
	  all translations with up-to-date pot template.
	* [r18049] src/report/locale-specific/us/taxtxf.scm: I18n
	  improvements: Don't mark single characters for translation.
	  Also, all of the split sentences should be refactored into
	  printf-like strings where the variable words must be inserted
	  through %s etc, but I'm too lazy to do this for now. Also, this
	  file us/taxtxf.scm is used in the U.S. *only*, so it is fine to
	  not translate it anyway.
	* [r18048] src/gnome-utils/glade/dialog-file-access.glade,
	  src/import-export/csv/gnc-csv-preview-dialog.glade: I18n
	  improvements: Don't mark gtk stock button labels as
	  translatable. Uppercase field labels.

2009-04-13 17:54  warlord

	* [r18047] configure.in: re-enable the python bindings distcheck
	  works for me now.

2009-04-13 16:14  warlord

	* [r18046] src/optional/python-bindings/Makefile.am: Call swig
	  with -python because we never need -noproxy This should fix
	  "make dist" even when you don't enable the python bindings

2009-04-12 17:14  plongstaff

	* [r18045] configure.in, make-gnucash-potfiles.in, po/POTFILES.in,
	  po/POTFILES.skip, src/backend/Makefile.am,
	  src/backend/dbi/Makefile.am, src/backend/xml/Makefile.am,
	  src/backend/xml/gnc-backend-file.c,
	  src/backend/xml/gnc-backend-file.h,
	  src/backend/xml/gnc-backend-xml.c,
	  src/backend/xml/gnc-backend-xml.h,
	  src/backend/xml/gncmod-backend-file.c,
	  src/backend/xml/gncmod-backend-xml.c,
	  src/backend/xml/io-gncxml-v2.h,
	  src/backend/xml/test/test-load-xml2.c,
	  src/business/business-core/xml/gncmod-business-backend-file.c,
	  src/gnome-utils/druid-gnc-xml-import.c, src/html/Makefile.am: 1)
	  Remove obsolete xxx-backend-file files (now are backend-xml) 2)
	  Fix 'make check', 'make dist' and 'make distcheck' problems Make
	  distcheck now passes

2009-04-11 13:58  plongstaff

	* [r18044] src/html/gnc-html-gtkhtml.c: Fix compilation problems
	  for gtkhtml which uses gnome_print. My version of gtkhtml-dev
	  doesn't include gtk_html_print() function, so I still get a
	  compilation problem, but I think this will work for people who
	  really have that configuration.

2009-04-11 08:21  cstim

	* [r18043] po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po,
	  po/en_GB.po, po/es.po, po/es_NI.po, po/eu.po, po/fi.po,
	  po/fr.po, po/glossary/ca.po, po/glossary/de.po,
	  po/glossary/de_CH.po, po/glossary/it.po, po/glossary/pl.po,
	  po/glossary/ru.po, po/glossary/sk.po, po/he.po, po/hu.po,
	  po/it.po, po/ja.po, po/nb.po, po/ne.po, po/nl.po, po/pl.po,
	  po/pt.po, po/pt_BR.po, po/ro.po, po/ru.po, po/rw.po, po/sk.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po,
	  po/zh_TW.po: Copy all translations (and glossaries) from 2.2
	  branch, r17964, to trunk. Future translation work will
	  (hopefully) be done on trunk only. However, we still need to
	  announce this appropriately.

2009-04-11 02:52  plongstaff

	* [r18042] src/html/gnc-html-graph-gog-extras.h,
	  src/html/gnc-html-graph-gog-gtkhtml.c,
	  src/html/gnc-html-graph-gog-webkit.c, src/html/gnc-html.i,
	  src/report/report-system/html-barchart.scm,
	  src/report/report-system/html-linechart.scm,
	  src/report/report-system/html-piechart.scm,
	  src/report/report-system/html-scatter.scm: Remove magic strings
	  - "gnc-guppi-pie" and other chart object types were separately
	  defined in both the .c file and the .scm files where the chart
	  html was created. This change defines the values once, in
	  gnc-html-graph-gog-extras.h, and these #defines are used and
	  passed into guile for use in the scm files.

2009-04-11 01:44  plongstaff

	* [r18041] configure.in, src/Makefile.am,
	  src/business/business-gnome/Makefile.am,
	  src/business/dialog-tax-table/Makefile.am,
	  src/gnome-utils/Makefile.am, src/gnome-utils/gnc-gnome-utils.c,
	  src/gnome-utils/gnc-html-graph-gog.c,
	  src/gnome-utils/gnc-html-graph-gog.h,
	  src/gnome-utils/gnc-html-history.c,
	  src/gnome-utils/gnc-html-history.h, src/gnome-utils/gnc-html.c,
	  src/gnome-utils/gnc-html.h, src/gnome-utils/gnc-main-window.c,
	  src/gnome-utils/gncmod-gnome-utils.c,
	  src/gnome-utils/gnome-utils.i, src/gnome/Makefile.am,
	  src/gnome/gnc-plugin-page-account-tree.c,
	  src/gnome/gnc-plugin-page-budget.c, src/html,
	  src/html/Makefile.am, src/html/gnc-html-extras.h,
	  src/html/gnc-html-factory.c, src/html/gnc-html-factory.h,
	  src/html/gnc-html-graph-gog-gtkhtml.c,
	  src/html/gnc-html-graph-gog-gtkhtml.h,
	  src/html/gnc-html-graph-gog-webkit.c,
	  src/html/gnc-html-graph-gog-webkit.h,
	  src/html/gnc-html-graph-gog.c, src/html/gnc-html-graph-gog.h,
	  src/html/gnc-html-gtkhtml-p.h, src/html/gnc-html-gtkhtml.c,
	  src/html/gnc-html-gtkhtml.h, src/html/gnc-html-history.c,
	  src/html/gnc-html-history.h, src/html/gnc-html-p.h,
	  src/html/gnc-html-webkit-p.h, src/html/gnc-html-webkit.c,
	  src/html/gnc-html-webkit.h, src/html/gnc-html.c,
	  src/html/gnc-html.h, src/html/gnc-html.i,
	  src/html/gncmod-html.c, src/import-export/Makefile.am,
	  src/import-export/csv/Makefile.am,
	  src/import-export/hbci/Makefile.am,
	  src/import-export/hbci/druid-hbci-initial.c,
	  src/import-export/log-replay/Makefile.am,
	  src/import-export/ofx/Makefile.am,
	  src/import-export/qif-import/Makefile.am,
	  src/report/report-gnome/Makefile.am,
	  src/report/report-gnome/gnc-plugin-page-report.c,
	  src/report/report-gnome/window-report.c,
	  src/report/report-gnome/window-report.h,
	  src/report/report-system/gnc-report.c,
	  src/report/report-system/report-system.scm: Merge webkit branch
	  into trunk. In order to use the webkit as the html engine, use
	  --enable-webkit on the configure command. In SCM files,
	  gnc-html-engine-supports-css can be used to determine whether
	  the html engine is webkit (supports css) or gtkhtml (doesn't
	  support css).

2009-04-10 20:20  cstim

	* [r18037] src/import-export/aqbanking/gnc-ab-utils.c,
	  src/import-export/aqbanking/gnc-ab-utils.h,
	  src/import-export/aqbanking/gnc-gwen-gui.c: Bug #559670:
	  Aqbanking should not ask for already accepted certificates. Add
	  support for AqBanking's permanently accepted SSL certificates
	  This patch fixes part of the problem for AqBanking 4.x (or
	  newer). The patch queries the certificates that have been
	  accepted during the AqBanking setup procedure. A hash of every
	  single such certificate is stored by AqBanking 4.x under
	  $HOME/.aqbanking/settings/shared/certs.conf. For older versions
	  of AqBanking the patch does nothing (yet). The main difference
	  is where AqBanking stores the hashes for such certificates. I've
	  added a FIXME comment on the appropriate place where code for
	  older AqBanking versions should be added. Patch by Micha Lenk,
	  slightly modified by me. Signed-off-by: Christian Stimming
	  <stimming@tuhh.de> BP

2009-04-10 17:37  plongstaff

	* [r18036] src/engine/Makefile.am: Another fix for lib/libqof ->
	  src/libqof change.

2009-04-10 15:30  cedayiv

	* [r18035] src/gnome/gnc-split-reg.c: Reverse an unintended change
	  from r18034.

2009-04-10 15:28  cedayiv

	* [r18034] src/gnome/gnc-plugin-page-register.c,
	  src/gnome/gnc-split-reg.c: Register: Add an ENTER/LEAVE pair.

2009-04-09 22:23  plongstaff

	* [r18033] src/backend/dbi/gnc-backend-dbi.c: Add extra status
	  checking for return codes. Errors cause a CRIT message to the
	  trace file and set the background error status. Note that not
	  all times when the background error status is set will result in
	  a notification to the user.

2009-04-09 12:29  plongstaff

	* [r18032] configure.in, po/POTFILES.in, src/doc/doxygen.cfg.in:
	  Fix move from lib/libqof -> src/libqof

2009-04-07 20:20  cedayiv

	* [r18031] src/import-export/qif-import/qif-file.scm: Bug #478055:
	  Adjust read syntax of symbol names that include spaces. This old
	  syntax doesn't work in guile 1.8, at least not on Fedora 9
	  64-bit.

2009-04-07 00:48  plongstaff

	* [r18029] configure.in, lib/Makefile.am, lib/libqof,
	  src/Makefile.am, src/app-utils/Makefile.am,
	  src/app-utils/test/Makefile.am, src/backend/dbi/Makefile.am,
	  src/backend/dbi/test/Makefile.am,
	  src/backend/postgres/Makefile.am,
	  src/backend/postgres/test/Makefile.am,
	  src/backend/sql/Makefile.am, src/backend/sql/test/Makefile.am,
	  src/backend/xml/Makefile.am, src/backend/xml/test/Makefile.am,
	  src/bin/Makefile.am, src/business/business-core/Makefile.am,
	  src/business/business-core/sql/Makefile.am,
	  src/business/business-core/test/Makefile.am,
	  src/business/business-core/xml/Makefile.am,
	  src/business/business-gnome/Makefile.am,
	  src/business/business-ledger/Makefile.am,
	  src/business/business-utils/Makefile.am,
	  src/business/dialog-tax-table/Makefile.am,
	  src/calculation/Makefile.am, src/engine/Makefile.am,
	  src/engine/test-core/Makefile.am, src/engine/test/Makefile.am,
	  src/gnome-search/Makefile.am, src/gnome-utils/Makefile.am,
	  src/gnome-utils/test/Makefile.am, src/gnome/Makefile.am,
	  src/import-export/Makefile.am,
	  src/import-export/aqbanking/Makefile.am,
	  src/import-export/binary-import/Makefile.am,
	  src/import-export/csv/Makefile.am,
	  src/import-export/hbci/Makefile.am,
	  src/import-export/log-replay/Makefile.am,
	  src/import-export/ofx/Makefile.am,
	  src/import-export/qif-import/Makefile.am,
	  src/import-export/qif-import/test/Makefile.am,
	  src/import-export/qif/Makefile.am,
	  src/import-export/qif/test/Makefile.am,
	  src/import-export/test/Makefile.am, src/libqof,
	  src/libqof/backend/file/Makefile.am,
	  src/optional/python-bindings/Makefile.am,
	  src/register/ledger-core/Makefile.am,
	  src/register/register-core/Makefile.am,
	  src/register/register-gnome/Makefile.am,
	  src/report/report-gnome/Makefile.am,
	  src/report/stylesheets/Makefile.am: Rename lib/libqof ->
	  src/libqof

2009-04-06 23:44  plongstaff

	* [r18028] src/backend/sql/gnc-backend-sql.c: Fix crash when
	  searching for a customer

2009-04-06 23:27  plongstaff

	* [r18027] configure.in, src/business/business-core/Makefile.am,
	  src/business/business-core/file, src/business/business-core/xml:
	  Rename src/business/business-core/file ->
	  src/business/business-core/xml

2009-04-06 23:09  plongstaff

	* [r18026] configure.in, src/backend/Makefile.am,
	  src/backend/file, src/backend/xml,
	  src/backend/xml/test/Makefile.am,
	  src/business/business-core/file/Makefile.am,
	  src/gnome-utils/Makefile.am, src/gnome/Makefile.am: Rename
	  src/backend/file -> src/backend/xml

2009-04-06 17:00  cedayiv

	* [r18024] src/register/register-gnome/gnucash-sheet.c: Register:
	  Force scroll to the current row if the row height may have
	  changed and pushed the current row out of sight.

2009-04-06 16:27  cedayiv

	* [r18023] src/register/register-gnome/gnucash-sheet.c: Bug
	  #432021: Register: Recompute block offsets if the cell heights
	  may have changed.

2009-04-06 16:21  cedayiv

	* [r18022] src/register/register-gnome/gnucash-sheet.c,
	  src/register/register-gnome/gnucash-style.c,
	  src/register/register-gnome/table-gnome.c: Register: Add some
	  gnome-related debugging messages.

2009-04-06 16:13  cedayiv

	* [r18021] src/register/ledger-core/gnc-ledger-display.c:
	  Register: Add some new debugging messages to the ledger display
	  functions.

2009-04-06 12:15  plongstaff

	* [r18020] configure.in: 1) Use AS_HELP_STRING() to line up stuff
	  in '--help' output 2) Remove last traces of old GDA stuff

2009-04-06 12:13  plongstaff

	* [r18019] src/app-utils/Makefile.am, src/app-utils/app-utils.scm,
	  src/app-utils/gnc-account-merge.c,
	  src/app-utils/gnc-account-merge.h,
	  src/app-utils/gnc-basic-gobject.h, src/app-utils/gnc-druid-cb.c,
	  src/app-utils/gnc-druid-cb.h,
	  src/app-utils/gnc-druid-provider-desc-edge.c,
	  src/app-utils/gnc-druid-provider-desc-edge.h,
	  src/app-utils/gnc-druid-provider-desc-file.c,
	  src/app-utils/gnc-druid-provider-desc-file.h,
	  src/app-utils/gnc-druid-provider-desc-multifile.c,
	  src/app-utils/gnc-druid-provider-desc-multifile.h,
	  src/app-utils/gnc-druid-provider-desc.c,
	  src/app-utils/gnc-druid-provider-desc.h,
	  src/app-utils/gnc-druid-provider-file-cb.c,
	  src/app-utils/gnc-druid-provider-file-cb.h,
	  src/app-utils/gnc-druid-provider.c,
	  src/app-utils/gnc-druid-provider.h, src/app-utils/gnc-druid.c,
	  src/app-utils/gnc-druid.h: Add missing file headers with license
	  notice.

2009-04-05 17:29  plongstaff

	* [r18018] src/gnome-search/Makefile.am,
	  src/gnome-utils/Makefile.am, src/gnome-utils/test/Makefile.am,
	  src/gnome/Makefile.am,
	  src/import-export/binary-import/Makefile.am,
	  src/import-export/qif-io-core/test/Makefile.am,
	  src/import-export/qif/test/Makefile.am,
	  src/import-export/test/Makefile.am,
	  src/report/locale-specific/us/test/Makefile.am,
	  src/report/report-gnome/test/Makefile.am,
	  src/report/report-system/test/Makefile.am,
	  src/report/standard-reports/test/Makefile.am,
	  src/report/stylesheets/test/Makefile.am,
	  src/report/utility-reports/test/Makefile.am: Remove some
	  unnecessary dependencies

2009-04-05 17:07  plongstaff

	* [r18017] src/gnome-utils/dialog-file-access.c: Fix crash due to
	  use of uninitialized variable. Fix supplied by Sebastien Held.

2009-04-05 00:52  plongstaff

	* [r18016] lib/libqof/backend/file/qsf-xml.h,
	  lib/libqof/qof/qofclass.h, po/POTFILES.in: 1) Add new files to
	  po/POTFILES.in 2) Fix some unmatched quotes (in some cases, they
	  were spelling errors)

2009-04-04 23:44  plongstaff

	* [r18014] src/backend/sql/gnc-backend-sql.c,
	  src/backend/sql/gnc-transaction-sql.c: Add some debug enter/exit
	  tracing. Add some more argument checking.

2009-03-31 14:22  warlord

	* [r18011] src/doc/doxygen.cfg.in: Upgrade doxygen configuration
	  from 1.5.2 to 1.5.7.1 for upgrade on server to Fedora 10.

2009-03-29 15:44  plongstaff

	* [r18006] src/gnome-utils/dialog-file-access.c: Fix uninitialized
	  variable fileChooserAction.

2009-03-26 19:38  andrewsw

	* [r18001] src/report/report-gnome/Makefile.am,
	  src/report/report-gnome/custom-report-dialog.glade,
	  src/report/report-gnome/dialog-custom-report.c,
	  src/report/report-gnome/dialog-custom-report.h,
	  src/report/report-gnome/report-gnome.i,
	  src/report/report-gnome/report-gnome.scm,
	  src/report/report-system/report-system.scm,
	  src/report/report-system/report.scm: Implement new custom report
	  dialog. Implements a new interface for accessing "saved" or
	  "custom" reports. Specifically, the current sub-menu is replaced
	  with a dialog holding a GtkTreeView of the saved reports. From
	  here the user can either run or delete an existing saved report.
	  * allows deletion of existing saved reports * allows immediate
	  access to new saved reports from this session (no need to
	  restart gnucash to get access to new saved reports!) * keeps a
	  single rolling backup of saved reports in case of errors

2009-03-25 00:52  cedayiv

	* [r18000] src/import-export/qif-import/qif-parse.scm: QIF Import:
	  Throw an error immediately upon failing to parse a category.
	  Previously a bad value was returned, which could then cause a
	  failure in the caller.

2009-03-22 17:48  cedayiv

	* [r17999] src/import-export/qif-io-core/qif-parse.scm,
	  src/import-export/qif/qif-parse.c: QIF: Replicate the fix from
	  r17998 in two other QIF-related places.

2009-03-22 17:24  cedayiv

	* [r17998] src/import-export/qif-import/qif-parse.scm: QIF Import:
	  Support backslash characters in category names. There was a
	  mistake the regular expression, as a pipe symbol shouldn't be
	  escaped with a backslash when used inside brackets.

2009-03-19 14:45  plongstaff

	* [r17997] src/backend/dbi/gnc-backend-dbi.c: Add debugging info
	  re SQL transactions

2009-03-19 14:44  plongstaff

	* [r17996] src/backend/Makefile.am, src/backend/dwi: 1) Remove
	  obsolete dwi directory. 2) Remove vestiges of GDA from
	  Makefile.am

2009-03-14 18:12  plongstaff

	* [r17994] src/gnome-utils/dialog-database-connection.c,
	  src/gnome-utils/dialog-database-connection.h,
	  src/gnome-utils/glade/Makefile.am,
	  src/gnome/gnc-plugin-basic-commands.c,
	  src/gnome/ui/gnc-plugin-basic-commands-ui.xml: Remove Database
	  Connection dialog and menu entry

2009-03-13 16:33  plongstaff

	* [r17993] src/backend/dbi/gnc-backend-dbi.c: Implement
	  BEGIN/COMMIT/ROLLBACK for transaction support. Provides a *huge*
	  performance improvement when saving to an sqlite3 file.

2009-03-13 15:31  warlord

	* [r17992] po/POTFILES.in: Add a glade file to the POTFILES list.
	  make check now works for me.

2009-03-13 15:09  warlord

	* [r17991] po/POTFILES.in: remove python-bindings from POTFILES.in

2009-03-13 15:07  warlord

	* [r17990] make-gnucash-potfiles.in: Ignore the python-bindings
	  when building translations.

2009-03-10 17:41  plongstaff

	* [r17989] src/gnome-utils/dialog-file-access.c,
	  src/gnome-utils/glade/dialog-file-access.glade: Replace radio
	  buttons with a combo box. A bit ugly because I haven't figured
	  out how to keep the combo box from expanding to fill the space.

2009-03-09 20:14  cedayiv

	* [r17988] src/report/report-system/html-acct-table.scm,
	  src/report/report-system/report-system.scm,
	  src/report/report-system/report-utilities.scm: Reports: Speed up
	  the report infrastructure. Patch by Mike Alexander. One set of
	  changes speeds up the three functions in report-utilities.scm:
	  gnc:account-get-comm-balance-interval
	  gnc:accountlist-get-comm-balance-interval
	  gnc:accountlist-get-comm-balance-at-date These can all be
	  implemented as calls to
	  gnc:account-get-trans-type-balance-interval (with a minor change
	  to it to ignore the type parameter if it is #f) and it is much
	  faster since it does a single query instead of a loop over an
	  account list. The other set of changes is in
	  gnc:html-acct-table-add-accounts! in html-acct-table.scm. This
	  functions starts off by building a hash table of account
	  balances it cares about. The code to do this did a recursive
	  loop over the relevant accounts. I changed it to do a query to
	  find the splits in the accounts it cares about and build the
	  hash table from them. This speeds it up by a couple of orders of
	  magnitude.

2009-03-09 20:07  cedayiv

	* [r17987] src/register/ledger-core/split-register-model-save.c:
	  Register: Fix the file name in a comment.
	* [r17986] src/gnome/gnc-split-reg.c: Register: Add a few
	  debugging calls.

2009-03-09 19:47  cedayiv

	* [r17985] src/register/register-core/table-allgui.h: Register
	  core: Start doxygen documentation of table-allgui.h

2009-03-09 18:23  cedayiv

	* [r17984] src/register/register-gnome/gnucash-sheet.c: Bug
	  #523982: Fix the Enter key in double-line mode. The register had
	  wrongly assumed one physical row per virtual row.

2009-03-09 17:17  plongstaff

	* [r17983] lib/libqof/qof/guid.h, lib/libqof/qof/kvp_frame.h,
	  lib/libqof/qof/qofbackend-p.h, lib/libqof/qof/qofbackend.h,
	  lib/libqof/qof/qofbook.h, lib/libqof/qof/qofclass.h,
	  lib/libqof/qof/qofid.h, lib/libqof/qof/qofinstance.h,
	  lib/libqof/qof/qoflog.h, lib/libqof/qof/qofobject.h,
	  lib/libqof/qof/qofquery-p.h, lib/libqof/qof/qofquery.h,
	  splint-defs.h, src/backend/dbi/.splintrc,
	  src/backend/dbi/gnc-backend-dbi.c,
	  src/backend/dbi/gncmod-backend-dbi.c, src/backend/sql/.splintrc,
	  src/backend/sql/gnc-account-sql.c,
	  src/backend/sql/gnc-backend-sql.c,
	  src/backend/sql/gnc-backend-sql.h,
	  src/backend/sql/gnc-book-sql.c,
	  src/backend/sql/gnc-budget-sql.c,
	  src/backend/sql/gnc-commodity-sql.c,
	  src/backend/sql/gnc-lots-sql.c, src/backend/sql/gnc-price-sql.c,
	  src/backend/sql/gnc-recurrence-sql.c,
	  src/backend/sql/gnc-recurrence-sql.h,
	  src/backend/sql/gnc-schedxaction-sql.c,
	  src/backend/sql/gnc-slots-sql.c,
	  src/backend/sql/gnc-transaction-sql.c,
	  src/backend/sql/gnc-transaction-sql.h,
	  src/core-utils/gnc-gconf-utils.h, src/engine/Account.h,
	  src/engine/SX-book.h, src/engine/SchedXaction.h,
	  src/engine/Transaction.h, src/engine/gnc-budget.h,
	  src/engine/gnc-commodity.h, src/engine/gnc-lot.h,
	  src/engine/gnc-pricedb.h, src/gnc-module/gnc-module.h: Fix lots
	  of splint issues (including memory leaks). This includes some
	  changes in qof and gnc files adding annotation comments to help
	  splint analyze ownership of memory and objects.

2009-03-08 19:14  cedayiv

	* [r17982] src/import-export/qif-import/file-format.txt: QIF
	  Import: Correct case of cleared status code "c" in documentation
	  text file.

2009-03-08 18:58  cedayiv

	* [r17981] src/import-export/qif-import/file-format.txt,
	  src/import-export/qif-import/qif-parse.scm: QIF Import: Allow
	  "R" or "r" for reconciled, and "C" or "c" for cleared.

2009-03-07 19:48  cedayiv

	* [r17980] src/import-export/qif-import/file-format.txt: QIF
	  Import: Add a section for "cleared status" and fix some
	  inconsistent whitespace.

2009-03-07 17:46  plongstaff

	* [r17979] src/gnome-utils/dialog-file-access.c: Disable radio
	  buttons for access types (sqlite3/mysql/pgsql) which don't have
	  a qof backend registered.

2009-03-07 17:36  plongstaff

	* [r17978] src/backend/dbi/gnc-backend-dbi.c,
	  src/backend/sql/gnc-backend-sql.c: Don't create qof backends for
	  uri types where there is no libdbi driver installed.

2009-03-07 00:46  plongstaff

	* [r17977] src/gnome-utils/dialog-file-access.c: In File Access
	  dialog, sqlite3 is default format, so make db fields insensitive
	  when dialog opened.

2009-03-06 22:43  plongstaff

	* [r17976] src/backend/dbi/gnc-backend-dbi.c,
	  src/gnome-utils/Makefile.am,
	  src/gnome-utils/dialog-file-access.c,
	  src/gnome-utils/dialog-file-access.h,
	  src/gnome-utils/glade/Makefile.am,
	  src/gnome-utils/glade/dialog-file-access.glade,
	  src/gnome/gnc-plugin-basic-commands.c: 1) Add new
	  dialog-file-access which combines the standard GTK file
	  selection widget with the database selection fields from the old
	  database connection dialog. If --enable-dbi is specified at
	  configuration time, this dialog is used instead of the file open
	  and save-as dialogs. 2) Prompt to create a mysql db if it
	  doesn't exist.

2009-03-06 21:02  plongstaff

	* [r17975] src/backend/sql/gnc-backend-sql.c: Handle integer
	  values returned as string GValues (mysql does this for bigint
	  values).

2009-03-05 15:33  plongstaff

	* [r17974] src/backend/sql/gnc-account-sql.c,
	  src/backend/sql/gnc-price-sql.c,
	  src/backend/sql/gnc-transaction-sql.c: 1) Update table version
	  number so that tables aren't re-updated each time (update won't
	  hurt, but is not needed) 2) Don't free memory too soon

2009-03-05 15:28  plongstaff

	* [r17973] src/business/business-core/sql/gnc-bill-term-sql.c,
	  src/business/business-core/sql/gnc-customer-sql.c,
	  src/business/business-core/sql/gnc-employee-sql.c,
	  src/business/business-core/sql/gnc-entry-sql.c,
	  src/business/business-core/sql/gnc-invoice-sql.c,
	  src/business/business-core/sql/gnc-tax-table-sql.c: Update
	  business table version numbers

2009-03-05 01:05  andrewsw

	* [r17972] src/report/report-system/report.scm: refactor
	  saved-reports-2.4 migration to eliminate duplicate code and fix
	  the report template renderer name reference.

2009-03-04 15:31  cedayiv

	* [r17971] src/business/business-ledger/gncEntryLedgerControl.c:
	  Business ledger: Don't leave the account cell if the user
	  chooses not to create a new account when prompted. This allows
	  any typo to be quickly fixed. Previously the account cell text
	  was blanked and focus moved to the next cell.

2009-03-03 22:48  cedayiv

	* [r17970] src/register/ledger-core/split-register-control.c:
	  Register: Fix an unbalanced ENTER().

2009-03-03 19:02  cedayiv

	* [r17969] src/register/ledger-core/split-register-control.c,
	  src/register/ledger-core/split-register-p.h,
	  src/register/ledger-core/split-register.c: Bug #343217:
	  Register: Don't leave the account cell if the user chooses not
	  to create a new account when prompted. This allows any typo to
	  be quickly fixed. Previously the account cell text was blanked
	  and focus moved to the next cell.

2009-03-02 23:58  andrewsw

	* [r17968] po/pl.po: update email address for Polish \"last
	  translator\"

2009-03-02 21:15  andi5

	* [r17967] src/business/business-gnome/glade/billterms.glade,
	  src/business/business-gnome/glade/businessprefs.glade,
	  src/business/business-gnome/glade/choose-owner.glade,
	  src/business/business-gnome/glade/customer.glade,
	  src/business/business-gnome/glade/date-close.glade,
	  src/business/business-gnome/glade/employee.glade,
	  src/business/business-gnome/glade/invoice.glade,
	  src/business/business-gnome/glade/job.glade,
	  src/business/business-gnome/glade/order.glade,
	  src/business/business-gnome/glade/payment.glade,
	  src/business/business-gnome/glade/vendor.glade,
	  src/business/dialog-tax-table/tax-tables.glade,
	  src/gnome-search/search.glade,
	  src/gnome-utils/glade/commodity.glade,
	  src/gnome-utils/glade/dialog-book-close.glade,
	  src/gnome-utils/glade/dialog-database-connection.glade,
	  src/gnome-utils/glade/dialog-query-list.glade,
	  src/gnome-utils/glade/dialog-reset-warnings.glade,
	  src/gnome-utils/glade/druid-gconf-setup.glade,
	  src/gnome-utils/glade/druid-gnc-xml-import.glade,
	  src/gnome-utils/glade/druid-provider-multifile.glade,
	  src/gnome-utils/glade/exchange-dialog.glade,
	  src/gnome-utils/glade/gnc-date-format.glade,
	  src/gnome-utils/glade/gnc-gui-query.glade,
	  src/gnome-utils/glade/preferences.glade,
	  src/gnome-utils/glade/totd.glade,
	  src/gnome-utils/glade/transfer.glade,
	  src/gnome/glade/account.glade, src/gnome/glade/acctperiod.glade,
	  src/gnome/glade/budget.glade,
	  src/gnome/glade/chart-export.glade,
	  src/gnome/glade/commodities.glade,
	  src/gnome/glade/fincalc.glade, src/gnome/glade/lots.glade,
	  src/gnome/glade/merge.glade, src/gnome/glade/newuser.glade,
	  src/gnome/glade/price.glade, src/gnome/glade/print.glade,
	  src/gnome/glade/progress.glade, src/gnome/glade/reconcile.glade,
	  src/gnome/glade/register.glade,
	  src/gnome/glade/sched-xact.glade, src/gnome/glade/stocks.glade,
	  src/gnome/glade/tax.glade, src/gnome/glade/userpass.glade,
	  src/import-export/aqbanking/aqbanking.glade,
	  src/import-export/binary-import/binary-import.glade,
	  src/import-export/csv/gnc-csv-preview-dialog.glade,
	  src/import-export/generic-import.glade,
	  src/import-export/hbci/glade/hbci.glade,
	  src/import-export/hbci/glade/hbcipass.glade,
	  src/import-export/hbci/glade/hbciprefs.glade,
	  src/import-export/import-provider-format.glade,
	  src/import-export/qif-import/qif.glade,
	  src/report/report-gnome/report.glade, util/glade-fixup: Revert
	  r17966 and use Glade-2 again. At the moment all major
	  distributions feature Glade-3 which tends to save a lot of lines
	  less compared to Glade-2 because it does not define properties
	  whose values equal the default ones specified by Gtk+.
	  Unfortunately though, only very recent versions of Glade,
	  v3.5.3+, address the following two issues: (1) GtkTable
	  attachments are written in different order each times, rendering
	  diffs unusable. (2) Currently we depend on the ability to use a
	  name multiple times in a single glade file and only newer
	  versions allow to have uniqueness be applied to each top-level
	  widget. Sorry for the confusion.

2009-03-01 19:13  andi5

	* [r17966] src/business/business-gnome/glade/billterms.glade,
	  src/business/business-gnome/glade/businessprefs.glade,
	  src/business/business-gnome/glade/choose-owner.glade,
	  src/business/business-gnome/glade/customer.glade,
	  src/business/business-gnome/glade/date-close.glade,
	  src/business/business-gnome/glade/employee.glade,
	  src/business/business-gnome/glade/invoice.glade,
	  src/business/business-gnome/glade/job.glade,
	  src/business/business-gnome/glade/order.glade,
	  src/business/business-gnome/glade/payment.glade,
	  src/business/business-gnome/glade/vendor.glade,
	  src/business/dialog-tax-table/tax-tables.glade,
	  src/gnome-search/search.glade,
	  src/gnome-utils/glade/commodity.glade,
	  src/gnome-utils/glade/dialog-book-close.glade,
	  src/gnome-utils/glade/dialog-database-connection.glade,
	  src/gnome-utils/glade/dialog-query-list.glade,
	  src/gnome-utils/glade/dialog-reset-warnings.glade,
	  src/gnome-utils/glade/druid-gconf-setup.glade,
	  src/gnome-utils/glade/druid-gnc-xml-import.glade,
	  src/gnome-utils/glade/druid-provider-multifile.glade,
	  src/gnome-utils/glade/exchange-dialog.glade,
	  src/gnome-utils/glade/gnc-date-format.glade,
	  src/gnome-utils/glade/gnc-gui-query.glade,
	  src/gnome-utils/glade/preferences.glade,
	  src/gnome-utils/glade/totd.glade,
	  src/gnome-utils/glade/transfer.glade,
	  src/gnome/glade/account.glade, src/gnome/glade/acctperiod.glade,
	  src/gnome/glade/budget.glade,
	  src/gnome/glade/chart-export.glade,
	  src/gnome/glade/commodities.glade,
	  src/gnome/glade/fincalc.glade, src/gnome/glade/lots.glade,
	  src/gnome/glade/merge.glade, src/gnome/glade/newuser.glade,
	  src/gnome/glade/price.glade, src/gnome/glade/print.glade,
	  src/gnome/glade/progress.glade, src/gnome/glade/reconcile.glade,
	  src/gnome/glade/register.glade,
	  src/gnome/glade/sched-xact.glade, src/gnome/glade/stocks.glade,
	  src/gnome/glade/tax.glade, src/gnome/glade/userpass.glade,
	  src/import-export/aqbanking/aqbanking.glade,
	  src/import-export/binary-import/binary-import.glade,
	  src/import-export/csv/gnc-csv-preview-dialog.glade,
	  src/import-export/generic-import.glade,
	  src/import-export/hbci/glade/hbci.glade,
	  src/import-export/hbci/glade/hbcipass.glade,
	  src/import-export/hbci/glade/hbciprefs.glade,
	  src/import-export/import-provider-format.glade,
	  src/import-export/qif-import/qif.glade,
	  src/report/report-gnome/report.glade, util/glade-fixup: Re-save
	  glade files from Glade 3, remove util/glade-fixup. Glade 3 does
	  not save properties with default values anymore. This reduces
	  patch sizes when Glade-3/Gtk+ is used with varying versions and
	  also avoids warnings about properties unknown to older Gtk+
	  versions. The version Glade 3 used is 3.4.5.

2009-02-26 22:12  andi5

	* [r17965] src/import-export/ofx/gnc-ofx-import.c: Bug #572107:
	  Use fallback string for OFX account types when matching to
	  GnuCash accounts. Without the fallback, NULL is printf'ed which
	  crashes GnuCash on Windows. BP

2009-02-25 19:10  cedayiv

	* [r17962] src/register/ledger-core/split-register.c: Bug #499215,
	  #530819, #551643: Register: Fix transaction pasting, which was
	  fairly broken. Pasting was being committed immediately, the
	  transaction was not checked properly before opening, the blank
	  split was being destroyed while the transaction was left
	  pending, and more. These problems left the register in an
	  inconsistent state that was being noticed in g_assert() calls in
	  several spots. GnuCash would then crash.

2009-02-25 18:20  cedayiv

	* [r17961] src/register/ledger-core/split-register-load.c:
	  Register: White space fixes.

2009-02-25 16:50  cedayiv

	* [r17960] src/register/ledger-core/split-register-load.c:
	  Register: Fix a bug that appears in basic and auto-split ledger
	  modes when entering a new transaction. Entering multiple splits
	  for the register's account would cause the 2nd though nth splits
	  to be displayed above the new transaction, making them appear to
	  be non-new.

2009-02-25 00:11  cedayiv

	* [r17959] src/register/ledger-core/split-register.c: Register:
	  Add debugging to gnc_split_register_changed().

2009-02-25 00:03  cedayiv

	* [r17958] src/register/ledger-core/split-register-layout.c:
	  Register: Make all account cells right-justified. Previously a
	  mix of left- and right-justification was used.

2009-02-24 00:12  andi5

	* [r17951] Makefile.am: Add ChangeLog.2008 to dist. BP

2009-02-23 22:56  cedayiv

	* [r17950] src/register/ledger-core/split-register.c: Register:
	  Tweak some comments and slightly reorganize the register cleanup
	  code for ease of reading.

2009-02-23 20:19  andi5

	* [r17948] packaging/win32/Makefile.am,
	  packaging/win32/aqbanking-3.7.2.patch: [Win32] Update EXTRA_DIST.

2009-02-20 23:08  andrewsw

	* [r17942] src/bin/gnucash-bin.c,
	  src/report/report-system/report.scm: Implement a new
	  saved-reports-2.4 file to allow translation of existing saved
	  reports into report-guid enabled versions. Take note: this
	  change will *hide* any manually hacked saved reports that make
	  use of the new report-guid. The new saved-reports-2.4 file will
	  shadow the old saved-reports-2.0 file and will leave those
	  hacked reports behind. Any pre-existing saved reports that use
	  report-guid will have to be manually migrated to the new file.

2009-02-20 05:00  cedayiv

	* [r17940] src/engine/engine-helpers.c: Bug #570887: Fix a typo in
	  r17939.

2009-02-20 04:37  cedayiv

	* [r17939] src/base-typemaps.i, src/engine/engine-helpers.c: Bug
	  #570887: Change the swig type mapping for GUID* so that Scheme
	  can tell the difference between a GUID* that is NULL, and a
	  GUID* pointing to storage containing the "null" GUID. Previously
	  the former case returned SCM_UNDEFINED to Scheme, which would
	  unbind Scheme variables and make crashes. Now SCM_BOOL_F is used
	  instead, and Scheme code can check for a NULL by comparing to #f.

2009-02-20 03:03  cedayiv

	* [r17938] src/register/ledger-core/split-register.c: Register:
	  Add debugging code for the copy and cut operations.

2009-02-18 21:18  plongstaff

	* [r17933] src/business/business-core/sql/gnc-employee-sql.c,
	  src/business/business-core/sql/gnc-entry-sql.c,
	  src/business/business-core/sql/gnc-invoice-sql.c,
	  src/business/business-core/sql/gnc-job-sql.c,
	  src/business/business-core/sql/gnc-order-sql.c,
	  src/business/business-core/sql/gnc-tax-table-sql.c,
	  src/business/business-core/sql/gnc-vendor-sql.c: Fix 572251:
	  remove extra definitions of write_objects_t structure.

2009-02-17 18:14  cedayiv

	* [r17930] src/gnome-utils/gnc-date-edit.c: Bug #565421: Remove
	  dependency on GTK+ 2.10 in date edit control.

2009-02-17 16:49  cedayiv

	* [r17929] src/engine/Account.h: Doxygen: Adjust the style of a
	  comment block for consistency and to eliminate a splint warning.

2009-02-16 21:30  plongstaff

	* [r17928] src/backend/sql/Makefile.am,
	  src/backend/sql/gnc-account-sql.c,
	  src/backend/sql/gnc-backend-sql.c,
	  src/backend/sql/gnc-backend-sql.h,
	  src/backend/sql/gnc-book-sql.c,
	  src/backend/sql/gnc-budget-sql.c,
	  src/backend/sql/gnc-commodity-sql.c,
	  src/backend/sql/gnc-lots-sql.c, src/backend/sql/gnc-price-sql.c,
	  src/backend/sql/gnc-recurrence-sql.c,
	  src/backend/sql/gnc-schedxaction-sql.c,
	  src/backend/sql/gnc-slots-sql.c,
	  src/backend/sql/gnc-transaction-sql.c: Fix some splint issues

2009-02-16 16:22  plongstaff

	* [r17927] src/backend/dbi/gnc-backend-dbi.c,
	  src/backend/sql/gnc-backend-sql.c,
	  src/backend/sql/gnc-backend-sql.h,
	  src/backend/sql/gnc-lots-sql.c, src/backend/sql/gnc-price-sql.c,
	  src/backend/sql/gnc-slots-sql.c,
	  src/backend/sql/gnc-transaction-sql.c,
	  src/business/business-core/sql/gnc-bill-term-sql.c,
	  src/business/business-core/sql/gnc-customer-sql.c,
	  src/business/business-core/sql/gnc-employee-sql.c,
	  src/business/business-core/sql/gnc-entry-sql.c,
	  src/business/business-core/sql/gnc-invoice-sql.c,
	  src/business/business-core/sql/gnc-tax-table-sql.c: Fix 64 bit
	  integer handling. In an sqlite3 db, column types are basically
	  ignored. However, libdbi uses the column type name to determine
	  how big it thinks the integer value is. Therefore, change all 64
	  bit integer values (including num/denom in numeric values) to
	  'bigint'. Tables will be automatically upgraded when an sqlite3
	  file is opened.

2009-02-16 01:08  plongstaff

	* [r17926] src/backend/dbi/gnc-backend-dbi.c,
	  src/backend/sql/gnc-backend-sql.c,
	  src/backend/sql/gnc-backend-sql.h,
	  src/business/business-core/sql/gnc-owner-sql.c: Fix CRIT errors
	  when loading owner info in business objects.

2009-02-15 19:26  plongstaff

	* [r17925] lib/libqof/backend/file/qsf-backend.c,
	  lib/libqof/qof/qofbackend-p.h, lib/libqof/qof/qofsession.c,
	  lib/libqof/qof/qofsession.h, src/backend/dbi/gnc-backend-dbi.c,
	  src/backend/file/gnc-backend-file.c,
	  src/backend/sql/gnc-backend-sql.c,
	  src/backend/sql/gnc-backend-sql.h,
	  src/backend/sql/gnc-transaction-sql.c,
	  src/gnome-utils/gnc-file.c: 1) Before saving file contents via
	  save-as, ensure that all data has been loaded. This doesn't
	  matter for the file backend, but does for the SQL backend,
	  because the SQL backend only loads transactions/splits as
	  needed. 2) Partially solve problem where int64 values are loaded
	  incorrectly. This started because num and denom for prices were
	  seen to be limited to 32 bits. libdbi provides a
	  libdbi_result_get_longlong() routine, but unfortunately, on my
	  system (with libdbi 0.8.2-3), it seems to have some bugs a) it
	  returns negative values unsigned and b) it seems limited to a 32
	  bit value even when the correct value is in the db.

2009-02-15 17:23  andi5

	* [r17921] packaging/win32/gnucash.iss.in,
	  packaging/win32/install.sh: Bug #571220: [Win32] Unset
	  SCHEME_LIBRARY_PATH environment variable.
	* [r17920] src/register/ledger-core/split-register-util.c: Bug
	  #435642: Correct r17853 about editing results of a find. 1.
	  create a transaction that has two or more splits in the same
	  account 2. open a register on that account that is in either
	  "Basic Ledger" or "Auto-Split Ledger" mode 3. change some
	  transaction other than the one with multiple splits in this
	  register 4. click on the second or succeeding occurrence of the
	  transaction with multiple splits in this register This will put
	  the cursor on the first occurrence of the transaction instead of
	  the one you clicked on. Patch by Mike Alexander. BP

2009-02-15 14:11  plongstaff

	* [r17919] src/backend/sql/gnc-transaction-sql.c,
	  src/backend/sql/gnc-transaction-sql.h: Rest of r17916 commit
	  (sigh) - gnc_sql_transaction_load_tx_for_account() function

2009-02-15 00:40  cedayiv

	* [r17918] src/register/ledger-core/split-register-load.c:
	  Register: Don't set info at declaration; wait until reg is
	  checked.

2009-02-15 00:38  cedayiv

	* [r17917] src/register/ledger-core/split-register-load.c:
	  Register: Add a few safety checks to the register loading
	  routines.

2009-02-14 23:22  plongstaff

	* [r17916] src/backend/sql/gnc-schedxaction-sql.c: When loading a
	  scheduled transaction, load the transactions associated with it.
	  Otherwise, the scheduled transaction won't be created.

2009-02-14 19:05  andi5

	* [r17900] src/import-export/csv/gnc-csv-import.c: Bug #571161:
	  Fix r17036 and free every column type only once. BP
	* [r17899] accounts/fr_CH/acctchrt_business.gnucash-xea,
	  accounts/fr_FR/acctchrt_business.gnucash-xea: Add missing
	  encoding information to the french business account template
	  files. BP

2009-02-14 16:46  andi5

	* [r17898] src/gnome-utils/gnc-main-window.c: Update copyright
	  year in about dialog. BP

2009-02-12 17:00  cedayiv

	* [r17897] packaging/win32/defaults.sh: Bug #570166: Update win32
	  packaging to use GTK version 2.14.7 BP

2009-02-12 05:47  cedayiv

	* [r17896] src/engine/Transaction.h: Engine: Update the
	  documentation of xaccTransDestroy().

2009-02-12 05:18  cedayiv

	* [r17895] src/register/ledger-core/split-register.c: Register:
	  Fix a memory leak by adding a "commit" step (if needed) when
	  destroying the blank transaction as the register closes.

2009-02-11 23:07  cedayiv

	* [r17894] src/register/ledger-core/split-register.c: Bug 426111:
	  Register: Fix a bug that caused the blank split GUID to be
	  nulled even if the split wasn't actually being committed. This
	  would cause the bottom transaction of the register to be treated
	  like an existing transaction instead of a new one. I've fixed
	  that and reorganized the logic to combine two sections and make
	  it harder to get them out of sync.

2009-02-11 22:11  cedayiv

	* [r17893] src/register/ledger-core/split-register.c: Register:
	  Add one new debugging message and tweak some others.

2009-02-11 22:03  cedayiv

	* [r17892] src/register/ledger-core/split-register.h: Register:
	  Another tweak to doxygen documentation.

2009-02-10 21:16  cstim

	* [r17891] src/import-export/import-main-matcher.c: Bug #552275,
	  #434944: Fix generic import skipped transactions
	  gnc_import_TransInfo_delete() was defined but never called! This
	  led to a memory leak, and erroneous behaviour. Bug 552275 -
	  Cancelling OFX Import Still Adds Entries Bug 434944 - Refused
	  transactions from import appear in register Patch by Alan
	  Jenkins <alan-jenkins@tuffmail.co.uk> BP
	* [r17890] src/engine/Scrub.h, src/import-export/import-backend.c:
	  Fix typos in comments Patch by Alan Jenkins.
	* [r17889] src/engine/kvp_doc.txt,
	  src/import-export/aqbanking/gnc-ab-utils.c,
	  src/import-export/hbci/gnc-hbci-gettrans.c,
	  src/import-export/import-backend.c,
	  src/import-export/import-utilities.c,
	  src/import-export/import-utilities.h,
	  src/import-export/ofx/gnc-ofx-import.c: Bug#139310: Store
	  online_id in split instead of transaction to avoid import
	  conflicts Affects all users of the generic import: OFX, HBCI and
	  AqBanking. Suggested by
	  <http://bugzilla.gnome.org/show_bug.cgi?id=139310>. " Assume you
	  have a transaction that transfers money from account 1 to
	  account 2. Import an OFX statement from account 1 that matches
	  the transaction. Then import an OFX statement from account 2
	  that matches the same transaction. Because each transaction can
	  only store one online_id, when you import from account 1 again
	  it doesn't remember that it's already been imported. If
	  online_id was stored in a split slot instead of a transaction
	  slot, it would allow tracking the online_id of both accounts
	  without being overwritten. " For backwards compatibility, we
	  still check for online_id in transactions. This is more of a
	  convenience than a critical feature, however. The compatibility
	  code could be removed in future versions if desired. Patch by
	  Alan Jenkins <alan-jenkins@tuffmail.co.uk>
	* [r17888] src/import-export/generic-import-design.txt: Correct
	  english in generic-import-design.txt Fix typos and use of
	  apostrophes. Also make the status of the document clearer. Patch
	  by Alan Jenkins.

2009-02-10 08:17  rolf

	* [r17887] accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04: sed
	  s/Kap.\ Ges/Kap.Ges/ so that it is the same everywhere

2009-02-10 08:10  rolf

	* [r17886] accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04:
	  replace some double with single spaces

2009-02-09 00:18  andi5

	* [r17885] src/app-utils/options.scm: Bug #570894: Fix an else
	  clause in budget->guid. Scheme is not common lisp, so rather use
	  'else', t might be unbound. Found by Forest Bond. BP

2009-02-08 14:56  andi5

	* [r17884] packaging/win32/gnucash.iss.in: [Win32] Bug #542382:
	  Assign .gnucash file name extension to GnuCash. BP

2009-02-08 14:06  andi5

	* [r17883] configure.in, src/gnome-utils/gnc-html.c: Bug #462148:
	  Fix multi-page printing on Win32 by using
	  gtk_html_print_operation_run(). BP

2009-02-08 13:13  andi5

	* [r17882] packaging/win32/defaults.sh,
	  packaging/win32/install.sh: [Win32] Update gtkhtml to version
	  3.24.2. BP

2009-02-08 13:02  andi5

	* [r17881] packaging/win32/Makefile.am, packaging/win32/README,
	  packaging/win32/dist.sh, packaging/win32/gnucash.iss.in,
	  packaging/win32/install-fq-mods.bat,
	  packaging/win32/install-fq-mods.cmd, packaging/win32/install.sh:
	  [Win32] Rename *.bat to *.cmd. BP

2009-02-07 16:49  cstim

	* [r17880] src/import-export/ofx/gnc-ofx-import.c:
	  ofx_proc_account() already works. Remove "WRITEME". Patch by
	  Alan Jenkins. Signed-off-by: Christian Stimming
	  <stimming@tuhh.de> BP
	* [r17879] src/gnome-utils/dialog-account.c: Fix use of "=" in if
	  statement where "==" was intended This fixes the default
	  currency and description in the new account dialog. Patch by
	  Alan Jenkins. Signed-off-by: Christian Stimming
	  <stimming@tuhh.de> BP

2009-02-03 21:19  cstim

	* [r17877] src/doc/doxygen_main_page.c,
	  src/import-export/csv/gncmod-csv-import.c,
	  src/import-export/gncmod-generic-import.c,
	  src/import-export/hbci/gnc-file-aqb-import.c,
	  src/import-export/hbci/gnc-file-aqb-import.h,
	  src/import-export/import-account-matcher.c,
	  src/import-export/import-account-matcher.h,
	  src/import-export/import-backend.c,
	  src/import-export/import-backend.h,
	  src/import-export/import-commodity-matcher.c,
	  src/import-export/import-commodity-matcher.h,
	  src/import-export/import-main-matcher.h,
	  src/import-export/import-match-picker.c,
	  src/import-export/import-match-picker.h,
	  src/import-export/import-settings.c,
	  src/import-export/import-settings.h,
	  src/import-export/import-utilities.c,
	  src/import-export/import-utilities.h,
	  src/import-export/log-replay/gnc-log-replay.c,
	  src/import-export/log-replay/gnc-log-replay.h,
	  src/import-export/log-replay/gncmod-log-replay.c,
	  src/import-export/ofx/gnc-ofx-import.c,
	  src/import-export/ofx/gnc-ofx-import.h,
	  src/import-export/ofx/gncmod-ofx-import.c,
	  src/optional/xsl/README: Convert source documentation to UTF8
	  Most of the source tree is UTF8, but there are some latin-1
	  hangovers. Apply "iconv --from-code ISO_8859-1" to these files.
	  This affects bullet point characters in src/optional/xsl/README,
	  and Benoit Grégoire's name in source files (and hence the
	  Doxygen output). E.g. it should fix
	  <http://svn.gnucash.org/docs/HEAD/reference.html> which claims
	  to be UTF8, but encodes Benoit's name in latin-1. Patch by Alan
	  Jenkins.
	* [r17876] src/engine/Account.h, src/engine/Split.h,
	  src/engine/Transaction.h, src/import-export/import-backend.c:
	  Fix typos in comments Patch by Alan Jenkins.

2009-01-31 19:50  cstim

	* [r17868] src/backend/file/io-gncxml-v2.c: Bug #569735: Don't
	  create a new nested template root account when a file is opened
	  Whenever an XML file is opened, Gnucash creates a new template
	  root account and makes the old one a child of it. My main
	  accounts file had them nested over 540 deep before I got annoyed
	  enough to fix this. The problem is that sxtg_book_begin creates
	  a root account when the book is opened. Then
	  add_template_transaction_local tries to replace this new root
	  account with the one read from the file. However the code that
	  does this is rather badly broken and the result is that the one
	  read from the file becomes a child of the one created in
	  sxtg_book_begin. This patch avoids creating any more nested root
	  accounts, but it doesn't get rid of the ones that are already
	  there. This is slightly more tricky than just deleting them
	  since, although most of them have no children (other than the
	  next root account), some do. Accounts created for template
	  transactions will be children of whatever root account happens
	  to be at the top of the tree then. As the file is saved and
	  reopened, this will get pushed down into the tree of accounts.
	  In my case about 5 of the 540 or so root accounts had other
	  children. Patch by Mike Alexander. BP
	* [r17867] src/engine/SX-book.c: Bug #569734: Give the template
	  root account a name The template root account created as part of
	  the scheduled transaction infrastructure should have a name.
	  Various parts of the Gnucash engine get upset if an account
	  doesn't have a name. Perhaps this name should be localized, but
	  the name of the main root account is not localized. Patch by
	  Mike Alexander. BP

2009-01-31 19:49  cstim

	* [r17866] src/backend/file/gnc-account-xml-v2.c: Bug #438132: Fix
	  warning about commodity being NULL for root account on save This
	  patch doesn't write the commodity, the commodity SCU, or the
	  non-standard SCU setting for an account that has no commodity.
	  Patch by Mike Alexander. BP
	* [r17865] src/backend/file/gnc-recurrence-xml-v2.c: Bug #569628:
	  Fix failed assertion 'str' when saving Whenever I saved my
	  Gnucash file I would get a number of errors like CRIT
	  <gnc.backend.xml> text_to_dom_tree: assertion `str' failed I
	  tracked this down to the fact that the weekend adjust field in
	  recurrences read from the file was not initialized properly if a
	  recurrence didn't have a weekend adjustment. Patch by Mike
	  Alexander. BP

2009-01-31 10:24  cstim

	* [r17856] util/git-backport.sh: Add shell script to easily
	  back-port commits in git-svn from trunk to other branches.

2009-01-29 15:35  warlord

	* [r17855] src/report/standard-reports/average-balance.scm: Bug
	  #568473 – Add option to average-balance report. It allows
	  transactions that go from one selected account to another to be
	  ignored.

2009-01-29 11:42  cedayiv

	* [r17854] src/register/ledger-core/split-register-control.c,
	  src/register/ledger-core/split-register-layout.h,
	  src/register/ledger-core/split-register-load.c,
	  src/register/ledger-core/split-register.c,
	  src/register/ledger-core/split-register.h,
	  src/register/register-core/register-common.h: Register: Add a
	  lot of doxygen documentation, add/revise some commenting inside
	  functions, and massage a few debugging messages.

2009-01-28 21:08  cstim

	* [r17853] src/register/ledger-core/split-register-util.c: Bug
	  #435642: Fix crash when editing results of a find I finally got
	  around to looking into this some more. I think the problem is a
	  result of an interaction between gnc_split_register_redraw and
	  gnc_split_register_find_split when called from
	  gnc_split_register_move_cursor in split-register-control.c. As
	  the comment says, "redrawing the register can muck everything
	  up". In particular calling gnc_split_register_redraw may change
	  the "transaction split" for some or all of the transactions if
	  the register is a "ledger" style register such as the one for
	  find results. This causes the subsequent call to
	  gnc_split_register_find_split to find the wrong register row if
	  the cursor class being found is CURSOR_CLASS_TRANS. Whether this
	  causes a crash seems to depend on circumstances I haven't quite
	  figured out, but I have one test file that crashes 100% of the
	  time in r17804. This patch changes the way
	  gnc_split_register_find_split works when asked to find the
	  transaction split for a transaction. It assumes that any
	  transaction can only have one such split and returns as soon as
	  it finds a row containing it. If you think this is wrong, let me
	  know and I'll try something else. Patch by Mike Alexander. BP

2009-01-28 21:05  cstim

	* [r17852] accounts/de_DE/Makefile.am,
	  accounts/de_DE/acctchrt_skr49.gnucash-xea: Bug #568653: Add
	  German account template SKR49 for non-profit organizations By
	  Michael Braun and Frank H. Ellenberger. BP

2009-01-28 20:59  cstim

	* [r17851] src/report/report-system/html-utilities.scm,
	  src/report/report-system/report-system.scm,
	  src/report/standard-reports/budget-balance-sheet.scm,
	  src/report/standard-reports/budget-barchart.scm,
	  src/report/standard-reports/budget-flow.scm,
	  src/report/standard-reports/budget-income-statement.scm,
	  src/report/standard-reports/budget.scm: Bug #568327: Budget
	  reports without a budget will crash Fixes crashes and also
	  improves error message when no budgets exists (for all budget
	  reports). Patch by Forest Bond. BP

2009-01-28 20:55  cstim

	* [r17850] src/engine/gnc-pricedb.c: Bug #568945:
	  gnc_pricedb_convert_balance_* should look for the reciprocal of
	  the exchange rate If the price DB contains the reciprocal of the
	  exchange rate which gnc_pricedb_convert_balance_nearest_price,
	  gnc_pricedb_convert_balance_latest_price, and
	  gnc_pricedb_convert_balance_latest_before need to do their
	  conversion they don't find it and return zero. Patch by Mike
	  Alexander. BP
	* [r17849] src/engine/iso-4217-currencies.scm: Bug #564450: HUF
	  currency can be divided into 100 "fillers" even though there are
	  no coins for it In Hungary the smallest Forint (HUF) coin is 5
	  forints, but formally we had 1,2 forint coins, and dividing
	  FILLER coins (like cents for US, EUR, ...). They are simply not
	  circulated in cash usage, but the banking system still using it.
	  Such as the smallest transferable amount is 0.01 FORINTs (1
	  FILLER), and with business it is normal to use it (as result of
	  foreign exchange, incoming interest rate, or many other reason).
	  Patch by Frank H. Ellenberger. BP

2009-01-28 20:54  cstim

	* [r17848] src/gnome-utils/gnc-tree-model-account.c: Bug #459493:
	  "Cleared" column in account overview should also sum up values
	  of sub-accounts The contributer, Chad V, writes: My reason being
	  that if you like to keep track of different "virtual" accounts
	  within one bank account, it is nice to see the cleared balance
	  for the whole bank account.

2009-01-24 12:16  cedayiv

	* [r17844] src/register/ledger-core/split-register.h: Register:
	  Add doxygen documentation for some register functions. Fix and
	  reorganize of some of the existing documentation.

2009-01-24 12:12  cedayiv

	* [r17843] src/register/ledger-core/split-register.c: Register:
	  Adjust some debugging messages to be more clear.

2009-01-22 21:14  cedayiv

	* [r17841] lib/libqof/backend/file/qsf-xml.h,
	  lib/libqof/qof/guid.c, src/backend/file/gnc-backend-file.c,
	  src/backend/file/gnc-backend-file.h,
	  src/backend/file/io-gncxml-v2.h, src/engine/FreqSpec.h,
	  src/engine/Scrub.h, src/engine/Transaction.h,
	  src/engine/gnc-commodity.h, src/gnome-utils/dialog-account.h,
	  src/gnome-utils/dialog-commodity.h,
	  src/gnome-utils/gnc-currency-edit.h,
	  src/gnome-utils/gnc-embedded-window.h,
	  src/gnome-utils/gnc-gnome-utils.h,
	  src/gnome-utils/gnc-main-window.h,
	  src/gnome-utils/gnc-plugin-file-history.c,
	  src/gnome-utils/gnc-plugin-file-history.h,
	  src/gnome-utils/gnc-plugin-page.h,
	  src/gnome-utils/gnc-tree-model-account.h,
	  src/gnome-utils/gnc-tree-view-account.c,
	  src/gnome-utils/gnc-tree-view-account.h,
	  src/gnome-utils/gnc-tree-view.c,
	  src/gnome-utils/gnc-tree-view.h, src/gnome/dialog-progress.h,
	  src/gnome/gnc-plugin-page-register.c,
	  src/import-export/aqbanking/dialog-daterange.h,
	  src/import-export/aqbanking/gnc-ab-getbalance.h,
	  src/import-export/aqbanking/gnc-ab-gettrans.h,
	  src/import-export/aqbanking/gnc-ab-trans-templ.h,
	  src/import-export/aqbanking/gnc-file-aqb-import.h,
	  src/import-export/import-backend.h,
	  src/import-export/import-match-picker.h,
	  src/register/ledger-core/split-register-layout.h,
	  src/register/ledger-core/split-register.h: Documentation: Fix a
	  wide range of small mistakes in doxygen comments, including a
	  few spots where .c and .h function declarations didn't agree on
	  parameter names. BP

2009-01-21 18:58  cedayiv

	* [r17840] src/register/ledger-core/split-register.c: Register:
	  Add additional debugging output during register cleanup. Also
	  rename a variable for clarity and to match typical usage in the
	  rest of the ledger code. BP

2009-01-21 10:53  cedayiv

	* [r17838] src/gnome/gnc-plugin-page-register.c,
	  src/gnome/gnc-split-reg.c: Register: Add a few more debugging
	  lines to the gnome code. BP

2009-01-20 23:15  cedayiv

	* [r17837] src/register/ledger-core/split-register-control.c,
	  src/register/ledger-core/split-register-load.c,
	  src/register/ledger-core/split-register.c: Register: Add
	  additional debugging output to several ledger modules. BP

2009-01-18 23:43  andi5

	* [r17836] src/engine/Transaction.c: Bug #566352: Remove
	  printf("%s", NULL) in xaccTransSetDateInternal() when
	  val=={-1,0}. BP

2009-01-18 22:57  andi5

	* [r17835] src/backend/dbi/gnc-backend-dbi.c: Do not determine and
	  waste memory for {base,dir}name when sqlite3 driver cannot be
	  loaded.

2009-01-18 22:51  andi5

	* [r17834] src/backend/dbi/gnc-backend-dbi.c: Bail out when
	  opening a non-existing file as sqlite3.

2009-01-18 21:50  andi5

	* [r17832] src/import-export/import-commodity-matcher.c: Bug
	  #526775: Remove printf("%s", NULL) in generic importer as called
	  from ofx. BP

2009-01-18 20:17  cstim

	* [r17831] src/report/standard-reports/category-barchart.scm:
	  Remove obsolete mentioning of Guppi. Not for back-port because
	  it would break existing translations and the fix isn't really
	  important.

2009-01-18 17:19  andi5

	* [r17829] AUTHORS, src/report/report-gnome/report-gnome.scm,
	  src/report/report-system/html-acct-table.scm,
	  src/report/report-system/report-system.scm,
	  src/report/report-system/report-utilities.scm,
	  src/report/report-system/report.scm,
	  src/report/standard-reports/Makefile.am,
	  src/report/standard-reports/budget-balance-sheet.scm,
	  src/report/standard-reports/budget-barchart.scm,
	  src/report/standard-reports/budget-flow.scm,
	  src/report/standard-reports/budget-income-statement.scm,
	  src/report/standard-reports/budget.scm,
	  src/report/standard-reports/standard-reports.scm,
	  src/report/utility-reports/hello-world.scm: Budget report
	  improvements. * Moves budget-related reports to a "Budget"
	  sub-menu. * Implements a Budget Balance Sheet report. This is a
	  projected future balance sheet using budget data. * Adds Budget
	  Income Statement and Budget Profit & Loss reports. These are
	  projected future IS/PNL reports using budget data. Patch by
	  Forest Bond.

2009-01-18 16:31  andi5

	* [r17827] doc/README-it.win32-bin.txt: Fix line endings in
	  README-it.win32-bin.txt. BP

2009-01-18 16:09  andi5

	* [r17826] doc/README-it.win32-bin.txt: Correct the encoding of
	  README-it.win32-bin.txt. Patch by Cristian Marchi BP
	* [r17825] src/import-export/aqbanking/gnc-ab-gettrans.c: Remove a
	  unused import and struct.

2009-01-14 19:59  cstim

	* [r17820] src/gnome/window-reconcile.c: Bug #339027: Reconcile
	  window displays the date, too This patch adds an additional
	  label statement date to the box below the Credits section. Patch
	  by C. Ernst BP
	* [r17819] src/report/report-gnome/dialog-column-view.c: Bug
	  #565721: Fix untranslated report names in multicolumn report
	  Report names are passed through the _() macro before they are
	  stored to the tree list. Patch by C. Ernst. BP
	* [r17818] src/gnc-module/gnc-module.c: Bug #564209: Improved
	  debuggability for module loading gnucash-2.2.7 doesn't (IMHO)
	  log enough (any?) information about failures to load optional
	  modules. It was a bit of work to debug a recent problem
	  (#564033) and I ended up tweaking gnc_module_load_common() a bit
	  to coax the error messages out. I slightly reorganized the code
	  in this function to accomplish two things: 1. Make the logic
	  clearer to someone new to the code (i.e., me) 2. If an optional
	  module is found, log any errors in loading it I tried to
	  maintain the original spirit of not squawking too much about
	  unfound optional modules while still generating messages about
	  legitimate problems. Patch by G. Paul Ziemba. BP
	* [r17817] lib/guile-www/Makefile.am, src/app-utils/Makefile.am,
	  src/business/business-core/Makefile.am,
	  src/business/business-gnome/Makefile.am,
	  src/business/business-reports/Makefile.am,
	  src/business/business-utils/Makefile.am,
	  src/business/dialog-tax-table/Makefile.am,
	  src/core-utils/Makefile.am, src/engine/Makefile.am,
	  src/gnc-module/Makefile.am, src/gnome-utils/Makefile.am,
	  src/import-export/qif-import/Makefile.am,
	  src/import-export/qif-io-core/Makefile.am,
	  src/report/locale-specific/us/Makefile.am,
	  src/report/report-gnome/Makefile.am,
	  src/report/report-system/Makefile.am,
	  src/report/standard-reports/Makefile.am,
	  src/report/stylesheets/Makefile.am,
	  src/report/utility-reports/Makefile.am, src/scm/Makefile.am,
	  src/scm/gnumeric/Makefile.am, src/tax/us/Makefile.am: Bug
	  #566567: [Win32] Do not touch .scm-links on windows - always
	  copy scm files .scm files must be copied on windows because
	  linking won't work. Note: existing build directories will be
	  fixed only after make clean. Patch by C. Ernst. BP

2009-01-13 02:14  andi5

	* [r17815] packaging/win32/defaults.sh,
	  packaging/win32/gwenhywfar-3.6.0-patch.diff,
	  packaging/win32/install.sh: [Win32] Update online banking
	  libraries. New versions: gwenhywfar 3.6.0, ktoblzcheck 1.20,
	  aqbanking 3.8.1. Fix path to xmlmerge. Fix aqbanking backend
	  list when compiling without qt (untested though).

2009-01-11 21:00  andi5

	* [r17814] src/backend/file/gnc-commodity-xml-v2.c,
	  src/engine/gnc-commodity.c: Fix currency replacements. While
	  loading an xml file, do not look up an internal commodity and
	  modify that, but rather work on a copy. When inserting the
	  commodity, apply the same replacements as in
	  gnc_commodity_table_lookup(). This change should not be
	  necessary on branches/2.2 but it might not do any harm.

2009-01-11 20:23  andi5

	* [r17813] lib/libqof/qof/qoflog.c: Initialize GError in
	  qof_log_parse_log_config(). This avoids a crash when the log
	  configuration is not valid. BP

2009-01-11 19:25  andi5

	* [r17812] src/engine/gnc-commodity.c: Do not lookup private data
	  twice when copying commodity mnemonic. Note that mnemonics are
	  not copied on branches/2.2.

2009-01-11 18:47  andi5

	* [r17811] packaging/win32/install.sh,
	  packaging/win32/make_install.sh: [Win32] Provide a bare variant
	  of make_install.sh.

2009-01-11 18:38  andi5

	* [r17810] packaging/win32/install.sh: [Win32] Minor cleanup. *
	  Relinking is really fast now, no need for a hack anymore * Move
	  the fix of the gnucash script into make_install() * GnuCash does
	  not install into lib/locale/ anymore * Remove invalid
	  LIBXML2_DIR from PATH BP

2009-01-11 15:55  andi5

	* [r17809] packaging/win32/install.sh: [Win32] Remove a few
	  obsolete comments. BP

2009-01-11 15:45  andi5

	* [r17807] packaging/win32/install.sh: [Win32] Whitespace change.
	  Re-add a removed space character, no need for regressions ;-) BP

2009-01-11 15:37  andi5

	* [r17806] packaging/win32/defaults.sh, packaging/win32/dist.sh,
	  packaging/win32/goffice-0.4.3-patch.diff,
	  packaging/win32/goffice-0.7.2-patch.diff,
	  packaging/win32/install.sh: [Win32] Update a whole bunch of
	  packages. * MinGW tools * Autotools (ac 2.60, am 1.10.2, lt
	  2.2.6a) - libtool feels faster, needs confirmation - compiling
	  ac needs a newer m4 version, add that * Gnome - intltool needs a
	  newer perl, so upgrade to activeperl 5.10 - new libpng,
	  separated into libpng and libpng-dev - newly packaged zlib
	  (zlib-dev as well), no dlltool'ing anymore - remove
	  libgnomeprint (cf. goffice), gtkprint finally seems to work ->
	  goodbye mirrored printouts * libxslt - not the newest because
	  that will be moved to oldreleases/ soon * openssl - watch for
	  libeay32.dll in your Windows folder, it might be too old, better
	  you remove it completely * gmp - untested, no BP needed (yet) *
	  gnutls - untested, no BP needed (yet) * swig * pcre * libgsf,
	  goffice - goffice does not use libgnomeprint anymore, new patch
	  necessary, grab gtk-doc.m4 from gtk-doc tarball instead of
	  patching goffice - install htmlhelp earlier and add flags to
	  link to it * svn - includes an own libeay32.dll, may conflict
	  with openssl/bin/libeay32.dll BP

2009-01-11 12:46  andi5

	* [r17805] src/engine/gnc-commodity.c: Bug #567174: Restrict
	  commodity mnemonic updates (like NIS to ILS) to iso currencies
	  only. BP

2009-01-06 18:37  andi5

	* [r17803] configure.in: Remove trailing commas in
	  --enable-{debug,ref-counts-dump}. Those commas will be
	  interpreted as commands and warnings printed out. Also, put
	  square brackets around the strings describing the corresponding
	  autoconf definitions to save them from possible substitions.
	  Noticed by Kevin HaleBoyes. BP

2009-01-05 15:36  plongstaff

	* [r17802] src/backend/sql/gnc-account-sql.c,
	  src/backend/sql/gnc-slots-sql.c: 1) Fix bug where deleting an
	  account wouldn't delete the account in the db 2) Remove unused
	  local variable

2009-01-05 10:40  andi5

	* [r17800] doc/Makefile.am, doc/README-it.win32-bin.txt,
	  packaging/win32/gnucash.iss.in: Add Italian translation of Win32
	  installer by Cristian Marchi.

2009-01-05 10:18  andi5

	* [r17798] packaging/win32/gnucash.iss.in: Sort translations in
	  gnucash.iss.in by language code. BP

2009-01-05 09:51  andi5

	* [r17797] src/app-utils/test/Makefile.am,
	  src/backend/dbi/test/Makefile.am,
	  src/backend/file/test/Makefile.am,
	  src/backend/postgres/test/Makefile.am,
	  src/backend/sql/test/Makefile.am, src/bin/test/Makefile.am,
	  src/business/business-core/test/Makefile.am,
	  src/engine/test/Makefile.am, src/gnc-module/test/Makefile.am,
	  src/gnome-utils/test/Makefile.am,
	  src/import-export/qif-io-core/test/Makefile.am,
	  src/import-export/qif/test/Makefile.am,
	  src/import-export/test/Makefile.am,
	  src/report/locale-specific/us/test/Makefile.am,
	  src/report/report-gnome/test/Makefile.am,
	  src/report/report-system/test/Makefile.am,
	  src/report/standard-reports/test/Makefile.am,
	  src/report/stylesheets/test/Makefile.am,
	  src/report/utility-reports/test/Makefile.am,
	  src/tax/us/test/Makefile.am: Use = instead of := for
	  GNC_TEST_DEPS and TESTS_ENVIRONMENT. Both variables are only
	  evaluated once away. Even worse, when used as simply-expanded
	  variables, the gnc-test-env script is called multiple times,
	  because of make re-reading the Makefile when called by make in
	  the check-am target. Those variable definitions are not portable
	  and thus automake spit warnings.

2009-01-04 03:14  plongstaff

	* [r17796] src/backend/sql/gnc-lots-sql.c: Add check that account
	  != NULL when inserting lot

2009-01-02 10:46  andi5

	* [r17794] ChangeLog.2008, Makefile.am: Add ChangeLog.2008. Used
	  branches: - aqbanking3 - csv-import - reshuffle-modules -
	  deprecated-cleanup - gobject-engine-dev-warlord - remove-group2
	  - sx-cleanup

2009-01-02 10:32  andi5

	* [r17792] src/app-utils/gnc-euro.c: Bug #566198: Add Slovak
	  koruna to EURO support. Patch from Herbert Thoma. BP

2009-01-01 23:12  plongstaff

	* [r17791] src/backend/sql/gnc-budget-sql.c: When loading a
	  budget, set the recurrence so that it has the correct date info.
